@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-header">
                    <h5>Edit</h5>
                </div>
                <div class="card-body">
                    <form method="post" action="{{ route('employee_advances.update', $payment->id) }}">
                        @method('put')
                        @csrf

                        <div class="row">
                            <div class="col-md-12 mb-2">
                                <div data-mdb-input-init class="form-outline">
                                    <input type="text" id="title" name="title" value="{{ $payment->title }}"
                                        class="form-control" />
                                    <label class="form-label" for="title">Title </label>
                                </div>
                            </div>
                            <div class="col-md-12 mb-2">
                                <select name="employee_id" id="employee_id" class="form-control" required>
                                    <option value="">Select Employee</option>
                                    @foreach ($employees as $row)
                                        <option value="{{ $row->id }}"
                                            @if ($payment->employee_id == $row->id) {{ 'selected' }} @endif>
                                            {{ $row->name }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-md-12 mb-2">
                                <div data-mdb-input-init class="form-outline">
                                    <input type="number" id="payment" value="{{ $payment->payment }}" name="payment"
                                        class="form-control" />
                                    <label class="form-label" for="payment">Payment </label>
                                </div>
                            </div>

                            <div class="col-md-6  mt-4">

                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" name="date" value="{{ $payment->date }}"
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required name="date" value="{{ $payment->date }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                            </div>
                            <div class="col-md-6 ">
                                <label for="date" class="col-form-label"></label>
                                <select type="text" name="cash_id" id="cash_id" class="form-control input-custom">
                                    <option value="">Define Cash Target</option>
                                    <option value="1" @if ($payment->c_target == 1) {{ 'selected' }} @endif>
                                        Target Cash Yes</option>
                                    <option value="2" @if ($payment->c_target == 2 || $payment->c_target == null) {{ 'selected' }} @endif>
                                        Target Cash NO</option>
                                </select>
                            </div>
                            <div class="col-md-12 mt-3">
                                <div data-mdb-input-init class="form-outline">
                                    <textarea id="details" class="form-control " name="details">{{ old('details') ?? $payment->details }}</textarea>

                                    <label class="form-label" for="form3Example1">Details</label>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-sm btn-rounded btn-primary">Save</button>
                            </div>
                        </div>
                </div>
                </form>
            </div>
            </div>
        </section>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_payment").addClass("active");
    </script>
@endsection
