@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4> Advances</h4>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('employee_advances.report_show') }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>

                                @include('general.filter-button')
                                <a data-mdb-toggle="modal" data-mdb-target="#exampleModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Add</a>
                            </div>
                        </div>
                        @include('general.valert')

                    </div>
                    @include('HR.advance.filter-form')
                    <div class="row mt-5">
                        <div class="col-md-12">
                            <table class="table text-center table-striped  dt-responsive"
                                style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Employee</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Payment</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($payments as $row)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $row->employee->name }}</td>
                                            <td>{{ $row->title }}</td>
                                            <td>{{ $row->date }}
                                            </td>
                                            <td>{{ $row->payment }}
                                            </td>
                                            <td>
                                                <a href="{{ route('employee_advances.edit', $row->id) }}">
                                                    <i class="fa fa-pencil text-primary"></i></a>
                                                <a href="{{ route('employee_advances.delete', $row->id) }}"
                                                    onclick="return confirm('Are you sure you want to delete this item')">
                                                    <i class="fa fa-trash text-danger"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="card">
                            <div class="card-body">
                                {{ $payments->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    @include('HR.advance.create-modal')
    @include('HR.advance.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_payment").addClass("active");
        $('form').submit(function() {
            $(this).find(':submit').attr('disabled', 'disabled');
            //the rest of your code
            setTimeout(() => {
                $(this).find(':submit').attr('disabled', false);
            }, 2000)
        });
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_title").show();
                $("#by_payment").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_title").hide();
                $("#by_payment").show();
                $("#by_date").hide();
            } else {
                $("#by_title").hide();
                $("#by_payment").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
