@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="">
                <div class="row d-flex justify-content-center align-items-center">
                    @include('general.valert')

                    <div class="col-md-12 col-xl-12">
                        <div class="card mask-custom">
                            <div class="card-body p-4 ">
                                <form action="{{ route('employee_attendance.store') }}" method="post">
                                    @csrf
                                    @method('post')
                                    <div class="row">
                                        <div class="col-md-4">
                                            <input type="hidden" name="count_emp" id="count_emp"
                                                value="{{ $employees->count() }}">
                                            <div class="form-outline" style="margin-top: 90px;">
                                                @if ($bdate == 1)
                                                    <input type="text" dir="rtl" name="date" value=""
                                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                                @else
                                                    <input type="date" required name="date"
                                                        value="{{ date('Y-m-d') }}" class="form-control "
                                                        id="form3Examplev2" />
                                                @endif
                                                <label class="form-label" for="form3Examplev2">Date</label>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="text-center">
                                                <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-todo-list/check1.webp"
                                                    alt="Check" width="60">
                                                <h2 class="my-4">Attendance Sheet</h2>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="text-center">
                                                <a href="{{ route('employee_attendance.create') }}"
                                                    class="btn btn-primary btn-rounded mt-5" style="float: right">List <i
                                                        class="fa fa-list-alt"></i></a>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th scope="col">#</th>
                                                        <th scope="col">Name</th>
                                                        <th scope="col">Staus</th>
                                                        <th scope="col">Reson</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($employees as $row)
                                                        <tr class="fw-normal">
                                                            <th class="border-0">{{ $loop->iteration }}</th>
                                                            <td style="">{{ $row->name }}
                                                                <input type="hidden" name="employee_id[]" id="employee_id"
                                                                    value="{{ $row->id }}">
                                                            </td>
                                                            <td style="width: 100px">
                                                                <select required name="status[]" id="status">
                                                                    <option value="1">Present</option>
                                                                    <option value="2">opsent</option>
                                                                    <option value="3">leve</option>
                                                                </select>
                                                            </td>
                                                            <td style="width: 200px;">
                                                                <input type="text" name="reson[]" id="reson">
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                </tbody>

                                            </table>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <button type="submit"
                                                class="btn btn-rounded btn-primary btn-sm mt-4">Submit</button>
                                        </div>
                                    </div>
                                </form>



                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_attendance").addClass("active");
    </script>
@endsection
