@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="">
                <div class="row d-flex justify-content-center align-items-center">
                    @include('general.valert')

                    <div class="col-md-12 col-xl-12">
                        <div class="card mask-custom">
                            <div class="card-body p-4 ">
                                <div class="row">
                                    <div class="col-md-8">
                                        <h4>Attendance</h4>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="text-center">
                                            <div class="btn-gorup" style="float: right;">
                                                <a href="{{ route('employee_attendance.report_show') }}"
                                                    class="btn btn-primary btn-rounded btn-sm ">Report
                                                </a>
                                                @include('general.filter-button')
                                                <a href="{{ route('employee_attendance.create') }}"
                                                    class="btn btn-primary btn-rounded btn-sm ">Add
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @include('HR.attendance.filter-form')
                                <div class="row mt-3">
                                    <div class="col-md-12">
                                        <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                            <thead>
                                                <tr>
                                                    <th scope="col">#</th>
                                                    <th scope="col">Name</th>
                                                    <th scope="col">Staus</th>
                                                    <th scope="col">Reson</th>
                                                    <th scope="col">Date</th>
                                                    <th scope="col">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($attendance as $row)
                                                    <tr class="fw-normal">
                                                        <th class="border-0">{{ $loop->iteration }}</th>
                                                        <th class="border-0">

                                                            <span class="ms-2">{{ $row->employee->name }}</span>
                                                        </th>
                                                        <td class="border-0 align-middle">
                                                            @if ($row->status == 1)
                                                                {{ 'Present' }}
                                                            @elseif($row->status == 2)
                                                                {{ 'Opsent' }}
                                                            @else
                                                                {{ 'Leve' }}
                                                            @endif
                                                        </td>
                                                        <td class="border-0 align-middle">{{ $row->reson }}</td>

                                                        <td>{{ $row->date }}</td>
                                                        <td class="border-0 align-middle">

                                                            <a href="{{ route('employee_attendance.edit', $row->id) }}"
                                                                data-mdb-toggle="tooltip" title="Edit" class=""><i
                                                                    class="fa fa-pencil"></i></a>

                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-body">
                                                {{ $attendance->links('pagination::bootstrap-4') }}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_attendance").addClass("active");
    </script>
@endsection
