@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom text-center "
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        Find Report of Advance
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-4 mb-4">
                                                @if ($bdate == 1)
                                                    <input type="text" dir="rtl" name="date" autocomplete="false"
                                                        value="" class="form-control sample-date-picker"
                                                        id="form3Examplev2" />
                                                @else
                                                    <input type="date" required name="date"
                                                        value="{{ date('Y-m-d') }}" class="form-control "
                                                        id="form3Examplev2" />
                                                @endif
                                                <label for="date" class="col-form-label">Date</label>

                                            </div>
                                            <div class="col-md-4 mb-3 pb-1">
                                                <select name="employee_id" class="form-control select2" id="employee_id">
                                                    <option value="all">All Employees</option>
                                                    @foreach ($employees as $row)
                                                        <option value="{{ $row->id }}">
                                                            {{ $row->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="col-md-4 mb-3 pb-1">
                                                <select name="month_id" required class="form-control select2"
                                                    id="month_id">
                                                    <option value="">choose Month</option>
                                                    <option value="01">
                                                        @if ($bdate == 1)
                                                            حمل
                                                        @else
                                                            January
                                                        @endif
                                                    </option>
                                                    <option value="02">
                                                        @if ($bdate == 1)
                                                            ثور
                                                        @else
                                                            February
                                                        @endif
                                                    </option>
                                                    <option value="03">
                                                        @if ($bdate == 1)
                                                            جوزا
                                                        @else
                                                            March
                                                        @endif
                                                    </option>
                                                    <option value="04">
                                                        @if ($bdate == 1)
                                                            سرطان
                                                        @else
                                                            April
                                                        @endif
                                                    </option>
                                                    <option value="05">
                                                        @if ($bdate == 1)
                                                            اسد
                                                        @else
                                                            May
                                                        @endif
                                                    </option>
                                                    <option value="06">
                                                        @if ($bdate == 1)
                                                            سنبله
                                                        @else
                                                            June
                                                        @endif
                                                    </option>
                                                    <option value="07">
                                                        @if ($bdate == 1)
                                                            میزان
                                                        @else
                                                            July
                                                        @endif
                                                    </option>
                                                    <option value="08">
                                                        @if ($bdate == 1)
                                                            عقرب
                                                        @else
                                                            August
                                                        @endif
                                                    </option>
                                                    <option value="09">
                                                        @if ($bdate == 1)
                                                            قوس
                                                        @else
                                                            September
                                                        @endif
                                                    </option>
                                                    <option value="10">
                                                        @if ($bdate == 1)
                                                            جدی
                                                        @else
                                                            October
                                                        @endif
                                                    </option>
                                                    <option value="11">
                                                        @if ($bdate == 1)
                                                            دلوه
                                                        @else
                                                            November
                                                        @endif
                                                    </option>
                                                    <option value="12">
                                                        @if ($bdate == 1)
                                                            خوت
                                                        @else
                                                            December
                                                        @endif
                                                    </option>
                                                </select>
                                            </div>

                                            <div class="col-md-12 mt-4">
                                                <button class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-find">Find</button>
                                                <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                                    onclick="PrintTable();">Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4 print_div" id="print_div">

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_attendance").addClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('employee_attendance.report_find') }}',
                type: 'GET',
                data: {
                    'date': $("#date").val(),
                    'month_id': $("#month_id").val(),
                    'employee_id': $("#employee_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        // function PrintTable() {
        //     var printWindow = window.open('', '', 'height=1000,width=1000');
        //     var table_style = document.getElementById("table_style").innerHTML;
        //     printWindow.document.write('<style type = "text/css">');
        //     printWindow.document.write(table_style);
        //     printWindow.document.write('</style>');
        //     var divContents = document.getElementById("print_div").innerHTML;
        //     printWindow.document.write(divContents);
        //     printWindow.document.close();
        //     printWindow.print();
        //     printWindow.close();
        // }
    </script>
@endsection
