@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-header">
                    <h5>Edit</h5>
                </div>
                <div class="card-body">
                    <form method="post" action="{{ route('employee_payment.update', $payment->id) }}">
                        @method('post')
                        @csrf
                        <input type="hidden" name="employee_id" id="employee_id" value="{{ $employee->id }}">
                        <div class="row">
                            <div class="col-md-12 mt-2">
                                <label for="title" class="col-form-label">Title</label>
                                <input type="text" value="{{ $payment->title }}" required class="form-control"
                                    id="title" name="title" />
                            </div>
                            <div class="col-md-12 mt-2">
                                <label for="payment" class="col-form-label">Payment</label>
                                <input type="number" value="{{ $payment->payment }}" required class="form-control"
                                    id="payment" name="payment" />
                            </div>
                            <div class="col-md-6 mt-2">
                                <label for="date" class="col-form-label">Date</label>
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" name="date" value="{{ $payment->date }}"
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required name="date" value="{{ $payment->date }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                            </div>
                            <div class="col-md-6 mt-3">
                                <label for="date" class="col-form-label"></label>
                                <select type="text" name="cash_id" id="cash_id" class="form-control input-custom">
                                    <option value="">Define Cash Target</option>
                                    <option value="1" @if ($payment->c_target == 1) {{ 'selected' }} @endif>
                                        Target Cash Yes</option>
                                    <option value="2" @if ($payment->c_target == 2 || $payment->c_target == null) {{ 'selected' }} @endif>
                                        Target Cash NO</option>
                                </select>
                            </div>
                            <div class="col-md-12 mt-2">
                                <label for="details" class="col-form-label">Details:</label>
                                <textarea id="details" name="details" class="form-control">{{ $payment->details }}</textarea>
                            </div>
                            <div class="col-md-3">
                                <button type="submit"
                                    class="btn btn-primary btn-sm btn-rounded col-md-12 mt-2">Edit</button>
                            </div>
                        </div>
                </div>
            </div>
        </section>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
