@extends('master.app')
@section('title', 'employees')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <h4>Create</h4>
            </div>
            <div class="card-body">
                <form action="{{ route('employees.store') }}" method="post" enctype="multipart/form-data">
                    @method('post')
                    @csrf
                    <div class="row mt-2">
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="text" id="name" name="name" value="{{ old('name') }}"
                                    class="form-control"  required />
                                <label class="form-label" for="name"> name</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="email" id="email" name="email" value="{{ old('email') }}"
                                    class="form-control"   />
                                <label class="form-label" for="email">Email</label>
                            </div>
                        </div>
                    </div>
                    <!-- Text input -->
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-outline mt-2">
                                <input type="text" id="phone" name="phone" value="{{ old('phone') }}"
                                    class="form-control"  required />
                                <label class="form-label" for="phone">Phone</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="address" name="address" value="{{ old('address') }}"
                                    class="form-control"  required />
                                <label class="form-label" for="address">Address</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="position" name="position" value="{{ old('position') }}"
                                    class="form-control"  required />
                                <label class="form-label" for="position">Position</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="basic_salary" name="basic_salary"
                                    value="{{ old('basic_salary') }}" class="form-control"  required />
                                <label class="form-label" for="basic_salary">Salary</label>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" name="date" value=""
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date"  name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                                <label class="form-label" for="date">Hire Date</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mt-2">
                        <div class="col-md-6">
                            <label for="">Image</label>
                            <br>
                            <input type="file" id="image" name="image" value="{{ old('image') }}"
                                class="form-control"   />
                        </div>
                        <div class="col-md-6">
                            <label for="">Identity Scan</label>
                            <br>
                            <input type="file" id="tz_scan" name="tz_scan" value="{{ old('tz_scan') }}"
                                class="form-control"   />

                        </div>
                        <div class="col-md-6">
                            <label for="">Security Assurance</label>
                            <br>
                            <input type="file" id="document" name="document" value="{{ old('document') }}"
                                class="form-control"   />
                        </div>
                        <div class="col-md-6">
                            <label for="">Contract Scan</label>
                            <br>
                            <input type="file" id="contract_letter" name="contract_letter"
                                value="{{ old('document') }}" class="form-control"   />
                        </div>



                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mt-2">Save</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
