@extends('master.app')
@section('title', 'employees')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <h4>Edit</h4>
            </div>
            <div class="card-body">
                <form action="{{ route('employees.update',$employee->id) }}" method="post" enctype="multipart/form-data">
                    @method('put')
                    @csrf
                    <div class="row mb-4">
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="text" id="name" name="name" value="{{ old('name') ?? $employee->name }}"
                                    class="form-control" />
                                <label class="form-label" for="name"> name</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="email" id="email" name="email" value="{{ old('email') ?? $employee->email }}"
                                    class="form-control" />
                                <label class="form-label" for="email">Email</label>
                            </div>
                        </div>
                    </div>
                    <!-- Text input -->
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-outline mb-4">
                                <input type="text" id="phone" name="phone" value="{{ old('phone') ?? $employee->phone }}"
                                    class="form-control" />
                                <label class="form-label" for="phone">Phone</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mb-4">
                                <input type="text" id="address" name="address" value="{{ old('address') ?? $employee->address }}"
                                    class="form-control" />
                                <label class="form-label" for="address">Address</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mb-4">
                                <input type="text" id="position" name="position" value="{{ old('position') ?? $employee->position }}"
                                    class="form-control" />
                                <label class="form-label" for="position">Position</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mb-4">
                                <input type="text" id="basic_salary" name="basic_salary"
                                    value="{{ old('basic_salary') ?? $employee->basic_salary }}" class="form-control" />
                                <label class="form-label" for="basic_salary">Salary</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mb-4">
                        <div class="col-md-6">
                            <label for="">Image</label>
                            <br>
                            <input type="file" id="image" name="image" value="{{ old('image') }}"
                                class="form-control" />
                        </div>
                        <div class="col-md-6">
                            <label for="">Identity Scan</label>
                            <br>
                            <input type="file" id="tz_scan" name="tz_scan" value="{{ old('tz_scan') }}"
                                class="form-control" />

                        </div>
                        <div class="col-md-6">
                            <label for="">Security Assurance</label>
                            <br>
                            <input type="file" id="document" name="document" value="{{ old('document') }}"
                                class="form-control" />
                        </div>
                        <div class="col-md-6">
                            <label for="">Contract Scan</label>
                            <br>
                            <input type="file" id="contract_letter" name="contract_letter" value="{{ old('document') }}"
                                class="form-control" />
                        </div>



                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mb-4">Save</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
