@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="card">
                <div class="card-body ">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Employees</strong>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                @can('emp_reporting')
                                <a href="{{ route('employee.report_show') }}" class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @endif
                                @include('general.filter-button')
                                <a href="{{ route('employees.create') }}" class="btn btn-primary btn-rounded btn-sm">Add</a>
                            </div>
                        </div>
                    @include('general.valert')

                    </div>
                    @include('HR.employees.filter-form')
                    <div class="row mt-3">
                        <table class="table text-center table-striped  dt-responsive"
                        style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">email</th>
                                    <th scope="col">phone</th>
                                    <th scope="col">address</th>
                                    <th scope="col">Salary</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($employess as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $loop->iteration }}</th>
                                        <td>{{ $row->name }}</td>
                                        <td>{{ $row->email }}</td>
                                        <td>{{ $row->phone }}</td>
                                        <td>{{ $row->address }}</td>
                                        <td>{{ $row->basic_salary }}</td>
                                        <td>
                                            <a href="{{ route('employee.status', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="status" class="">
                                                @if($row->status==1)
                                                {{ "Active" }}
                                                @else
                                                {{ "In-Active" }}
                                                @endif
                                            </a>
                                        </td>
                                        <td class="border-0 align-middle">
                                            <a href="{{ route('employees.edit', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="edit" class=""><i class="fa fa-pencil"></i></a>
                                            <a href="{{ route('employees.show', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="View" class=""><i class="fa fa-eye"></i></a>

                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="row mt-3">
                        <div class="card">
                            <div class="card-body">
                                {{ $employess->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_name").show();
                $("#by_phone").hide();
                $("#by_address").hide();
            }
            if (type == 2) {
                $("#by_name").hide();
                $("#by_phone").show();
                $("#by_address").hide();
            }
            if(type==3){
                $("#by_name").hide();
                $("#by_phone").hide();
                $("#by_address").show();
            }
            
        });
    </script>
@endsection
