@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4> Overtimes of </h4>
                            <h5>{{ $employee->name }}</h5>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('employee_overtime.report_show', $employee->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @include('general.filter-button')
                                <a data-mdb-toggle="modal" data-mdb-target="#exampleModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Add</a>
                            </div>
                        </div>
                    @include('general.valert')

                    </div>
                    @include('HR.employees.overtime.filter-form')
                    <div class="row mt-5">
                        <div class="col-md-12">
                            <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">amount</th>
                                        <th scope="col">Hourse</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($overtimes as $row)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $row->amount }}</td>
                                            <td>{{ $row->hourse }}</td>
                                            <td>{{ $row->date }}
                                            </td>

                                            <td>
                                                <a href="{{ route('employee_overtime.edit', $row->id) }}">
                                                    <i class="fa fa-pencil text-primary"></i></a>
                                                <a href="{{ route('employee_overtime.delete', $row->id) }}"
                                                    onclick="return confirm('Are you sure you want to delete this item')">
                                                    <i class="fa fa-trash text-danger"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>

                            </table>

                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="card">
                            <div class="card-body">
                                {{ $overtimes->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    @include('HR.employees.overtime.create-modal')
    @include('HR.employees.overtime.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");

        $("#hours").keyup(function() {
        
            let hours = document.getElementById("hours").value;
            let salary = document.getElementById("salary").value;
            let salary_hours = 30 * 8;
            // alert(salary_hours);
            let hour_salary = parseFloat(salary) / parseFloat(salary_hours);
            // alert(hour_salary);
            let amount = parseFloat(hours) * parseFloat(hour_salary);
            // alert(amount);
            document.getElementById("amount1").value = parseFloat(amount);

        });


        $("#hours").change(function() {
            let hours = document.getElementById("hours").value;
            let salary = document.getElementById("salary").value;
            let salary_hours = 30 * 8;
            // alert(salary_hours);
            let hour_salary = parseFloat(salary) / parseFloat(salary_hours);
            // alert(hour_salary);
            let amount = parseFloat(hours) * parseFloat(hour_salary);
            // alert(amount);
            document.getElementById("amount1").value = parseFloat(amount);
        });

        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_amount").show();
                $("#by_date").hide();
            } else {
                $("#by_amount").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
