@extends('master.app')
@section('title', 'employees')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <h4>Create</h4>
            </div>
            <div class="card-body">
                <form action="{{ route('employee_salary.store') }}" method="post" enctype="multipart/form-data">
                    @method('post')
                    @csrf
                    <!-- 2 column grid layout with text inputs for the first and last names -->
                    <input type="hidden" name="employee_id" id="employee_id" value="{{ $employee->id }}">
                    <div class="row ">
                        <div class="col-md-6">
                            <div class="form-outline mb-4">
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" id="date" name="date" value=""
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required id="date" name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                                {{-- <label class="form-label" for="date">Date</label> --}}
                            </div>
                        </div>
                        <div class="col-md-6 mb-4">
                            <select name="month_id" required class="form-control select2" id="month_id">
                                <option value="">Choose Month</option>
                                <option value="01">@if ($bdate == 1) حمل @else January @endif </option>
                                <option value="02">@if ($bdate == 1) ثور @else February @endif</option>
                                <option value="03">@if ($bdate == 1) جوزا @else March @endif</option>
                                <option value="04">@if ($bdate == 1) سرطان @else April @endif</option>
                                <option value="05">@if ($bdate == 1) اسد @else May @endif</option>
                                <option value="06">@if ($bdate == 1) سنبله @else June @endif</option>
                                <option value="07">@if ($bdate == 1) میزان @else July @endif</option>
                                <option value="08">@if ($bdate == 1) عقرب @else August @endif</option>
                                <option value="09">@if ($bdate == 1) قوس @else September @endif</option>
                                <option value="10">@if ($bdate == 1) جدی @else October @endif</option>
                                <option value="11">@if ($bdate == 1) دلوه @else November @endif</option>
                                <option value="12">@if ($bdate == 1) خوت @else December @endif</option>
                            </select>
                        </div>

                    </div>
                    <div class="row ">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label" for="basic_salary">Basic Salary</label>
                                <input type="text" readonly id="basic_salary" name="basic_salary"
                                    value="{{ old('basic_salary') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="present_days">Present Days</label>
                                <input type="text" readonly id="present_days" name="present_days"
                                    value="{{ old('present_days') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="present_amount">Made Salary</label>
                                <input type="text" readonly id="present_amount" name="present_amount"
                                    value="{{ old('present_amount') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label" for="email">Overtime Amount</label>
                                <input type="email" readonly id="overtime_amount" name="overtime_amount"
                                    value="{{ old('overtime_amount') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="gross_salary">Gross Salary</label>
                                <input type="text" id="gross_salary" name="gross_salary"
                                    value="{{ old('gross_salary') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group ">
                                <label class="form-label" for="phone">Advance Payment</label>
                                <input type="text" readonly id="advance_payment" name="advance_payment"
                                    value="{{ old('advance_payment') }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="net_salary">Net Salary</label>
                                <input type="text" id="net_salary" name="net_salary" value="{{ old('net_salary') }}"
                                    class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-3" style="margin-top: 33px;">
                            <select type="text" required name="cash_id" id="cash_id" class="form-control ">
                                <option value="">Define Cash Target</option>
                                <option value="1">Target Cash Yes</option>
                                <option value="2">Target Cash NO</option>
                            </select>
                        </div>

                    </div>
                    <!-- Text input -->
                    <div class="row ">
                        <div class="col-md-12">
                            <!-- Text input -->
                            <div class="form-outline ">
                                <textarea name="details" id="details" class="form-control" cols="10" rows="5"></textarea>
                                <label class="form-label" for="details">Payment Note</label>
                            </div>
                        </div>
                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mt-4">Payment</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");

        $("#month_id").change(function() {
            if ($("#date").val() == "") {
                alert("Select Date");
                return false;
            }
            $.ajax({
                url: '{{ route('employee_salary.load_data') }}',
                type: 'GET',
                data: {
                    'employee_id': $("#employee_id").val(),
                    'month_id': $("#month_id").val(),
                    'date': $("#date").val(),
                },
                success: function(data) {
                    // alert(data);
                    // return false;
                    $("#overtime_amount").val(data['overtime']);
                    $("#advance_payment").val(data['advance']);
                    $("#basic_salary").val(data['basic_salary']);
                    $("#present_days").val(data['present_days']);

                    var salary = parseFloat(data['basic_salary']);
                    var perday_salary = salary / 30;
                    var present_amount = parseFloat(perday_salary) * parseFloat(data['present_days']);
                    $('#present_amount').val(present_amount);
                    var gross_salary = parseFloat(data['overtime']) + parseFloat(present_amount);
                    $("#gross_salary").val(gross_salary);
                    var advance = parseFloat(data['advance']);
                    var net_salary = gross_salary - advance;
                    $("#net_salary").val(net_salary)
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
