@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="">
                <div class="row d-flex justify-content-center align-items-center">
                    @include('general.valert')

                    <div class="col-md-12 col-xl-12">
                        <div class="card mask-custom">
                            <div class="card-body p-4 ">
                                <div class="row">
                                    <div class="col-md-4">
                                        <h4>Salaries of</h4>
                                        <h5>{{ $employee->name }}</h5>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="btn-group" role="group" aria-label="Basic example"
                                            style="float: right">

                                            <a href="{{ route('employee_salary.report_show', $employee->id) }}"
                                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                                            @include('general.filter-button')
                                            <a href="{{ route('employee_salary.create', $employee->id) }}"
                                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                                        </div>
                                    </div>
                                </div>
                                @include('HR.employees.salary.filter-form')
                                <div class="row mt-3">
                                    <table class="table text-center table-striped  dt-responsive"
                                        style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                        <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Year</th>
                                                <th scope="col">Month</th>
                                                <th scope="col">BS</th>
                                                <th scope="col">overtime</th>
                                                <th scope="col">advance</th>
                                                <th scope="col">Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($salaries as $row)
                                                <tr class="fw-normal">
                                                    <th class="border-0">{{ $loop->iteration }}</th>

                                                    <td class="border-0 align-middle">
                                                        {{ $row->year . '-' . $row->month . '-' . $row->day }}</td>
                                                    <td>
                                                        {{ $row->year }}
                                                    </td>
                                                    <td>
                                                        {{ $row->month }}
                                                    </td>
                                                    <td class="border-0 align-middle">{{ $row->basic_salary }}</td>

                                                    <td class="border-0 align-middle">
                                                        <h6 class="mb-0"><span class="badge bg-success "><a
                                                                    href="{{ route('employee_overtime.index', $employee->id) }}"
                                                                    class="text-light">{{ $row->overtime_amount }}</a></span>
                                                        </h6>
                                                    </td>


                                                    <td class="border-0 align-middle">
                                                        <h6 class="mb-0"><span class="badge bg-success "><a
                                                                    href="{{ route('employee_payment.index', $employee->id) }}"
                                                                    class="text-light">{{ $row->advance_amount }}</a></span>
                                                        </h6>
                                                    </td>

                                                    <td class="border-0 align-middle">
                                                        <a href="{{ route('employee_salary.view', $row->id) }}"
                                                            data-mdb-toggle="tooltip" title="View"
                                                            class="btn btn-sm btn-rounded btn-primary"><i
                                                                class="fa fa-eye"></i></a>

                                                        <a href="{{ route('employee_salary.edit', $row->id) }}"
                                                            data-mdb-toggle="tooltip" title="Edit"
                                                            class="btn btn-sm btn-rounded btn-primary"><i
                                                                class="fa fa-pencil"></i></a>

                                                    </td>
                                                </tr>
                                            @endforeach

                                        </tbody>
                                        {{ $salaries->links('pagination::bootstrap-4') }}
                                    </table>
                                </div>


                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('HR.employees.salary.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
