@extends('master.app')
@section('title', 'employee')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12">
                                <div class="card-body p-4">
                                    <div class="row pt-1">
                                        <h4>Quick Action</h4>
                                        <div class="col-12 mb-3">
                                            <div class="btn-group shadow-0" role="group" aria-label="Basic example">
                                                <a href="{{ route('employee_overtime.index',$employee->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">
                                                        &nbsp;Overtime</button>
                                                </a>
                                                <a href="{{ route('employee_payment.index', $employee->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">
                                                        Advance</button>
                                                </a>
                                                <a href="{{ route('employee_salary.index', $employee->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">
                                                        Salary</button>
                                                </a>
                                                
                                               
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-header">
                                        Image
                                    </div>
                                    <div class="card-body">
                                        <img src="{{ asset('storage/' . $employee->image) }}" alt=""
                                            style="width: 100%; height:100px;">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-header">
                                        Employee Tazkira
                                    </div>
                                    <div class="card-body">
                                        @if (pathinfo($employee->tz_scan, PATHINFO_EXTENSION) == 'pdf')
                                        <iframe id="iframe" src="{{ asset('storage/' . $employee->tz_scan) }}"
                                            frameborder="0" style="width:100%; height:100px;"></iframe>
                                    @else
                                        <img src="{{ asset('storage/' . $employee->tz_scan) }}" alt=""
                                            style="width:100%; height:100px;">
                                    @endif
                                    </div>
                                </div>
                            </div>
                           

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-header">
                                        Scurity Insurance
                                    </div>
                                    <div class="card-body">
                                        @if (pathinfo($employee->document, PATHINFO_EXTENSION) == 'pdf')
                                            <iframe id="iframe" src="{{ asset('storage/' . $employee->document) }}"
                                                frameborder="0" style="width:100%; height:100px;"></iframe>
                                        @else
                                            <img src="{{ asset('storage/' . $employee->document) }}" alt=""
                                                style="width:100%; height:100px;">
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-header">
                                        Contract Letter
                                    </div>
                                    <div class="card-body">
                                        @if (pathinfo($employee->contract_letter, PATHINFO_EXTENSION) == 'pdf')
                                            <iframe id="iframe"
                                                src="{{ asset('storage/' . $employee->contract_letter) }}" frameborder="0"
                                                style="width:100%; height:100px;"></iframe>
                                        @else
                                            <img src="{{ asset('storage/' . $employee->contract_letter) }}" alt=""
                                                style="width:100%; height:100px;">
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
