@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Overtimes</h4>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('employee_overtimes.report_show') }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                <a data-mdb-toggle="modal" data-mdb-target="#filterModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Filter</a>
                                <a data-mdb-toggle="modal" data-mdb-target="#exampleModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Add</a>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-5">
                        <div class="col-md-12">

                            <table class="table  mb-0 data_table">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Employee</th>
                                        <th scope="col">amount</th>
                                        <th scope="col">Hourse</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($overtimes as $row)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $row->employee->name }}</td>
                                            <td>{{ $row->amount }}</td>
                                            <td>{{ $row->hourse }}</td>
                                            <td>{{ $row->date }}
                                            </td>

                                            <td>
                                                <a href="{{ route('employee_overtimes.edit', $row->id) }}">
                                                    <i class="fa fa-edit text-primary"></i></a>
                                                <a href="{{ route('employee_overtimes.delete', $row->id) }}"
                                                    onclick="return confirm('Are you sure you want to delete this item')">
                                                    <i class="fa fa-trash text-danger"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>

                            </table>

                        </div>
                        <div class="col-md-12 mt-3">
                            <div class="card">
                                <div class="card-body">
                                    {{ $overtimes->links('pagination::bootstrap-4') }}
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </section>
    </main>

    @include('HR.overtime.create-modal')
    @include('HR.overtime.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_overtime").addClass("active");
        $("#employee_id").change(function() {
            var employeeId = $(this).val();
            $.ajax({
                url: '{{ route('overtime.load_basic_salary') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                    'employee_id': $("#employee_id").val(),
                },
                success: function(data) {
                    $("#salary").val(data['basic_salary']);

                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        $("#hours").keyup(function() {
            let hours = document.getElementById("hours").value;
            let salary = document.getElementById("salary").value;
            let salary_hours = 30 * 8;
            // alert(salary_hours);
            let hour_salary = parseFloat(salary) / parseFloat(salary_hours);
            // alert(hour_salary);
            let amount = parseFloat(hours) * parseFloat(hour_salary);
            // alert(amount);
            document.getElementById("amount").value = parseFloat(amount);
        });


        $("#hours").change(function() {
            let hours = document.getElementById("hours").value;
            let salary = document.getElementById("salary").value;
            let salary_hours = 30 * 8;
            // alert(salary_hours);
            let hour_salary = parseFloat(salary) / parseFloat(salary_hours);
            // alert(hour_salary);
            let amount = parseFloat(hours) * parseFloat(hour_salary);
            // alert(amount);
            document.getElementById("amount").value = parseFloat(amount);
        });

        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_hourse").show();
                $("#by_amount").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_hourse").hide();
                $("#by_amount").show();
                $("#by_date").hide();
            } else {
                $("#by_hourse").hide();
                $("#by_amount").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
