@extends('master.app')
@section('title', 'employees')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Edit</h4>

                    </div>
                    @include('general.valert')
                </div>
            </div>
            <div class="card-body">
                <form action="{{ route('employee_salaries.update', $salary->id) }}" method="post"
                    enctype="multipart/form-data">
                    @method('put')
                    @csrf

                    <div class="row ">
                        <div class="col-md-4 mb-4">
                            <select name="employee_id" class="form-control select2" required id="employee_id">
                                <option value="">Choose Employee</option>
                                @foreach ($employees as $row)
                                    <option value="{{ $row->id }}"
                                        @if ($row->id == $salary->employee_id) {{ 'selected' }} @endif>{{ $row->name }}
                                    </option>
                                @endforeach

                            </select>
                        </div>
                        <div class="col-md-4">
                            <div class="form-outline mb-4">
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" id="date" name="date"
                                        value="{{ $salary->date }}" class="form-control sample-date-picker"
                                        id="form3Examplev2" />
                                @else
                                    <input type="date" required id="date" name="date" value="{{ $salary->date }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                                <label class="form-label" for="date">Date</label>
                            </div>
                        </div>
                        <div class="col-md-4 mb-4">
                            <select name="month_id" required class="form-control select2" id="month_id">
                                <option value="">Choose Month</option>
                                <option value="01" @if ($salary->month == '01') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        حمل
                                    @else
                                        January
                                    @endif
                                </option>
                                <option value="02" @if ($salary->month == '02') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        ثور
                                    @else
                                        February
                                    @endif
                                </option>
                                <option value="03" @if ($salary->month == '03') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        جوزا
                                    @else
                                        March
                                    @endif
                                </option>
                                <option value="04" @if ($salary->month == '04') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        سرطان
                                    @else
                                        April
                                    @endif
                                </option>
                                <option value="05" @if ($salary->month == '05') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        اسد
                                    @else
                                        May
                                    @endif
                                </option>
                                <option value="06" @if ($salary->month == '06') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        سنبله
                                    @else
                                        June
                                    @endif
                                </option>
                                <option value="07" @if ($salary->month == '07') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        میزان
                                    @else
                                        July
                                    @endif
                                </option>
                                <option value="08" @if ($salary->month == '08') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        عقرب
                                    @else
                                        August
                                    @endif
                                </option>
                                <option value="09" @if ($salary->month == '09') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        قوس
                                    @else
                                        September
                                    @endif
                                </option>
                                <option value="10" @if ($salary->month == '10') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        جدی
                                    @else
                                        October
                                    @endif
                                </option>
                                <option value="11" @if ($salary->month == '11') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        دلوه
                                    @else
                                        November
                                    @endif
                                </option>
                                <option value="12" @if ($salary->month == '12') {{ 'selected' }} @endif>
                                    @if ($bdate == 1)
                                        خوت
                                    @else
                                        December
                                    @endif
                                </option>
                            </select>
                        </div>

                    </div>
                    <div class="row ">
                        <div class="col">
                            <div class="form-group">
                                <label class="form-label" for="basic_salary">Basic Salary</label>
                                <input type="text" id="basic_salary" name="basic_salary"
                                    value="{{ $salary->basic_salary }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label class="form-label" for="email">Overtime Amount</label>
                                <input type="text" id="overtime_amount" name="overtime_amount"
                                    value="{{ $salary->overtime_amount }}" class="form-control" />
                            </div>
                        </div>
                    </div>
                    <!-- Text input -->
                    <div class="row ">


                        <div class="col-md-3">
                            <div class="form-group ">
                                <label class="form-label" for="phone">Attend Days</label>
                                <input type="text" id="present_days" name="present_days"
                                    value="{{ $salary->opsent_days }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="present_amount">Attend Amount</label>
                                <input type="text" id="present_amount" name="present_amount"
                                    value="{{ $salary->opsent_amount }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <!-- Text input -->
                            <div class="form-group ">
                                <label class="form-label" for="address">Gross Salary</label>
                                <input type="text" id="gross_salary" name="gross_salary"
                                    value="{{ $salary->gross_salary }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group ">
                                <label class="form-label" for="phone">Advance Payment</label>
                                <input type="text" id="advance_payment" name="advance_payment"
                                    value="{{ $salary->advance_amount }}" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="form-group">
                                <label for="">Net Salary</label>
                                <input type="text" name="net_salary" class="form-control" id="net_salary"
                                    value="{{ $salary->net_salary }}">
                            </div>
                        </div>
                        <div class="col-md-3" style="margin-top: 33px;">
                            <select type="text" name="cash_id" id="cash_id" class="form-control ">
                                <option value="">Define Cash Target</option>
                                <option value="1" @if ($salary->c_target == 1) {{ 'selected' }} @endif>
                                    Target Cash Yes</option>
                                <option value="2" @if ($salary->c_target == 2 || $salary->c_target == null) {{ 'selected' }} @endif>
                                    Target Cash NO</option>
                            </select>
                        </div>
                        <div class="col-md-12">
                            <!-- Text input -->
                            <div class="form-outline ">
                                <textarea name="details" id="details" class="form-control" cols="10" rows="5">{{ $salary->details }}</textarea>
                                <label class="form-label" for="details">Payment Note</label>
                            </div>
                        </div>
                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mt-4">Payment</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_salary").addClass("active");
        $("#month_id").change(function() {
            var employee_id = $("#employee_id").val();
            if (employee_id == "") {
                alert("First Select Employee");
                return false;
            }
            if ($("#date").val() == "") {
                alert("Select Date");
                return false;
            }
            $.ajax({
                url: '{{ route('employee_salary.load_data') }}',
                type: 'GET',
                data: {
                    'employee_id': $("#employee_id").val(),
                    'month_id': $("#month_id").val(),
                    'date': $("#date").val(),
                },
                success: function(data) {
                    $("#overtime_amount").val(data['overtime']);
                    $("#advance_payment").val(data['advance']);
                    $("#basic_salary").val(data['basic_salary']);
                    $("#present_days").val(data['present_days']);

                    var salary = parseFloat(data['basic_salary']);
                    var perday_salary = salary / 30;
                    var present_amount = parseFloat(perday_salary) * parseFloat(data['present_days']);
                    $('#present_amount').val(present_amount);
                    var gross_salary = parseFloat(data['overtime']) + parseFloat(present_amount);
                    $("#gross_salary").val(gross_salary);
                    var advance = parseFloat(data['advance']);
                    var net_salary = gross_salary - advance;
                    $("#net_salary").val(net_salary)
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
