@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="">
                <div class="row d-flex justify-content-center align-items-center">
                    <div class="col-md-12 col-xl-12">
                        <div class="card mask-custom">
                            <div class="card-body p-4 ">

                                <div class="row">
                                    <div class="col-md-4">
                                        <h4>Salaries</h4>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="btn-group" role="group" aria-label="Basic example"
                                            style="float: right">

                                            <a href="{{ route('employee_salaries.report_show') }}"
                                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                                            <a data-mdb-toggle="modal" data-mdb-target="#filterModal"
                                                data-mdb-whatever="@mdo"
                                                class="btn btn-primary btn-rounded btn-sm text-light">Filter</a>
                                            <a href="{{ route('employee_salaries.create') }}"
                                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                                        </div>
                                    </div>
                                </div>

                                <table class="table  mb-0 data_table mt-5">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Employee</th>
                                            <th scope="col">date</th>
                                            <th scope="col">BS</th>
                                            <th scope="col">Net Salary</th>
                                            <th scope="col">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($salaries as $row)
                                            <tr class="fw-normal">
                                                <th class="border-0">{{ $loop->iteration }}</th>
                                                <td class="border-0 align-middle">{{ $row->employee->name }}</td>
                                                <td class="border-0 align-middle">
                                                    {{ $row->year . '-' . $row->month . '-' . $row->day }}</td>
                                                <td class="border-0 align-middle">{{ $row->basic_salary }}</td>
                                                <td class="border-0 align-middle">{{ round($row->net_salary, 2) }}</td>
                                                <td class="border-0 align-middle">
                                                    <a href="{{ route('employee_salaries.show', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="View"
                                                        class="btn btn-sm btn-rounded btn-primary">View</a>
                                                    <a href="{{ route('employee_salaries.edit', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Edit"
                                                        class="btn btn-sm btn-rounded btn-primary">Edit</a>

                                                </td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                    {{ $salaries->links('pagination::bootstrap-4') }}
                                </table>


                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('HR.salaries.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_salary").addClass("active");
    </script>
@endsection
