@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body p-4 ">
                <div class="row">
                    <div class="col-md-4">
                        <h4>Salaries</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">

                            <a href="{{ route('employee_salaries.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                           @include('general.filter-button')
                            <a href="{{ route('employee_salaries.create') }}"
                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                        </div>
                    </div>
                </div>
                @include('HR.salaries.filter-form')
                <div class="row mt-3">
                    <table class="table text-center table-striped  dt-responsive"
                        style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                        <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Employee</th>
                                <th scope="col">Date</th>
                                <th scope="col">Year</th>
                                <th scope="col">Month</th>
                                <th scope="col">BS</th>
                                <th scope="col">Net Salary</th>
                                <th scope="col">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($salaries as $row)
                                <tr class="fw-normal">
                                    <th class="border-0">{{ $loop->iteration }}</th>
                                    <td class="border-0 align-middle">{{ $row->employee->name }}</td>
                                    <td class="border-0 align-middle">
                                        {{ $row->year . '-' . $row->month . '-' . $row->day }}</td>
                                        <td>{{ $row->year }}</td>
                                        <td>{{ $row->month }}</td>
                                    <td class="border-0 align-middle">{{ $row->basic_salary }}</td>
                                    <td class="border-0 align-middle">{{ round($row->net_salary, 2) }}</td>
                                    <td class="border-0 align-middle">
                                        <a href="{{ route('employee_salaries.show', $row->id) }}" data-mdb-toggle="tooltip"
                                            title="View" class="btn btn-sm btn-rounded btn-primary"><i
                                                class="fa fa-eye"></i></a>
                                        <a href="{{ route('employee_salaries.edit', $row->id) }}" data-mdb-toggle="tooltip"
                                            title="Edit" class="btn btn-sm btn-rounded btn-primary"><i
                                                class="fa fa-pencil"></i></a>

                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            {{ $salaries->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
    @include('HR.salaries.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_salary").addClass("active");
    </script>
@endsection
