@extends('master.app')
@section("title","Update User")
@section('body')
<main class="app-content">
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-title-w-btn">
                    <h3 class="title">Debitors</h3>
                    <div class="btn-group" role="group">
                        <a href="{{route('investor_account.index')}}" class="btn btn-outline-primary">
                            <i class="fa fa-list-alt"></i>  List
                        </a>
                    </div>
                </div>
                <hr />
                <div class="tile-body row">
                    <div class="col-md-8 offset-md-2">
                        <form method="POST" action="{{route('investor_account.update',$data->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PUT') 
                            <div class="form-group row">
                                <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>
                                <div class="col-md-6">
                                    <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') ?? $data->name }}" required autocomplete="name" autofocus>
                                    @error('name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
        
                            <div class="form-group row">
                                <label for="Phone" class="col-md-4 col-form-label text-md-right">{{ __(' Phone') }}</label>
        
                                <div class="col-md-6">
                                    <input id="Phone" type="text" class="form-control @error('Phone') is-invalid @enderror" name="phone" value="{{ old('Phone') ?? $data->phone }}" required autocomplete="Phone">
        
                                    @error('Phone')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
        
                            <div class="form-group row">
                                <label for="address" class="col-md-4 col-form-label text-md-right">{{ __(' Address') }}</label>
                                <div class="col-md-6">
                                    <input id="address" type="text" class="form-control @error('address') is-invalid @enderror" name="address" value="{{ old('address') ?? $data->address }}" required autocomplete="address">
                                    @error('address')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                          
                            <div class="form-group row mb-0">
                                <div class="col-md-6 offset-md-4">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('Edit') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

@endsection


@section("pageJs")
<script type="text/javascript">
    $(".app-menu").removeClass("active");
    $("#nav_account").addClass("active");
    $("#nav_accounti").addClass("is-expanded");
    $("#nav_sub_investor").addClass("active");
    <?php
    if (session()->has("msg")) {
    ?>

        $.notify({
            title: "Notice: ",
            message: "<?= session()->get("msg"); ?>",
            icon: "fa fa-check"
        }, {
            type: "success"
        });
    <?php
    }
    ?>
</script>
@endsection