@extends('master.app')
@section('title', 'permissions')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9">
                                        <h3 class="title"> Permission</h3>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="btn-group" role="group" style="float: right;">
                                            <button class="btn btn btn-sm btn-rounded btn-primary" data-toggle="modal"
                                                data-target="#userModal">
                                                <i class="fa fa-plus"></i> New
                                            </button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-12 mt-4">
                                <table class="table text-center table-striped  dt-responsive"
                                    style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Name</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($permission as $row)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $row->name }}</td>
                                                <td>
                                                    <a href="{{ route('permission.edit', $row->id) }}"
                                                        class="btn btn-primary btn-sm"><i class="fa fa-pencil"></i> </a>
                                                 
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                {{ $permission->links('pagination::bootstrap-4') }}
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    <div class="modal animated flipInX faster" id="userModal">
        <div class="modal-dialog modal-md">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">New </h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <form method="POST" action="{{ route('permission.store') }}" enctype="multipart/form-data">
                        @csrf

                        <div class="form-group row">
                            <div class="col-md-12 mb-2">
                                <div data-mdb-input-init class="form-outline">
                                    <input type="text" id="name" name="name" class="form-control" />
                                    <label class="form-label" for="name">Name</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row mb-0">
                            <div class="col-md-6">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Save') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_account").addClass("active");
        $("#nav_accounti").addClass("is-expanded");
        $("#nav_permission").addClass("active");
    </script>
@endsection
