@extends('master.app')
@section('title', 'currency')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-title-w-btn">
                        <h3 class="title">currency Types</h3>
                        <div class="btn-group" role="group">
                            <button class="btn btn-outline-primary" data-toggle="modal" data-target="#userModal">
                                <i class="fa fa-plus"></i>New
                            </button>
                        </div>
                    </div>
                    <div class="tile-body">
                        <div class="table">
                            <table class="table table-bordered" style="padding:0px!important;" id="today">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Name En</th>
                                        <th>Name PS</th>
                                        <th>Name Dr</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($currency as $row)
                                        <tr style="padding:0px!important;">
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $row->title_en }}</td>
                                            <td>{{ $row->title_ps }}</td>
                                            <td>{{ $row->title_dr }}</td>
                                            <td>
                                                <a href="{{ route('currency.edit', $row->id) }}"><i
                                                        class="fa fa-pencil"></i></a>

                                            </td>
                                        </tr>
                                    @endforeach
                                   
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="tile-footer">
                    </div>
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('configuration.currencies.modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#").addClass("active");
        $("#").addClass("is-expanded");
        $("#").addClass("active");
        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });




        // for getting record

        $("#all").addClass("active");
    </script>
@endsection
