@extends('master.app')
@section('name', 'Service Category')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-name-w-btn">
                        <div class="row">
                            <div class="col-md-3">
                                <h3 class="name">Edit </h3>
                            </div>
                            <div class="col-md-9">
                                <a href="{{ route('currency.index') }}" style="float: right;" class="btn btn-outline-primary">
                                    <i class="fa fa-plus"></i> List
                                </a>
                            </div>
                        </div>

                    </div>
                    <hr />
                    <div class="tile-body row">
                        <div class="col-md-8 offset-md-2">
                            <form method="POST" action="{{ route('currency.update', $currency->id) }}"
                                onsubmit="return validation();" enctype="multipart/form-data">
                                @method('put')
                                @csrf
                                <div class="form-group row">
                                    <label for="title_en" class="col-md-2 col-form-label text-md-right">{{ __('title_en') }}</label>
                                    <div class="col-md-10">
                                        <input id="title_en" type="text"
                                            class="form-control @error('title_en') is-invalid @enderror" name="title_en"
                                            value="{{ $currency->title_en }}" required autocomplete="title_en" autofocus>
                                        @error('title_en')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
            
                                <div class="form-group row">
                                    <label for="title_ps" class="col-md-2 col-form-label text-md-right">{{ __('title_ps') }}</label>
                                    <div class="col-md-10">
                                        <input id="title_ps" type="text"
                                            class="form-control @error('title_ps') is-invalid @enderror" name="title_ps"
                                            value="{{ $currency->title_ps }}" required autocomplete="title_ps" autofocus>
                                        @error('title_ps')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="title_dr" class="col-md-2 col-form-label text-md-right">{{ __('title_dr') }}</label>
                                    <div class="col-md-10">
                                        <input id="title_dr" type="text"
                                            class="form-control @error('title_dr') is-invalid @enderror" name="title_dr"
                                            value="{{ $currency->title_dr }}" required autocomplete="title_dr" autofocus>
                                        @error('title_dr')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row mb-0">
                                    <div class="col-md-6 offset-md-2">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('Edit') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_account").addClass("active");
        $("#nav_accounti").addClass("is-expanded");
        $("#nav_sub_investor").addClass("active");
    </script>
@endsection
