@extends('master.app')
@section('title', 'employees')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Create</h4>
                    </div>
                    @include('general.valert')
                </div>
            </div>
            <div class="card-body">
                <form action="{{ route('infos.store') }}" method="post" enctype="multipart/form-data">
                    @method('post')
                    @csrf
                    <div class="row mt-2">
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="text" id="name" name="name" value="{{ old('name') }}"
                                    class="form-control" required />
                                <label class="form-label" for="name"> name</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-outline">
                                <input type="email" id="email" name="email" value="{{ old('email') }}"
                                    class="form-control" required />
                                <label class="form-label" for="email">Email</label>
                            </div>
                        </div>
                    </div>
                    <!-- Text input -->
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-outline mt-2">
                                <input type="text" id="phone" name="phone" value="{{ old('phone') }}"
                                    class="form-control" required />
                                <label class="form-label" for="phone">Phone</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="address" name="address" value="{{ old('address') }}"
                                    class="form-control" required />
                                <label class="form-label" for="address">Address</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="w_number" name="w_number" value="{{ old('w_number') }}"
                                    class="form-control" required />
                                <label class="form-label" for="w_number">Whats App Number</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="web_url" name="web_url" value="{{ old('web_url') }}"
                                    class="form-control" required />
                                <label class="form-label" for="web_url">Website URL</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="facebook_url" name="facebook_url"
                                    value="{{ old('facebook_url') }}" class="form-control" required />
                                <label class="form-label" for="facebook_url">Facebook URL</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <!-- Text input -->
                            <div class="form-outline mt-2">
                                <input type="text" id="invoice_text" name="invoice_text"
                                    value="{{ old('invoice_text') }}" class="form-control" required />
                                <label class="form-label" for="invoice_text">Invoice Text</label>
                            </div>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select name="b_type" id="b_type" class="form-control" required>
                                <option value="">Select</option>
                                <option value="1">Tread Business</option>
                                <option value="2">Production Business</option>
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select name="d_type" id="d_type" class="form-control" required>
                                <option value="">Select</option>
                                <option value="1">Hiri Shamsi</option>
                                <option value="2">Meladi</option>
                            </select>
                        </div>
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-6">
                            <label for="">Logo</label>
                            <br>
                            <input type="file" id="logo" name="logo" value="{{ old('logo') }}"
                                class="form-control" />
                        </div>
                        <div class="col-md-6">
                            <label for="">Invoice Template</label>
                            <br>
                            <input type="file" id="template" name="template" value="{{ old('template') }}"
                                class="form-control" />
                        </div>
                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mt-2">Save</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
