@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="card">
                <div class="card-body ">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Bussiness Information</strong>
                        </div>
                        <div class="col-md-8">
                            @if ($data->count() == 0)
                                <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                    <a href="{{ route('infos.create') }}" class="btn btn-primary btn-rounded btn-sm">Add</a>
                                </div>
                            @endif
                        </div>
                    </div>
                    <div class="row mt-3">
                         <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">email</th>
                                    <th scope="col">phone</th>
                                    <th scope="col">address</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($data as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $loop->iteration }}</th>
                                        <td>{{ $row->business_name }}</td>
                                        <td>{{ $row->business_email }}</td>
                                        <td>{{ $row->business_phone }}</td>
                                        <td>{{ $row->business_address }}</td>
                                        <td class="border-0 align-middle">
                                            <a href="{{ route('infos.edit', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="View" class=""><i class="fa fa-pencil"></i></a>
                                            <a href="{{ route('infos.show', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="View" class=""><i class="fa fa-eye"></i></a>
                                            </d>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_hri").addClass("active");
        $("#hri").addClass("is-expanded");
        $("#nav_emp_account").addClass("active");
    </script>
@endsection
