@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }
        th{
            font-size: 12px;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <form action="{{ route('reporting.chart_of_account_find') }}" method="GET">
                    @method('GET')
                    @csrf
                    <div class="row">
                        <div class="col-md-4 ">
                            @if ($bdate == 1)
                                <input type="text" required dir="rtl" name="fromDate" value=""
                                    class="form-control sample-date-picker" id="fromDate" />
                                <label class="form-label" for="fromDate">From Date</label>
                            @else
                                <div class="form-outline datepicker">
                                    <input type="date" required name="fromDate" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="fromDate" />
                                    <label class="form-label" for="fromDate">From Date</label>
                                </div>
                            @endif
                        </div>
                        <div class="col-md-4 ">
                            @if ($bdate == 1)
                                <input type="text" required dir="rtl" name="toDate" value=""
                                    class="form-control sample-date-picker" id="toDate" />
                                <label class="form-label" for="toDate">To Date</label>
                            @else
                                <div class="form-outline datepicker">
                                    <input type="date" required name="toDate" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="toDate" />
                                    <label class="form-label" for="toDate">To Date</label>
                                </div>
                            @endif
                        </div>
                        <div class="col-md-4 ">
                            <button type="submit" class="btn btn-primary btn-rounded btn-sm" id="btn-find">Find</button>
                            <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                onclick="PrintTable();">Print</button>
                        </div>


                    </div>
                </form>
                @if ($data != '')
                    <div class="row">
                        <div class="col-md-12">
                            <table id="table" class="">
                                <tr>
                                    <th rowspan="2">Account Name</th>
                                    <th colspan="{{ $currencies->count() }}">VALUES</th>
                                </tr>
                                <tr>
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">
                                            {{ $row->title_en }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>ASSETS/CURRENT (ACCOUNT RECIEVBLE) <a href="{{ route('reporting.coa_asset_ar') }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $sale->where('currency_id', $row->id)->sum('final_amount') - $received->where('currency_id', $row->id)->sum('amount') }}

                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>ASSETS/CURRENCT (EMPLOYEES ADVANCES)  From {{ $fDate }} To {{ $tDate }} <a href="{{ route('reporting.coa_emp_advance',$fDate."d".$tDate) }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $employee_advance->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('payment') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>ASSETS/CURRENT (SARAFI/BANKS) <a href="{{ route('reporting.coa_asset_bank_asset') }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $bank->where('currency_id', $row->id)->sum('outgoing') - $bank->where('currency_id', $row->id)->sum('income') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>ASSETS/CURRENT (CASH ON HAND) <a href="{{ route('reporting.coa_asset_cash') }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $cash->where('currency_id', $row->id)->sum('income') - $cash->where('currency_id', $row->id)->sum('outgoing') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>ASSETS/LONG-TERM (FIXED) <a href="{{ route('reporting.coa_asset_long_term') }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $assets->where('currency_id', $row->id)->sum('price') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th><strong>Total Assets</strong></th>
                                    @foreach ($currencies as $row)
                                        <td style="background: #e0cd1f">
                                            <strong>
                                                @php
                                                    $t_ar =
                                                        $sale->where('currency_id', $row->id)->sum('final_amount') -
                                                        $received->where('currency_id', $row->id)->sum('amount');
                                                    $t_advance = $employee_advance
                                                        ->where('currency_id', $row->id)
                                                        ->sum('payment');
                                                    $t_bank =
                                                        $bank->where('currency_id', $row->id)->sum('outgoing') -
                                                        $bank->where('currency_id', $row->id)->sum('income');
                                                    $t_cash =
                                                        $cash->where('currency_id', $row->id)->sum('income') -
                                                        $cash->where('currency_id', $row->id)->sum('outgoing');
                                                    $t_assets = $assets->where('currency_id', $row->id)->sum('price');

                                                @endphp
                                                {{ $t_ar + $t_advance + $t_bank + $t_cash + $t_assets }}
                                            </strong>
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>LIABILITIES/Account Paybles <a href="{{ route('reporting.coa_liabilities_ap') }}" target="__blank"><i class="fa fa-eye"></i></a></th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $purchase->where('currency_id', $row->id)->sum('grand_total') - $payment->where('currency_id', $row->id)->sum('amount') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>LIABILITIES/TAXES</th>
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $taxes->where('currency_id', $row->id)->sum('amount') }}
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th>LIABILITIES/SALARIES From {{ $fDate }} To {{ $tDate }} </th>
                                    {{-- <a href="{{ route('reporting.coa_emp_salary',$fDate."d".$tDate) }}" target="__blank"><i class="fa fa-eye"></i></a> --}}
                                    @foreach ($currencies as $row)
                                        <td>
                                            {{ $employees->where('status', 1)->where('currency_id', $row->id)->sum('basic_salary') -($employee_overtimes->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('amount') +$employee_advance->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('payment')) }}
                                        </td>
                                    @endforeach

                                </tr>

                                <tr>
                                    <th><strong>TOTAL/CURRENT LIABILITIES</strong> </th>
                                    @foreach ($currencies as $row)
                                        <td style="background: #e0cd1f;">
                                            <strong>
                                                {{ $purchase->where('currency_id', $row->id)->sum('grand_total') -$payment->where('currency_id', $row->id)->sum('amount') +$taxes->where('currency_id', $row->id)->sum('amount') +$employees->where('status', 1)->where('currency_id', $row->id)->sum('basic_salary') -($employee_overtimes->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('amount') +$employee_advance->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('payment')) }}
                                            </strong>
                                        </td>
                                    @endforeach
                                </tr>
                                <tr>
                                    <th colspan="5">
                                        <a href="{{ route('income_statement.show') }}" target="__blank"><strong>INCOME
                                                STATEMENT LINK CLICK TO CHECK VALUES</strong></a>
                                    </th>
                                </tr>
                                @foreach ($investors as $investor)
                                    <tr>
                                        <th>OWNER'S EQUITY SHARE HOLDER {{ $investor->name }} </th>
                                        @foreach ($currencies as $row)
                                            <td >
                                                <strong>
                                                    {{ $investor_journal->where('currency_id', $row->id)->where('investor_id',$investor->id)->sum('income') - $investor_journal->where('currency_id', $row->id)->where('investor_id',$investor->id)->sum('outgoing') }}
                                                </strong>
                                            </td>
                                        @endforeach
                                    </tr>
                                @endforeach
                                <tr>
                                    <th><strong>TOTAL/OWNER'S EQUITY</strong> </th>
                                    @foreach ($currencies as $row)
                                        <td style="background: #e0cd1f;">
                                            <strong>
                                                {{ $investor_journal->where('currency_id', $row->id)->sum('income') - $investor_journal->where('currency_id', $row->id)->sum('outgoing') }}
                                            </strong>
                                        </td>
                                    @endforeach
                                </tr>

                                <tr>
                                    <th><strong>TOTAL/OWNER'S EQUITY & LIABILITIES</strong> </th>
                                    @foreach ($currencies as $row)
                                        <td style="background: #e0cd1f;">
                                            <strong>
                                                {{ ($investor_journal->where('currency_id', $row->id)->sum('income') - $investor_journal->where('currency_id', $row->id)->sum('outgoing')) +  $purchase->where('currency_id', $row->id)->sum('grand_total') -$payment->where('currency_id', $row->id)->sum('amount') +$taxes->where('currency_id', $row->id)->sum('amount') +$employees->where('status', 1)->where('currency_id', $row->id)->sum('basic_salary') -($employee_overtimes->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('amount') +$employee_advance->where('currency_id', $row->id)->whereBetween('date', [$fDate, $tDate])->sum('payment')) }}
                                            </strong>
                                        </td>
                                    @endforeach
                                </tr>
                            </table>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('income_statement.find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
