@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <table class="">
                            <tr>
                                <td rowspan="2">Name</td>
                                <td colspan="{{ $currencies->count() }}">Withdrow</td>
                                <td colspan="{{ $currencies->count() }}">Deposit</td>
                                <td colspan="{{ $currencies->count() }}">Balance</td>
                            </tr>
                            <tr>
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                            </tr>
                            @foreach ($banks as $row)
                                <tr>
                                    <td>
                                        {{ $row->name }}
                                        {{-- <a href=""> &nbsp;<i class="fa fa-external-link-square"></i></a> --}}
                                    </td>
                                    @foreach ($currencies as $cur_row)
                                        <td>{{ $journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('income') }}
                                        </td>
                                    @endforeach
                                    @foreach ($currencies as $cur_row)
                                        <td>{{ $journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('outgoing') }}
                                        </td>
                                    @endforeach
                                    @foreach ($currencies as $cur_row)
                                        <td>{{$journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('outgoing')-$journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('income') }}
                                        </td>
                                    @endforeach
                                    
                                </tr>
                            @endforeach
                            
                        </table>
                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('income_statement.find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
