@extends('master.app')
@section('title', 'Dashboard')

@section('body')
    <style>
        .widget-small bg-light:hover {
            cursor: pointer;
        }
    </style>
    <main class="app-content">
        @php
            $date = date('Y-m-d');
            $date_week = date('Y-m-d', strtotime('-7 days'));
            $yesterday = date('Y-m-d', strtotime('-1 days'));
            $word = explode('-', $date);
            $year = $word[0];
            $month = $word[1];
            $this_month = $year . '-' . $month;
        @endphp
        <div class="row">
            <div class="col-xl-4 col-lg-4">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Customers</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $customers }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('customers.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Suppliers</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $suppliers }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('suppliers.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Employess</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $employees }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('employees.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-xl-4 col-lg-4">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Bankers/Sarafi</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $bankers }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('banker.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Debitors</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $debitors }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('debitor_account.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 ">
                <div class="card l-bg-cherry">
                    <div class="card-statistic-3 p-4">
                        <div class="card-icon card-icon-large"><i class="fas fa-user"></i></div>
                        <div class="mb-4">
                            <h5 class="card-title mb-0">Investors</h5>
                        </div>
                        <div class="row align-items-center mb-2 d-flex">
                            <div class="col-8">
                                <h2 class="d-flex align-items-center mb-0">
                                    {{ $investors }}
                                </h2>
                            </div>
                            <div class="col-4 text-right">
                                <a href="{{ route('investor_account.index') }}"><span><i class="fa fa-arrow-up"></i></span></a>
                            </div>
                        </div>
                        <div class="progress mt-1 " data-height="8" style="height: 8px;">
                            <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {{-- today sale  --}}
        <div class="row mt-4">
            <div class="col-lg-6">
                <div class="card card-margin">
                    <div class="card-header no-border">
                        <h5 class="card-title">Sales</h5>
                    </div>
                    <div class="card-body pt-0">
                        <div class="widget-49">
                           
                            <ol class="widget-49-meeting-points">
                                @foreach ($currencies as $row)
                                <li class="widget-49-meeting-item"><span><Strong>{{ $row->title_en }}</Strong> &nbsp;{{ $received->where('date', $date)->where('currency_id', $row->id)->sum('amount') }}</span></li>
                                @endforeach
                            </ol>
                            <div class="widget-49-meeting-action">
                                <a href="{{ route('customer_bill.index') }}" class="btn btn-sm btn-flash-border-primary">View All</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card card-margin">
                    <div class="card-header no-border">
                        <h5 class="card-title">Recieveds</h5>
                    </div>
                    <div class="card-body pt-0">
                        <div class="widget-49">
                           
                            <ol class="widget-49-meeting-points">
                                @foreach ($currencies as $row)
                                <li class="widget-49-meeting-item"><span><Strong>{{ $row->title_en }}</Strong> &nbsp;{{ $received->where('date', $date)->where('currency_id', $row->id)->sum('amount') }}</span></li>
                                @endforeach
                            </ol>
                            <div class="widget-49-meeting-action">
                                <a href="{{ route('customer_recieved.index') }}" class="btn btn-sm btn-flash-border-primary">View All</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-4">
            <div class="col-lg-6">
                <div class="card card-margin">
                    <div class="card-header no-border">
                        <h5 class="card-title">Purchase</h5>
                    </div>
                    <div class="card-body pt-0">
                        <div class="widget-49">
                           
                            <ol class="widget-49-meeting-points">
                                @foreach ($currencies as $row)
                                <li class="widget-49-meeting-item"><span><Strong>{{ $row->title_en }}</Strong> &nbsp;{{ $received->where('date', $date)->where('currency_id', $row->id)->sum('amount') }}</span></li>
                                @endforeach
                            </ol>
                            <div class="widget-49-meeting-action">
                                <a href="{{ route('msupplier_bill.index') }}" class="btn btn-sm btn-flash-border-primary">View All</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card card-margin">
                    <div class="card-header no-border">
                        <h5 class="card-title">Payments</h5>
                    </div>
                    <div class="card-body pt-0">
                        <div class="widget-49">
                           
                            <ol class="widget-49-meeting-points">
                                @foreach ($currencies as $row)
                                <li class="widget-49-meeting-item"><span><Strong>{{ $row->title_en }}</Strong> &nbsp;{{ $payment->where('date', $date)->where('currency_id', $row->id)->sum('amount') }}</span></li>
                                @endforeach
                            </ol>
                            <div class="widget-49-meeting-action">
                                <a href="{{ route('msupplier_payment.index') }}" class="btn btn-sm btn-flash-border-primary">View All</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script>
        $("#nav_dashboard").addClass('active');
    </script>
@endsection
