@extends('master.app')
@section('name', 'Supplires')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Create</h4>

                    </div>
                    @include('general.valert')
                </div>
            </div>
            <div class="card-body">
                <form action="{{ route('company_asset.store') }}" method="post" enctype="multipart/form-data">
                    @method('post')
                    @csrf
                    <div class="row ">
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="name" name="name" value="{{ old('name') }}"
                                    class="form-control" />
                                <label class="form-label" for="name">name</label>
                            </div>
                        </div>
                        <div class=" col-md-6">
                            <select id="currency_id" type="text"
                                class="form-control @error('currency_id') is-invalid @enderror" name="currency_id">
                                <option value="">Select Currency</option>
                                @foreach ($currencies as $currency)
                                    <option value="{{ $currency->id }}"
                                        @if (old('type_id') == $currency->id) {{ 'selected' }} @endif>
                                        {{ $currency->title_en }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class=" col-md-6 mt-2">
                            <select id="type_id" type="text"
                                class="form-control @error('type_id') is-invalid @enderror" name="type_id">
                                <option value="">Types</option>
                                @foreach ($assets as $row)
                                    <option value="{{ $row->id }}"
                                        @if (old('type_id') == $row->id) {{ 'selected' }} @endif>{{ $row->title_en }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-6">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="department" name="department" value="{{ old('department') }}"
                                    class="form-control" />
                                <label class="form-label" for="department">department</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="condition" value="{{ old('condition') }}" name="condition"
                                    class="form-control" />
                                <label class="form-label" for="condition">Condition</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class=" col-md-4 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="model" name="model" value="{{ old('department') }}"
                                    class="form-control" />
                                <label class="form-label" for="model">Model</label>
                            </div>
                        </div>
                        <div class=" col-md-4 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="vendor_number" name="vendor_number"
                                    value="{{ old('vendor_number') }}" class="form-control" />
                                <label class="form-label" for="vendor_number">Vendor Number</label>
                            </div>
                        </div>
                        <div class=" col-md-4 ">
                            {{-- <div data-mdb-input-init class="form-outline"> --}}
                            @if ($bdate == 1)
                                <input type="text" dir="rtl" name="date" value=""
                                    class="form-control sample-date-picker" id="form3Examplev2" />
                            @else
                                <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                    class="form-control " id="form3Examplev2" />
                            @endif
                            <label class="form-label" for="quantity">Registration Date</label>

                            {{-- </div> --}}
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="quantity" onkeyup="calculation();" value="{{ old('qunatity') }}"
                                    onchange="calculation();" name="quantity" class="form-control" />
                                <label class="form-label" for="quantity">quantity</label>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="price" onkeyup="calculation();"
                                    value="{{ old('price') }}" onchange="calculation();" name="price"
                                    class="form-control" />
                                <label class="form-label" for="price">Price</label>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="total" name="total" value="{{ old('total') }}"
                                    class="form-control" />
                                <label class="form-label" for="total">total</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mt-3">
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="">
                                <input type="file" id="document" name="document" class="form-control" />
                                <label class="form-label" for="document">Documents</label>
                            </div>
                        </div>
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="">
                                <input type="file" id="picture" name="picture" class="form-control" />
                                <label class="form-label" for="picture">Picture</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mt-4">
                        <div class="col-lg-12 col-md-12 ">
                            <div data-mdb-input-init class="form-outline">
                                <textarea id="description" class="form-control " name="description">{{ old('description') }}</textarea>
                                <label class="form-label" for="form3Example1">Description</label>
                            </div>
                        </div>
                        <div class="col-md-12 mt-3">
                            <button type="submit" class="btn btn-primary btn-rounded mb-4">Save</button>
                        </div>
                    </div>
            </div>
            </form>
        </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_asset").addClass("active");

        function calculation() {
            var quantity = $("#quantity").val();
            var price = $("#price").val();
            if (quantity == "" || price == "") {
                document.getElementById("total").value = "0";
            } else {
                var total = parseInt(quantity) * parseInt(price);
                document.getElementById("total").value = total;
            }
        }
    </script>
@endsection
