@extends('master.app')
@section('name', 'Supplires')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Edit</h4>

                    </div>
                    @include('general.valert')
                </div>
            </div>
            <div class="card-body">
                <form action="{{ route('company_asset.update', $asset->id) }}" method="post" enctype="multipart/form-data">
                    @method('put')
                    @csrf
                    <div class="row ">
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="name" name="name" value="{{ $asset->name }}"
                                    class="form-control" />
                                <label class="form-label" for="name">name</label>
                            </div>
                        </div>
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="type" name="type" value="{{ $asset->type }}"
                                    class="form-control" />
                                <label class="form-label" for="type">Type</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="department" value="{{ $asset->departement }}" name="department"
                                    class="form-control" />
                                <label class="form-label" for="department">department</label>
                            </div>
                        </div>
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="condition" value="{{ $asset->condition }}" name="condition"
                                    class="form-control" />
                                <label class="form-label" for="condition">condition</label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class=" col-md-4 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="model" value="{{ $asset->model }}" name="model"
                                    class="form-control" />
                                <label class="form-label" for="model">Model</label>
                            </div>
                        </div>
                        <div class=" col-md-4 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="vendor_number" value="{{ $asset->vendor_name }}"
                                    name="vendor_number" class="form-control" />
                                <label class="form-label" for="vendor_number">Vendor Number</label>
                            </div>
                        </div>
                        <div class=" col-md-4 ">
                            {{-- <div data-mdb-input-init class="form-outline"> --}}
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" name="date" value="{{ $asset->date }}"
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required name="date" value="{{ $asset->date }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                                <label class="form-label" for="date">Registration Date</label>
                            {{-- </div> --}}
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="quantity" value="{{ $asset->quantity }}" onkeyup="calculation();"
                                    onchange="calculation();" name="quantity" class="form-control" />
                                <label class="form-label" for="quantity">quantity</label>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="price" value="{{ $asset->price }}" onkeyup="calculation();"
                                    onchange="calculation();" name="price" class="form-control" />
                                <label class="form-label" for="price">Price</label>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 ">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="total" value="{{ $asset->total }}" name="total"
                                    class="form-control" />
                                <label class="form-label" for="total">total</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mt-3">
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="">
                                <input type="file" id="document" name="document" class="form-control" />
                                <label class="form-label" for="document">Documents</label>
                            </div>
                        </div>
                        <div class=" col-md-6 ">
                            <div data-mdb-input-init class="">
                                <input type="file" id="picture" name="picture" class="form-control" />
                                <label class="form-label" for="picture">Picture</label>
                            </div>
                        </div>

                    </div>
                    <div class="row mt-4">
                        <div class="col-lg-12 col-md-12 ">
                            <div data-mdb-input-init class="form-outline">
                                <textarea id="details" class="form-control " name="description">{{ old('description') ?? $asset->description }}</textarea>
                                <label class="form-label" for="form3Example1">Description</label>
                            </div>
                        </div>
                        <div class="col-md-12 mt-3">
                            <button type="submit" class="btn btn-primary btn-rounded mb-4">Save</button>
                        </div>
                    </div>
            </div>
            </form>
        </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_asset").addClass("active");

        function calculation() {
            var quantity = $("#quantity").val();
            var price = $("#price").val();
            if (quantity == "" || price == "") {
                document.getElementById("total").value = "0";
            } else {
                var total = parseInt(quantity) * parseInt(price);
                document.getElementById("total").value = total;
            }
        }
    </script>
@endsection
