@extends('master.app')
@section('title', 'Cash')
@section('body')
    <main class="app-content">
        <section>
            <div class="card">
                <div class="row mt-4" style="padding: 20px;">
                    <div class="col-md-4">
                        <h4>Company Fixed Assets</strong></h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            <a href="{{ route('company_asset.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                            <a href="{{ route('company_asset.create') }}" class="btn btn-primary btn-rounded btn-sm">Add</a>
                        </div>

                    </div>
                </div>
                <div class="card-body">
                    <div class="table">
                        <table class="table text-center table-striped  dt-responsive"
                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                            <thead>
                                <tr>
                                    <th>No#</th>
                                    <th>Name</th>
                                    <th>Type</th>
                                    <th>Department</th>
                                    <th>Condition</th>
                                    <th>Model</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($assets as $row)
                                    <tr style="padding:0px!important;">
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $row->name }}</td>
                                        <td>{{ $row->type }}</td>
                                        <td>{{ $row->departement }}</td>
                                        <td>{{ $row->condition }}</td>
                                        <td>{{ $row->model }}</td>
                                        <td>
                                            <a href="{{ route('company_asset.edit', $row->id) }}"><i
                                                    class="fa fa-pencil"></i></a>

                                        </td>
                                    </tr>
                                @endforeach
                                <form id="delete-form" action="" method="POST" style="display: none;">
                                    {{ csrf_field() }}
                                    {{ method_field('DELETE') }}
                                </form>
                            </tbody>
                        </table>
                        {{ $assets->links('pagination::bootstrap-4') }}
                    </div>
                </div>
            </div>
        </section>
    </main>
    <!-- The Modal -->
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_asset").addClass("active");

        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });

        function validation() {
            var amount = $("#amount").val();
            if (isNaN(amount)) {
                alert("Amount Must Number");
                return false;
            }

        }
        $("#full").addClass("active");
    </script>
@endsection
