@extends('master.app')
@section('title', 'banker')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="title">Sarafi/Bank </h3>
                            </div>
                            {{-- <div class="col-md-3">
                                <div class="btn-group" style="float: right" role="group">
                                    <button class="btn btn-danger btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#income_modal">
                                        Withdrow/به نام <i class=" fa fa-arrow-top"></i>
                                    </button>
                                    <button class="btn btn-success btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#outgoing_modal">
                                        Deposit/جمع
                                    </button>
                                </div>
                            </div> --}}
                        </div>
                      <div class="row mt-2">
                        <div class="col-md-12">
                            @include('journals.banker.navbar')
                        </div>
                      </div>
                      <div class="row mt-2">
                        <div class="col-md-4">
                            
                           <div class="card">
                            <div class="card-header">
                                <Strong>WithDrow/به نام</Strong>
                            </div>
                            <div class="card-body">
                                <ul class="list-group">
                                    @foreach ($currency as $row)
                                        <li class="list-group-item">{{ $row->title_dr }} <strong
                                                class="text-danger">{{ $bankerJournal->where('currency_id', $row->id)->sum('income') }}</strong>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                           </div>
                        </div>
                        <div class="col-md-4">
                            
                            <div class="card">
                                <div class="card-header">
                                    <Strong>Deposit/ جمع</Strong>
                                </div>
                                <div class="card-body">
                                    <ul class="list-group">
                                        @foreach ($currency as $row)
                                            <li class="list-group-item">{{ $row->title_dr }} <strong
                                                    class="text-success">{{ $bankerJournal->where('currency_id', $row->id)->sum('outgoing') }}</strong>
                                            </li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                         
                           <div class="card">
                            <div class="card-header">
                                <Strong>Balance</Strong>
                               </div>
                            <div class="card-body">
                                <ul class="list-group">
                                    @foreach ($currency as $row)
                                    @php
                                        $out=$bankerJournal->where('currency_id', $row->id)->sum('outgoing');
                                        $in=$bankerJournal->where('currency_id', $row->id)->sum('income');
                                    @endphp
                                        <li class="list-group-item">
                                            @if($in>$out)
                                            <strong class="text-danger">{{  $out-$in }}</strong>
                                            @else
                                            <strong class="text-warning">{{  $out-$in }}</strong>
                                            @endif 
                                            &nbsp;
                                            {{ $row->title_dr }}
    
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                           </div>
                        </div>
                    </div>

                    </div>
                   
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.banker.income-modal')
    @include('journals.banker.outgoing-model')
@endsection
@section('pageJs')
    <script>
        function validation() {
            var income = $("#income").val();
            var outgoing = $("#outgoing").val();
            if (isNaN(income)) {
                alert("Income Must Number");
                return false;
            }
            if (isNaN(outgoing)) {
                alert("outgoing Must Number");
                return false;
            }

        }
    </script>
    <script type="text/javascript">
       
        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('bank.delete', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_banker").addClass("active");
        $("#balance").addClass("active");
    </script>
@endsection
