@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <h4 class="modal-title"> جمع/ Deposit</h4>
                @include('general.valert')
               
                <form method="POST" action="{{ route('bank.store') }}" 
                    enctype="multipart/form-data">
                    @method('POST')

                    @csrf
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="title" name="title" class="form-control" />
                                <label class="form-label" for="title">Title</label>
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" required name="date" value=""
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="outgoing" name="outgoing" class="form-control" />
                                <label class="form-label" for="outgoing">جمع/Deposit</label>
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <select id="currency" type="text"
                                class="form-control @error('currency') is-invalid @enderror" name="currency">
                                @foreach ($currency as $row)
                                    <option value="{{ $row->id }}">{{ $row->title_en }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select name="banker_id" id="banker_id" class="form-control" required>
                                <option value="">Select</option>
                                @foreach ($bankers as $row)
                                    <option value="{{ $row->id }}"
                                        @if ($row->id == 1) {{ 'selected' }} @endif>
                                        {{ $row->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select type="text" name="cash_id" required id="cash_id" class="form-control input-custom">
                                <option value="">Define Cash Target</option>
                                <option value="1">Target Cash Yes</option>
                                <option value="2">Target Cash No</option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>

                                <label class="form-label" for="form3Example1">Details</label>
                            </div>
                        </div>
                        <div class="col-md-12 mt-3">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Save') }}
                            </button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script>
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_advance").addClass("active");
    </script>
@endsection
