@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card card-registration card-registration-2" style="border-radius: 15px;">
                <div class="card-body p-0">
                    <div class="p-5">
                        <h4 class="modal-title">به نام/ Withdrow</h4>
                        @include('general.valert')

                        <form method="POST" action="{{ route('bank.store') }}" enctype="multipart/form-data">
                            @method('POST')
                            @csrf
                            <input type="hidden" value="1" name="check">
                            <div class="row">
                                <div class="col-md-12 mb-2">
                                    <div data-mdb-input-init class="form-outline">
                                        <input type="text" id="title" required name="title" class="form-control"
                                            required />
                                        <label class="form-label" for="title">Title</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <div data-mdb-input-init class="form-outline">
                                        @if ($bdate == 1)
                                            <input type="text" dir="rtl" name="date" required value=""
                                                class="form-control sample-date-picker" id="form3Examplev2" />
                                        @else
                                            <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                                class="form-control " id="form3Examplev2" />
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <div data-mdb-input-init class="form-outline">
                                        <input type="text" id="income" name="income" class="form-control" required />
                                        <label class="form-label" for="income">Withdrow </label>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <select id="currency" type="text"
                                        class="form-control @error('currency') is-invalid @enderror" name="currency">
                                        @foreach ($currency as $row)
                                            <option value="{{ $row->id }}">{{ $row->title_en }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-md-6 mb-2">
                                    <select name="banker_id" id="banker_id" class="form-control select2" required>
                                        <option value="">Select</option>
                                        @foreach ($bankers as $row)
                                            <option value="{{ $row->id }}"
                                                @if ($row->id == 1) {{ 'selected' }} @endif>
                                                {{ $row->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="col-md-6 mb-2">
                                    <select type="text" name="cash_id" id="cash_id" class="form-control input-custom">
                                        <option value="">Define Cash Target</option>
                                        <option value="1">Target Cash Yes</option>
                                        <option value="2">Target Cash No</option>
                                    </select>
                                </div>
                                <div class="col-md-12 mb-2">
                                    <div data-mdb-input-init class="form-outline">
                                        <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>

                                        <label class="form-label" for="form3Example1">Details</label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('Save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script>
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_advance").addClass("active");
    </script>
@endsection
