@extends('master.app')
@section('title', 'Update banker Journal')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-title-w-btn">
                        <h3 class="title">Edit </h3>
                        <div class="btn-group" role="group">
                            <a href="{{ route('bank.index') }}" class="btn btn-outline-primary">
                                <i class="fa fa-list"></i>List
                            </a>
                        </div>
                    </div>
                    <hr />
                    <div class="tile-body row">
                        <div class="col-md-8 offset-md-2">
                            <form method="POST" action="{{ route('bank.update', $bankerJournal->id) }}"
                                onsubmit="return validation();" enctype="multipart/form-data">
                                @method('put')
                                @csrf
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                    <div class="col-md-10">
                                        <input id="title" type="text"
                                            class="form-control @error('title') is-invalid @enderror" name="title"
                                            value="{{ old('title') ?? $bankerJournal->title }}" required
                                            autocomplete="title" autofocus>
                                        @error('title')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Banker') }}</label>
                                    <div class="col-md-5">
                                        <select name="banker_id" id="banker_id" class="form-control" required>
                                            <option value="">Select</option>
                                            @foreach ($bankers as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($row->id == $bankerJournal->banker_id) {{ 'selected' }} @endif>
                                                    {{ $row->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('banker_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="col-md-5">
                                        <select type="text" name="cash_id" id="cash_id"
                                            class="form-control input-custom">
                                            <option value="1"
                                                @if ($bankerJournal->c_target == 1) {{ 'selected' }} @endif>Target Cash
                                                Yes</option>
                                            <option value="2"
                                                @if ($bankerJournal->c_target == 2 || $bankerJournal == null) {{ 'selected' }} @endif>Target Cash NO
                                            </option>
                                        </select>

                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                    <div class="col-md-6">
                                        @if ($bdate == 1)
                                            <input type="text" dir="rtl" name="date" value="{{ $bankerJournal->date }}"
                                                class="form-control sample-date-picker" id="form3Examplev2" />
                                        @else
                                            <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                                class="form-control " id="form3Examplev2" />
                                        @endif
                                    </div>
                                    <div class="col-md-4">
                                        <select id="currency" type="text"
                                            class="form-control @error('currency') is-invalid @enderror" name="currency">
                                            @foreach ($currency as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($bankerJournal->currency_id == $row->id) {{ 'selected' }} @endif>
                                                    {{ $row->title_ps }}</option>
                                            @endforeach
                                        </select>
                                        @error('currency')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('') }}</label>

                                    <div class="col-md-5">
                                        <label for="outgoing"
                                            class="col-form-label text-md-right">{{ __('Deposit/جمع') }}</label>
                                        <div>
                                            <input id="outgoing" type="text"
                                                class="form-control @error('credit') is-invalid @enderror" name="outgoing"
                                                value="{{ old('outgoing') ?? $bankerJournal->outgoing }}"
                                                autocomplete="outgoing" autofocus>
                                            @error('outgoing')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-5">
                                        <label for=""
                                            class="col-form-label text-md-right">{{ __('withDrow/به نام') }}</label>
                                        <div>
                                            <input id="income" type="text"
                                                class="form-control @error('debit') is-invalid @enderror" name="income"
                                                value="{{ old('income') ?? $bankerJournal->income }}" autocomplete="income"
                                                autofocus>
                                            @error('income')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="detials"
                                        class="col-md-2 col-form-label text-md-right">{{ __('detials') }}</label>
                                    <div class="col-md-10">
                                        <textarea id="details" class="form-control " name="details">{{ old('details') ?? $bankerJournal->details }}</textarea>
                                        @error('detials')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row mb-0">
                                    <div class="col-md-6 offset-md-2">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('Update') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_banker").addClass("active");
    </script>
@endsection
