@extends('master.app')
@section('title', 'Cash')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="title">Sarafi Report </h3>
                            </div>
                            {{-- <div class="col-md-3">
                                <div class="btn-group" style="float: right" role="group">
                                    <button class="btn btn-danger btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#income_modal">
                                        Withdrow/به نام <i class=" fa fa-arrow-top"></i>
                                    </button>
                                    <button class="btn btn-success btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#outgoing_modal">
                                        Deposit/جمع
                                    </button>
                                </div>
                            </div> --}}
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                @include('journals.banker.navbar')
                            </div>
                        </div>
                        <div class="row mt-2">

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-3 ">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="fromDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="fromDate" />
                                                        <label class="form-label" for="fromDate">From Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="fromDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="fromDate" />
                                                            <label class="form-label" for="fromDate">From Date</label>
                                                        </div>
                                                    @endif

                                                </div>
                                                <div class="col-md-3 ">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="toDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="toDate" />
                                                        <label class="form-label" for="toDate">To Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="toDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="toDate" />
                                                            <label class="form-label" for="toDate">To Date</label>
                                                        </div>
                                                    @endif

                                                </div>
                                                <div class="col-md-3">
                                                    <div class="mb-3 pb-1">
                                                        {{-- <label for=''>Banker/Saraf<strong
                                                                class="text-danger">*</strong></label> --}}
                                                        <select name="banker_id" class="form-control" id="banker_id">
                                                            <option value="all">All Bankers/Sarafs</option>
                                                            @foreach ($bankers as $row)
                                                                <option value="{{ $row->id }}">
                                                                    {{ $row->name }}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="mb-3 pb-1">
                                                        {{-- <label for=''>Currency<strong
                                                                class="text-danger">*</strong></label> --}}
                                                        <select name="currency_id" class="form-control" id="currency_id">
                                                            <option value="all">All Currency</option>
                                                            @foreach ($currency as $row)
                                                                <option value="{{ $row->id }}">
                                                                    {{ $row->title_dr }}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <button class="btn btn-primary btn-sm btn-rounded" type="button"
                                                        id="btn_show">
                                                        Show
                                                    </button>
                                                    <button class="btn btn-primary btn-sm btn-rounded" id=""
                                                        onclick="PrintTable();"><i class=""></i>Print</button>
                                                </div>

                                            </div>
                                            <div class="row">
                                                <div class="col-md-12 print_div" id="print_div">

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </main>

    @include('journals.banker.income-modal')
    @include('journals.banker.outgoing-model')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_banker").addClass("active");
        $("#report").addClass("active");

        $(document).on("click", "#btn_show", function() {
            var currency_id = $("#currency_id").val();
            var banker_id = $("#banker_id").val();
            if (banker_id == "") {
                alert("Choose Banker/Saraf");
                return false;
            }
            if (currency_id == "") {
                alert("Choose Currency");
                return false;
            }
            $.ajax({
                url: '{{ route('bank.report_find') }}',
                type: 'GET',
                data: {
                    "currency_id": $("#currency_id").val(),
                    "banker_id": $("#banker_id").val(),
                    "fromDate": $("#fromDate").val(),
                    "toDate": $("#toDate").val(),
                },
                success: function(data) {

                    $(".print_div").html(data)
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                }
            });
        })
    </script>
@endsection
