@extends('master.app')
@section('title', 'Update Cash Journal')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-title-w-btn">
                        <h3 class="title">Edit </h3>
                        @include('general.valert')

                        <div class="btn-group" role="group">
                            <a href="{{ route('cash.index') }}" class="btn btn-outline-primary">
                                <i class="fa fa-list"></i> List
                            </a>
                        </div>
                    </div>
                    <hr />
                    <div class="tile-body row">

                        <div class="col-md-8 offset-md-2">
                            <form method="POST" action="{{ route('cash.update', $cashJournal->id) }}"
                                enctype="multipart/form-data">
                                @method('put')
                                @csrf
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                    <div class="col-md-10">
                                        <input id="title" type="text"
                                            class="form-control @error('title') is-invalid @enderror" name="title"
                                            value="{{ old('title') ?? $cashJournal->title }}" required autocomplete="title"
                                            autofocus>
                                        @error('title')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Type') }}</label>
                                    <div class="col-md-10">
                                        <select id="type_id" type="text"
                                            class="form-control @error('type_id') is-invalid @enderror" name="type_id">
                                            @foreach ($cashType as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($cashJournal->type_id == $row->id) {{ 'selected' }} @endif>
                                                    {{ $row->title_dr }}</option>
                                            @endforeach
                                        </select>
                                        @error('type_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>

                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                    <div class="col-md-6">
                                        @if ($bdate == 1)
                                            <input type="text" class="form-control sample-date-picker" dir="rtl"
                                                name="date" value="{{ $cashJournal->date }}" />
                                        @else
                                            <input type="date" required name="date" value="{{ $cashJournal->date }}"
                                                class="form-control " id="form3Examplev2" />
                                        @endif
                                    </div>
                                    <div class="col-md-4">
                                        <select id="currency" type="text"
                                            class="form-control @error('currency') is-invalid @enderror" name="currency">
                                            @foreach ($currency as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($cashJournal->currency_id == $row->id) {{ 'selected' }} @endif>
                                                    {{ $row->title_dr }}</option>
                                            @endforeach
                                        </select>
                                        @error('currency')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('') }}</label>

                                    <div class="col-md-5">
                                        <label for="income"
                                            class="col-form-label text-md-right">{{ __('Income Amount') }}</label>
                                        <div>
                                            <input id="income" type="text"
                                                class="form-control @error('credit') is-invalid @enderror" name="income"
                                                value="{{ old('income') ?? $cashJournal->income }}" autocomplete="income"
                                                autofocus>
                                            @error('income')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <label for="outgoing"
                                            class="col-form-label text-md-right">{{ __('Outgoing Amount') }}</label>
                                        <div>
                                            <input id="outgoing" type="text"
                                                class="form-control @error('outgoing') is-invalid @enderror" name="outgoing"
                                                value="{{ old('outgoing') ?? $cashJournal->outgoing }}"
                                                autocomplete="outgoing" autofocus>
                                            @error('outgoing')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="detials"
                                        class="col-md-2 col-form-label text-md-right">{{ __('details') }}</label>
                                    <div class="col-md-10">
                                        <textarea id="details" class="form-control " name="details">{{ old('details') ?? $cashJournal->details }}</textarea>
                                        @error('detials')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row mb-0">
                                    <div class="col-md-6 offset-md-2">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('Register') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_cash").addClass("active");
    </script>
@endsection
