@extends('master.app')
@section('title', 'Cash')
@section('pageCSS')
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-9">
                        <h5 class="">Cash Filter</h5>
                    </div>
                    <div class="col-md-12">
                        @include('journals.cash.navbar')
                    </div>
                    <div class="col-md-12">
                        <form action="{{ route('cash.filter_find') }}" method="get">
                            @csrf
                            @method('get')
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="mb-3 pb-1">
                                        <label for=''>Filter Option<strong class="text-danger"></strong></label>
                                        <select name="filter_id" class="form-control" id="filter_id">
                                            <option value="">Filter Option</option>
                                            <option value="1">By Type</option>
                                            <option value="2">By Currency</option>
                                            <option value="3">By Title</option>
                                            <option value="6">By Date</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3" id="by_f_date" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>From Date<strong class="text-danger">*</strong></label>
                                        <div class="form-outline">
                                            @if ($bdate == 1)
                                                <input type="text"  id="index" dir="rtl" name="fromDate"
                                                    value="" class="form-control sample-date-picker" id="form3Examplev2" />
                                            @else
                                                <input type="date"  name="fromDate" value="{{ date('Y-m-d') }}"
                                                    class="form-control " id="form3Examplev2" />
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3" id="by_t_date" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>To Date<strong class="text-danger">*</strong></label>
                                        <div class="form-outline">
                                            @if ($bdate == 1)
                                                <input type="text"  id="index" dir="rtl" name="toDate"
                                                    value="" class="form-control sample-date-picker" id="form3Examplev2" />
                                            @else
                                                <input type="date"  name="toDate" value="{{ date('Y-m-d') }}"
                                                    class="form-control " id="form3Examplev2" />
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6" id="by_type" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>Cash Type<strong class="text-danger"></strong></label>
                                        <select name="type_id" class="form-control" id="type_id">
                                            <option value="">By Types</option>
                                            @foreach ($cashType as $row)
                                                <option value="{{ $row->id }}">
                                                    {{ $row->title_dr }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6" id="by_currency" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>Currency<strong class="text-danger"></strong></label>
                                        <select name="currency_id" class="form-control" id="currency_id">
                                            <option value="">By Currency</option>
                                            @foreach ($currency as $row)
                                                <option value="{{ $row->id }}">
                                                    {{ $row->title_dr }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6" id="by_title" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>Title</label>
                                        <div class="form-outline">
                                            <input id="title" name="title" type="text" class="form-control"
                                                autofocus value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6" id="by_income" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>income</label>
                                        <div class="form-outline">
                                            <input id="income" name="income" type="text" class="form-control"
                                                autofocus value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6" id="by_outgoing" style="display: none;">
                                    <div class="mb-3 pb-1">
                                        <label for=''>outgoing</label>
                                        <div class="form-outline">
                                            <input id="outgoing" name="outgoing" type="text" class="form-control"
                                                autofocus value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-2" style="display: none" id="btn_filter">
                                    <button class="btn btn-primary" type="submit">
                                        filter
                                    </button>

                                </div>

                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </main>


@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_cash").addClass("active");
        $("#filter").addClass("active");

        $("#filter_id").change(function() {
            var value = $(this).val();
            if (value == "") {
                alert("Select Proper Option");
            } else if (value == 1) {
                $("#by_type").show();
                $("#by_currency").hide();
                $("#by_title").hide();
                $("#by_income").hide();
                $("#by_outgoing").hide();
                $("#by_f_date").hide();
                $("#by_t_date").hide();
                $("#btn_filter").show();
            } else if (value == 2) {
                $("#by_type").hide();
                $("#by_currency").show();
                $("#by_title").hide();
                $("#by_income").hide();
                $("#by_outgoing").hide();
                $("#by_f_date").hide();
                $("#by_t_date").hide();
                $("#btn_filter").show();
            } else if (value == 3) {
                $("#by_type").hide();
                $("#by_currency").hide();
                $("#by_title").show();
                $("#by_income").hide();
                $("#by_outgoing").hide();
                $("#by_f_date").hide();
                $("#by_t_date").hide();
                $("#btn_filter").show();
            } else if (value == 4) {
                $("#by_type").hide();
                $("#by_currency").hide();
                $("#by_title").hide();
                $("#by_income").show();
                $("#by_outgoing").hide();
                $("#by_f_date").hide();
                $("#by_t_date").hide();
                $("#btn_filter").show();
            } else if (value == 5) {
                $("#by_type").hide();
                $("#by_currency").hide();
                $("#by_title").hide();
                $("#by_income").hide();
                $("#by_outgoing").show();
                $("#by_f_date").hide();
                $("#by_t_date").hide();
                $("#btn_filter").show();
            } else {
                $("#by_type").hide();
                $("#by_currency").hide();
                $("#by_title").hide();
                $("#by_income").hide();
                $("#by_outgoing").hide();
                $("#by_f_date").show();
                $("#by_t_date").show();
                $("#btn_filter").show();
            }

        });
    </script>
@endsection
