@extends('master.app')
@section('title', 'customer')


@section('body')
    <main class="app-content">
        <section class="">
            <div class="card card-registration card-registration-2" style="border-radius: 15px;">
                <div class="card-body p-0">
                    <div class="p-5">
                        <h3 class="fw-normal text-dark mb-5" style="">Income Cash</h3>
                        @include('general.valert')

                        <form method="POST" action="{{ route('cash.store') }}" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" value="1" name="check">
                            <div class="form-group row">
                                <label for="title"
                                    class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                <div class="col-md-10">
                                    <input id="title" type="text"
                                        class="form-control @error('title') is-invalid @enderror" name="title"
                                        value="{{ old('title') }}" required autocomplete="title" autofocus>
                                    @error('title')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="title"
                                    class="col-md-2 col-form-label text-md-right">{{ __('Type') }}</label>
                                <div class="col-md-10">
                                    <select id="type_id" required type="text"
                                        class="form-control select2 @error('type_id') is-invalid @enderror" name="type_id">
                                        <option value="">Choose Type</option>
                                        @foreach ($cashType as $row)
                                            <option value="{{ $row->id }}">{{ $row->title_dr }}</option>
                                        @endforeach
                                    </select>
                                    @error('type_id')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>

                            </div>
                            <div class="form-group row">
                                <label for="date"
                                    class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                <div class="col-md-6">
                                    @if ($bdate == 1)
                                        <input type="text" dir="rtl" required name="date" value=""
                                            class="form-control sample-date-picker" id="form3Examplev2" />
                                    @else
                                        <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                            class="form-control " id="form3Examplev2" />
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <select id="currency" type="text"
                                        class="form-control @error('currency') is-invalid @enderror" name="currency">
                                        @foreach ($currency as $row)
                                            <option value="{{ $row->id }}">{{ $row->title_dr }}</option>
                                        @endforeach
                                    </select>
                                    @error('currency')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="income" class="col-md-2 col-form-label text-md-right">Income</label>
                                <div class="col-md-10">
                                    <input id="income" required type="number"
                                        class="form-control @error('income') is-invalid @enderror" name="income"
                                        value="{{ old('income') }}" autocomplete="income" autofocus>
                                    @error('income')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="detials"
                                    class="col-md-2 col-form-label text-md-right">{{ __('detials') }}</label>
                                <div class="col-md-10">
                                    <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>
                                    @error('detials')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <div class="col-md-6 offset-md-2">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('Register') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $('#input1').change(function() {
            var $this = $(this),
                value = $this.val();
            alert(value);
        });
        $('#textbox1').change(function() {
            var $this = $(this),
                value = $this.val();
            alert(value);
        });
        $('[data-name="disable-button"]').click(function() {
            $('[data-mddatetimepicker="true"][data-targetselector="#input1"]').MdPersianDateTimePicker('disable',
                true);
        });
        $('[data-name="enable-button"]').click(function() {
            $('[data-mddatetimepicker="true"][data-targetselector="#input1"]').MdPersianDateTimePicker('disable',
                false);
        });

        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_payments").addClass("active");
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>

@endsection
