<div class="modal animated flipInX faster" id="income_modal">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">New </h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <!-- Modal body -->
            <div class="modal-body">
                <form method="POST" action="{{ route('cash.store') }}" onsubmit="return validation();"
                    enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" value="1" name="check">
                    <div class="form-group row">
                        <label for="title" class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                        <div class="col-md-10">
                            <input id="title" type="text"
                                class="form-control @error('title') is-invalid @enderror" name="title"
                                value="{{ old('name') }}" required autocomplete="title" autofocus>
                            @error('title')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="title" class="col-md-2 col-form-label text-md-right">{{ __('Type') }}</label>
                        <div class="col-md-10">
                            <select id="type_id" type="text"
                                class="form-control @error('type_id') is-invalid @enderror" name="type_id">
                                @foreach ($cashType as $row)
                                    <option value="{{ $row->id }}">{{ $row->title_dr }}</option>
                                @endforeach
                            </select>
                            @error('type_id')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>

                    </div>
                    <div class="form-group row">
                        <label for="date" class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                        <div class="col-md-6">
                            @if ($bdate == 1)
                                <input type="text" required id="index" dir="rtl" name="date" value=""
                                    class="form-control test" id="form3Examplev2" />
                                <label class="form-label" for="form3Examplev2">Date</label>
                            @else
                                <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                    class="form-control " id="form3Examplev2" />
                                <label class="form-label" for="form3Examplev2">Date</label>
                            @endif
                        </div>
                        <div class="col-md-4">
                            <select id="currency" type="text"
                                class="form-control @error('currency') is-invalid @enderror" name="currency">
                                @foreach ($currency as $row)
                                    <option value="{{ $row->id }}">{{ $row->title_dr }}</option>
                                @endforeach
                            </select>
                            @error('currency')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="income" class="col-md-2 col-form-label text-md-right">Income</label>
                        <div class="col-md-10">
                            <input id="income" type="text"
                                class="form-control @error('income') is-invalid @enderror" name="income"
                                value="{{ old('income') }}" autocomplete="income" autofocus>
                            @error('income')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="detials" class="col-md-2 col-form-label text-md-right">{{ __('detials') }}</label>
                        <div class="col-md-10">
                            <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>
                            @error('detials')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row mb-0">
                        <div class="col-md-6 offset-md-2">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Register') }}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
