@extends('master.app')
@section('title', 'Cash')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9">
                                        <h5 class="">Outgoing Journal</h5>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="btn-group" style="float: right;" role="group">
                                            <a href="{{ route('cash.create') }}"
                                                class="btn btn-success btn-rounded btn-sm">Income</a>
                                            <a href="{{ route('cash.out_create') }}"
                                                class="btn btn-danger btn-rounded btn-sm">Outgoing</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-mdl-12">
                                @include('journals.cash.navbar')
                            </div>
                            <div class="col-md-12">
                                <div class="table-responsive mt-4">
                                    <div class="table ">
                                        <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                            <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th>Title</th>
                                                    <th>Type</th>
                                                    <th>Currency</th>
                                                    <th>date</th>
                                                    <th class="text-danger">outgoing</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($cushJournal as $row)
                                                    <tr style="padding:0px!important;">
                                                        <td>{{ $loop->iteration }}</td>
                                                        <td>{{ $row->title }}</td>
                                                        <td>{{ $row->type->title_ps }}</td>
                                                        <td>{{ $row->currency->title_ps }}</td>
                                                        <td>{{ $row->date }}</td>
                                                        <td class="text-danger">{{ $row->outgoing }}</td>
                                                        <td>
                                                            <a href="{{ route('cash.edit', $row->id) }}"><i
                                                                    class="fa fa-pencil"></i></a>
                                                            <a href="{{ route('cash.delete', $row->id) }}"
                                                                onclick="return confirm('Are you sure you want to delete this item?');"><i
                                                                    class="fa fa-trash text-danger"></i></a>

                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                            <form id="delete-form" action="" method="POST" style="display: none;">
                                                {{ csrf_field() }}
                                                {{ method_field('DELETE') }}
                                            </form>
                                        </table>
                                    </div>
                                </div>
                                {{ $cushJournal->links('pagination::bootstrap-4') }}
                            </div>
                        </div>



                    </div>

                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.cash.income-modal')
    @include('journals.cash.outgoing-model')

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_cash").addClass("active");
        $("#outgoing").addClass("active");

        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('cash.delete', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });


        function validation() {
            var income = $("#income").val();
            var outgoing = $("#outgoing").val();
            if (isNaN(income)) {
                alert("Income Must Number");
                return false;
            }
            if (isNaN(outgoing)) {
                alert("outgoing Must Number");
                return false;
            }

        }

        // for getting record
    </script>
@endsection
