@extends('master.app')
@section('title', 'debitor')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-title-w-btn">
                        <h3 class="title">Balancesheet</h3>

                    </div>
                    <div class="tile-body">
                        @include('journals.debitor.navbar')
                        <hr>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card shadow-sm  mb-5 bg-white rounded">
                                    <div class="card-header bg-primary">
                                        <h6 class="text-white"><i class="fa fa-search"></i> Balancesheet</h6>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            
                                            <div class="col-md-6">
                                                <div class="mb-3 pb-1" style="margin-top: 23px;">
                                                    <select name="debitor_id" class="form-control" id="debitor_id">
                                                        <option value="all">All debitors</option>
                                                        @foreach ($debitors as $row)
                                                            <option value="{{ $row->id }}">
                                                                {{ $row->name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3 pb-1" style="margin-top: 23px;">
                                                    <select name="currency_id" class="form-control" id="currency_id">
                                                        <option value="all">All Currency</option>
                                                        @foreach ($currency as $row)
                                                            <option value="{{ $row->id }}">
                                                                {{ $row->name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <button class="btn btn-primary btn-sm" type="button" id="btn_show">
                                                    Show
                                                </button>
                                                <button class="btn btn-primary btn-sm"  id=""
                                                    onclick="PrintTable();"><i class=""></i>Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 print_div" id="print_div">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");

        $("#report").addClass("active");
        $(document).on("click", "#btn_show", function() {

            $.ajax({
                url: "{{ route('debitor.balancesheet_find') }}",
                type: 'GET',
                data: {
                    "debitor_id": $("#debitor_id").val(),
                    "currency_id": $("#currency_id").val(),
                    "fromDate": $("#fromDate").val(),
                    "toDate": $("#toDate").val(),
                },
                success: function(data) {
                    $(".print_div").html(data)
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                }
            });
        })

        function PrintTable() {
            var printWindow = window.open('', '', 'height=1000,width=1000');
            var table_style = document.getElementById("table_style").innerHTML;
            printWindow.document.write('<style type = "text/css">');
            printWindow.document.write(table_style);
            printWindow.document.write('</style>');
            var divContents = document.getElementById("print_div").innerHTML;
            printWindow.document.write(divContents);
            printWindow.document.close();
            printWindow.print();
            printWindow.close();
        }
    </script>
@endsection
