@extends('master.app')
@section('title', 'Update debitor Journal')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="tile">
                    <div class="tile-title-w-btn">
                        <h3 class="title">Edit </h3>
                    @include('general.valert')

                        <div class="btn-group" role="group">
                            <a href="{{ route('debitor.index') }}" class="btn btn-outline-primary">
                                <i class="fa fa-list"></i>List
                            </a>
                        </div>
                    </div>
                    <hr />
                    <div class="tile-body row">
                        <div class="col-md-8 offset-md-2">
                            <form method="POST" action="{{ route('debitor.update', $data->id) }}"
                                 enctype="multipart/form-data">
                                @method('put')
                                @csrf
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                    <div class="col-md-10">
                                        <input id="title" type="text"
                                            class="form-control @error('title') is-invalid @enderror" name="title"
                                            value="{{ old('title') ?? $data->title }}" required autocomplete="title"
                                            autofocus>
                                        @error('title')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="title"
                                        class="col-md-2 col-form-label text-md-right">{{ __('debitor') }}</label>
                                    <div class="col-md-10">
                                        <select name="debitor_id" id="debitor_id" class="form-control" required>
                                            <option value="">Select</option>
                                            @foreach ($debitors as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($row->id == $data->debitor_id) {{ 'selected' }} @endif>
                                                    {{ $row->name }}</option>
                                            @endforeach
                                        </select>
                                        @error('debitor_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                    <div class="col-md-6">
                                        @if ($bdate == 1)
                                            <input type="text" dir="rtl" name="date" value="{{ $data->date }}"
                                                class="form-control sample-date-picker" id="form3Examplev2" />
                                        @else
                                            <input type="date" required name="date" value="{{ $data->date }}"
                                                class="form-control " id="form3Examplev2" />
                                        @endif
                                    </div>
                                    <div class="col-md-4">
                                        <select id="currency" type="text"
                                            class="form-control @error('currency') is-invalid @enderror" name="currency">
                                            @foreach ($currency as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($data->currency_id == $row->id) {{ 'selected' }} @endif>
                                                    {{ $row->title_en }}</option>
                                            @endforeach
                                        </select>
                                        @error('currency')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="date"
                                        class="col-md-2 col-form-label text-md-right">{{ __('') }}</label>

                                    <div class="col-md-5">
                                        <label for="outgoing"
                                            class="col-form-label text-md-right">{{ __('Outgoing') }}</label>
                                        <div>
                                            <input id="outgoing" type="text"
                                                class="form-control @error('credit') is-invalid @enderror" name="outgoing"
                                                value="{{ old('outgoing') ?? $data->outgoing }}" autocomplete="outgoing"
                                                autofocus>
                                            @error('outgoing')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-5">
                                        <label for=""
                                            class="col-form-label text-md-right">{{ __('ّincome') }}</label>
                                        <div>
                                            <input id="income" type="text"
                                                class="form-control @error('debit') is-invalid @enderror" name="income"
                                                value="{{ old('income') ?? $data->income }}" autocomplete="income"
                                                autofocus>
                                            @error('income')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                               
                                <div class="form-group row">
                                    <div class="col-md-2 mb-2">Cash Type</div>
                                    <div class="col-md-10 mb-2">
                                        <select type="text" required name="cash_id" id="cash_id"
                                            class="form-control input-custom">
                                            <option value="">Define Target Cash</option>
                                            <option value="1" @if($data->c_target==1) {{ "selected" }} @endif>Target Cash Yes</option>
                                            <option value="2" @if($data->c_target==2 || $data->c_target==null) {{ "selected" }} @endif>Target Cash NO</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="detials"
                                        class="col-md-2 col-form-label text-md-right">{{ __('Details') }}</label>
                                    <div class="col-md-10">
                                        <textarea id="details" class="form-control " name="details">{{ old('details') ?? $data->details }}</textarea>
                                        @error('detials')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row mb-0">
                                    <div class="col-md-6 offset-md-2">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('Edit') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_debitor").addClass("active");
    </script>
@endsection
