@extends('master.app')
@section('title', 'outgoing')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @include('general.valert')

                <form method="POST" action="{{ route('debitor.store') }}" 
                    enctype="multipart/form-data">
                    @method('POST')
                    @csrf
                    <div class="row">
                        <input type="hidden" name="transaction_id" id="transaction_id" value="2">
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="title" name="title" class="form-control" required />
                                <label class="form-label" for="title">Title</label>
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                @if ($bdate == 1)
                                    <input type="text" dir="rtl" name="date" value=""
                                        class="form-control sample-date-picker" id="form3Examplev2" />
                                @else
                                    <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="form3Examplev2" />
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <input type="text" id="outgoing" name="outgoing" class="form-control" required />
                                <label class="form-label" for="outgoing">Outgoing</label>
                            </div>
                        </div>
                        <div class="col-md-12 mb-2">
                            <select id="currency" type="text"
                                class="form-control @error('currency') is-invalid @enderror" name="currency">
                                @foreach ($currency as $row)
                                    <option value="{{ $row->id }}">{{ $row->title_en }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select name="debitor_id" id="debitor_id" class="form-control"  required>
                                <option value="">Select</option>
                                @foreach ($debitors as $row)
                                    <option value="{{ $row->id }}"
                                        @if ($row->id == 1) {{ 'selected' }} @endif>
                                        {{ $row->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-6 mb-2">
                            <select type="text" required name="cash_id" id="cash_id" class="form-control input-custom">
                                <option value="">Define Target Cash</option>
                                <option value="1">Target Cash Yes</option>
                                <option value="2">Target Cash NO</option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div data-mdb-input-init class="form-outline">
                                <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>

                                <label class="form-label" for="form3Example1">Details</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row mb-0">
                        <div class="col-md-12 ">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Save') }}
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.debitor.income-modal')
    @include('journals.debitor.outgoing-model')
@endsection
@section('pageJs')
    <script>
        function validation() {
            var income = $("#income").val();
            var outgoing = $("#outgoing").val();
            if (isNaN(income)) {
                alert("Income Must Number");
                return false;
            }
            if (isNaN(outgoing)) {
                alert("outgoing Must Number");
                return false;
            }

        }
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_debitor").addClass("active");
        $("#balance").addClass("active");
    </script>
@endsection
