@extends('master.app')
@section('title', 'Cash')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9">
                                        <h5 class="">Expense Journal</h5>
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="col-md-12">
                                @include('journals.expense.navbar')
                            </div>
                            <div class="col-md-12 mt-4">
                                <div class="card">
                                    <div class="card-header">
                                        <Strong>Total</Strong>

                                    </div>
                                    <div class="card-body">
                                        <ul class="list-group">
                                            @foreach ($currency as $row)
                                                <li class="list-group-item">{{ $row->title_ps }} <strong
                                                        class="text-success">{{ $expenseJournal->where('currency_id', $row->id)->sum('amount') }}</strong>
                                                </li>
                                            @endforeach
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.expense.expense_modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
        $("#balance").addClass("active");

        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('expense.delete', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });

        function validation() {
            var amount = $("#amount").val();
            if (isNaN(amount)) {
                alert("Amount Must Number");
                return false;
            }

        }
      
    </script>
@endsection
