@extends('master.app')
@section('title', 'Update User')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body ">
                        <div class="row">
                            <div class="col-md-9">
                                <h5 class="">Edit</h5>
                            </div>
                            <div class="col-md-3">
                                <button class="btn btn-sm btn-rounded btn-primary" style="float: right;" data-toggle="modal"
                                    data-target="#userModal">
                                    <i class="fa fa-plus"></i> New
                                </button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-8 offset-md-2">
                                            <form method="POST" action="{{ route('expense.update', $expenseJournal->id) }}"
                                                 enctype="multipart/form-data">
                                                @method('put')
                                                @csrf
                                                <div class="form-group row">
                                                    <label for="title"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                                    <div class="col-md-10">
                                                        <input id="title" type="text"
                                                            class="form-control @error('title') is-invalid @enderror"
                                                            name="title"
                                                            value="{{ old('title') ?? $expenseJournal->title }}" required
                                                            autocomplete="title" autofocus>
                                                        @error('title')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <label for="title"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Type') }}</label>
                                                    <div class="col-md-5">
                                                        <select id="type_id" type="text"
                                                            class="form-control @error('type_id') is-invalid @enderror"
                                                            name="type_id">
                                                            @foreach ($types as $row)
                                                                <option value="{{ $row->id }}"
                                                                    @if ($row->id == $expenseJournal->type_id) {{ 'selected' }} @endif>
                                                                    {{ $row->title_dr }}</option>
                                                            @endforeach
                                                        </select>
                                                        @error('type_id')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                    <div class="col-md-5">
                                                        <select type="text" name="cash_id" id="cash_id"
                                                            class="form-control input-custom">
                                                            <option value="">Define Target Cash</option>
                                                            <option value="1"
                                                                @if ($expenseJournal->c_target == 1) {{ 'selected' }} @endif>
                                                                Target Cash Yes</option>
                                                            <option value="2"
                                                                @if ($expenseJournal->c_target == 2 || $expenseJournal == null) {{ 'selected' }} @endif>
                                                                Target Cash NO</option>
                                                        </select>

                                                    </div>

                                                </div>
                                                <div class="form-group row">
                                                    <label for="date"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                                    <div class="col-md-10">
                                                        @if ($bdate == 1)
                                                            <input type="text" class="form-control sample-date-picker" dir="rtl"
                                                                name="date" value="{{ $expenseJournal->date }}" />
                                                        @else
                                                            <input type="date" required name="date"
                                                                value="{{ $expenseJournal->date }}" class="form-control "
                                                                id="form3Examplev2" />
                                                        @endif
                                                    </div>

                                                </div>
                                                <div class="form-group row">
                                                    <label for="amount"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Amount') }}</label>
                                                    <div class="col-md-6">
                                                        <input id="amount" type="text"
                                                            class="form-control @error('date') is-invalid @enderror"
                                                            name="amount"
                                                            value="{{ old('amount') ?? $expenseJournal->amount }}" required
                                                            autocomplete="amount" autofocus>
                                                        @error('amount')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                    <div class="col-md-4">
                                                        <select id="currency" type="text"
                                                            class="form-control @error('currency') is-invalid @enderror"
                                                            name="currency">
                                                            @foreach ($currency as $row)
                                                                <option value="{{ $row->id }}"
                                                                    @if ($row->id == $expenseJournal->currency_id) {{ 'selected' }} @endif>
                                                                    {{ $row->title_en }}</option>
                                                            @endforeach
                                                        </select>
                                                        @error('currency')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="detials"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('detials') }}</label>
                                                    <div class="col-md-10">
                                                        <textarea id="details" class="form-control " name="details">{{ old('details') ?? $expenseJournal->details }}</textarea>
                                                        @error('detials')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="form-group row mb-0">
                                                    <div class="col-md-6 offset-md-2">
                                                        <button type="submit" class="btn btn-primary">
                                                            {{ __('Edit') }}
                                                        </button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
    </script>
@endsection
