@extends('master.app')
@section('title', 'Cash')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9">
                                        <h5 class="">Expense Journal</h5>
                                    </div>
                                    <div class="col-md-3">
                                        {{-- <button class="btn btn-sm btn-rounded btn-primary" style="float: right;"
                                            data-toggle="modal" data-target="#userModal">
                                            <i class="fa fa-plus"></i> New
                                        </button> --}}
                                        <a href="{{ route('expense.create') }}" style="float: right" class="btn btn-primary btn-sm btn-rounded">Add</a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                @include('journals.expense.navbar')
                            </div>
                            <div class="col-md-12 mt-4">
                                <div class="table-responsive">
                                    <div class="table">
                                        <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                            <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th>Title</th>
                                                    <th>Type</th>
                                                    <th>Currency</th>
                                                    <th>date</th>
                                                    <th>Amount</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($expenseJournal as $row)
                                                    <tr style="padding:0px!important;">
                                                        <td>{{ $loop->iteration }}</td>
                                                        <td>{{ $row->title }}</td>
                                                        <td>{{ $row->type->title_ps }}</td>
                                                        <td>{{ $row->currency->title_ps }}</td>
                                                        <td>{{ $row->date }}</td>
                                                        <td>{{ $row->amount }}</td>
                                                        <td>
                                                            <a href="{{ route('expense.edit', $row->id) }}"><i
                                                                    class="fa fa-pencil"></i></a>
                                                            <a href="{{ route('expense.delete', $row->id) }}"
                                                                class="btn-delete"
                                                                onclick="return confirm('Are you sure you want to delete this item?');"><i
                                                                    class="fa fa-trash text-danger"></i></a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="cold-md-12">
                                <div class="card">
                                    <div class="card-body">
                                        {{ $expenseJournal->links('pagination::bootstrap-4') }}
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.expense.expense_modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
        $("#list").addClass("active");

        function validation() {
            var amount = $("#amount").val();
            if (isNaN(amount)) {
                alert("Amount Must Number");
                return false;
            }
        }
    </script>
@endsection
