@extends('master.app')
@section('title', 'debitor')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="">From Debitor Income</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="btn-group" style="float: right;" role="group">
                                    <button class="btn btn-danger btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#outgoing_modal">
                                        Outgoing<i class=" fa fa-arrow-top"></i>
                                    </button>
                                    <button class="btn btn-success btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#income_modal">

                                        income </button>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                @include('journals.debitor.navbar')
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                <div class="table">
                                    <table class="table text-center table-striped  dt-responsive"
                                        style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                        <thead>
                                            <tr>
                                                <th>No</th>
                                                <th>Debitor</th>
                                                <th>Title</th>
                                                <th>Currency</th>
                                                <th>date</th>
                                                <th class="text-success">income</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($data as $row)
                                                <tr style="padding:0px!important;">
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $row->debitor->name }}</td>
                                                    <td>{{ $row->title }}</td>
                                                    <td>{{ $row->currency->title_en }}</td>
                                                    <td>{{ $row->date }}</td>
                                                    <td class="text-success">{{ $row->income }}</td>
                                                    <td>
                                                        <a href="{{ route('debitor.edit', $row->id) }}"><i
                                                                class="fa fa-pencil"></i></a>
                                                        <a href="#" data-id='{{ $row->id }}'
                                                            class="btn-delete"><i class="fa fa-trash text-danger"></i></a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                        <form id="delete-form" action="" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                            {{ method_field('DELETE') }}
                                        </form>
                                    </table>
                                    {{ $data->links('pagination::bootstrap-4') }}
                                </div>

                            </div>
                        </div>

                    </div>
                    {{-- end of title --}}
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.debitor.income-modal')
    @include('journals.debitor.outgoing-model')
@endsection
@section('pageJs')
    <script>
        function validation() {
            var income = $("#income").val();
            var outgoing = $("#outgoing").val();
            if (isNaN(income)) {
                alert("Income Must Number");
                return false;
            }
            if (isNaN(outgoing)) {
                alert("outgoing Must Number");
                return false;
            }

        }
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#income").addClass("active");

        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('debitor.delete', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });
        $("#full_liger").addClass("active");
    </script>
@endsection
