@extends('master.app')
@section('title', 'debitor')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-9">
                                <h3 class="">Investors Journals</h3>
                            </div>
                            <div class="col-md-3">
                                <div class="btn-group" style="float: right;" role="group">
                                    <a href="{{ route('investors.create_ourgoing') }}" class="btn btn-danger btn-rounded btn-sm">Outgoing</a>
                                    <a href="{{ route('investors.create') }}" class="btn btn-success btn-rounded btn-sm">Income</a>
                                   
                                    {{-- <button class="btn btn-success btn-rounded btn-sm" data-toggle="modal"
                                        data-target="#income_modal">
                                        income </button> --}}
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                @include('journals.investors.navbar')
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                <div class="table">
                                    <table class="table text-center table-striped  dt-responsive"
                                        style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                        <thead>
                                            <tr>
                                                <th>No</th>
                                                <th>Debitor</th>
                                                <th>Title</th>
                                                <th>Currency</th>
                                                <th>date</th>
                                                <th class="text-success">income</th>
                                                <th class="text-danger">Outgoing</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($data as $row)
                                                <tr style="padding:0px!important;">
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $row->investor->name }}</td>
                                                    <td>{{ $row->title }}</td>
                                                    <td>{{ $row->currency->title_en }}</td>
                                                    <td>{{ $row->date }}</td>
                                                    <td class="text-success">{{ $row->income }}</td>
                                                    <td class="text-danger">{{ $row->outgoing }}</td>
                                                    <td>
                                                        <a href="{{ route('investors.edit', $row->id) }}"><i
                                                                class="fa fa-pencil"></i></a>
                                                        <a href="{{ route('investors.delete', $row->id) }}" class="btn-"><i
                                                                class="fa fa-trash text-danger"></i></a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>

                                    </table>

                                </div>

                            </div>
                        </div>
                        <div class="row">
                            <div class="card">
                                <div class="card-body">
                                    {{ $data->links('pagination::bootstrap-4') }}
                                </div>
                            </div>
                        </div>
                    </div>
                    {{-- end of title --}}
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
    @include('journals.investors.income-modal')
    @include('journals.investors.outgoing-model')
@endsection
@section('pageJs')
    <script>
        function validation() {
            var income = $("#income").val();
            var outgoing = $("#outgoing").val();
            if (isNaN(income)) {
                alert("Income Must Number");
                return false;
            }
            if (isNaN(outgoing)) {
                alert("outgoing Must Number");
                return false;
            }

        }
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_debitor").addClass("active");
        $("#index").addClass("active");
    </script>
@endsection
