@extends('master.app')
@section('title', 'Update User')
@section('pageCSS')
    <link rel="stylesheet" href="{{ asset('assets/hDate/jquery.mpdatepicker.css') }}">
@endsection
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body ">
                        <div class="row">
                            <div class="col-md-9">
                                <h5 class="">Create</h5>
                            </div>
                            @include('general.valert')

                        </div>
                        <div class="row">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-8 offset-md-2">
                                            <form method="POST" action="{{ route('tax.store') }}"
                                                enctype="multipart/form-data">
                                                @method('post')
                                                @csrf
                                                <div class="form-group row">
                                                    <label for="title"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Title') }}</label>
                                                    <div class="col-md-10">
                                                        <input id="title" type="text"
                                                            class="form-control @error('title') is-invalid @enderror"
                                                            name="title" value="{{ old('title') }}" required
                                                            autocomplete="title" autofocus>
                                                        @error('title')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="date"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Date') }}</label>
                                                    <div class="col-md-10">
                                                        @if ($bdate == 1)
                                                            <input type="text" dir="rtl" required autocomplete="false"
                                                                name="date" value=""
                                                                class="form-control sample-date-picker"
                                                                id="form3Examplev2" />
                                                        @else
                                                            <input type="date" required name="date"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="form3Examplev2" />
                                                        @endif
                                                    </div>

                                                </div>
                                                <div class="form-group row">
                                                    <label for="amount"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('Amount') }}</label>
                                                    <div class="col-md-6">
                                                        <input id="amount" type="text"
                                                            class="form-control @error('date') is-invalid @enderror"
                                                            name="amount" value="{{ old('amount') }}" required
                                                            autocomplete="amount" autofocus>
                                                        @error('amount')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>

                                                </div>

                                                <div class="form-group row">
                                                    <label for="detials"
                                                        class="col-md-2 col-form-label text-md-right">{{ __('detials') }}</label>
                                                    <div class="col-md-10">
                                                        <textarea id="details" class="form-control " name="details">{{ old('details') }}</textarea>
                                                        @error('detials')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="form-group row mb-0">
                                                    <div class="col-md-6 offset-md-2">
                                                        <button type="submit" class="btn btn-primary">
                                                            {{ __('Save') }}
                                                        </button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
    </script>
@endsection
