@extends('master.app')
@section('title', 'Cash')
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9">
                                        <h5 class="">Tax Journal</h5>
                                    </div>
                                    <div class="col-md-3">
                                        <a href="{{ route('tax.create') }}" class="btn btn-sm btn-rounded btn-primary"
                                            style="float: right;">Add</a>
                                        <a href="{{ route('tax.report_show') }}" class="btn btn-sm btn-rounded btn-primary"
                                            style="float: right;">Report</a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12 mt-4">
                                <div class="table-responsive">
                                    <div class="table">
                                        <table class="table text-center table-striped  dt-responsive"
                                            style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                            <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th>Title</th>
                                                    <th>date</th>
                                                    <th>Amount</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($tax as $row)
                                                    <tr style="padding:0px!important;">
                                                        <td>{{ $loop->iteration }}</td>
                                                        <td>{{ $row->title }}</td>

                                                        <td>{{ $row->date }}</td>
                                                        <td>{{ $row->amount }}</td>
                                                        <td>
                                                            <a href="{{ route('tax.edit', $row->id) }}"><i
                                                                    class="fa fa-pencil"></i></a>
                                                            <a href="{{ route('tax.delete', $row->id) }}"
                                                                class="btn-delete"><i
                                                                    class="fa fa-trash text-danger"></i></a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    {{ $tax->links('pagination::bootstrap-4') }}

                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </main>
    <!-- The Modal -->
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
        $("#list").addClass("active");


        function validation() {
            var amount = $("#amount").val();
            if (isNaN(amount)) {
                alert("Amount Must Number");
                return false;
            }

        }
    </script>
@endsection
