@extends('master.app')
@section('title', 'Expense Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body">

                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card shadow-sm  mb-5 bg-white rounded">
                                    <div class="card-header ">
                                        <h6 class="text-white"><i class="fa fa-search"></i>Filter Report</h6>
                                    </div>
                                    <div class="card-body">
                                        <div class="col-md-12">
                                            <div class="row">

                                                <div class="col-md-3 ">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="fromDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="fromDate" />
                                                        <label class="form-label" for="fromDate">From Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="fromDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="fromDate" />
                                                            <label class="form-label" for="fromDate">From Date</label>
                                                        </div>
                                                    @endif
                                                </div>
                                                <div class="col-md-3 ">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="toDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="toDate" />
                                                        <label class="form-label" for="toDate">To Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="toDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="toDate" />
                                                            <label class="form-label" for="toDate">To Date</label>
                                                        </div>
                                                    @endif
                                                </div>


                                                <div class="col-md-12 mt-3">
                                                    <button class="btn btn-primary btn-sm btn-rounded" type="button"
                                                        id="btn_show">
                                                        Show
                                                    </button>
                                                    <button class="btn btn-primary btn-sm btn-rounded" id=""
                                                        onclick="PrintTable();"><i class=""></i>Print</button>
                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 print_div" id="print_div">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_jorunali").addClass("active");
        $("#jorunali").addClass("is-expanded");
        $("#j_expense").addClass("active");
        $("#report").addClass("active");

        $(document).on("click", "#btn_show", function() {
            $.ajax({
                url: '{{ route('tax.report_find') }}',
                type: 'GET',
                data: {
                    "fromDate": $("#fromDate").val(),
                    "toDate": $("#toDate").val(),
                },
                success: function(data) {
                    $(".print_div").html(data)
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                }
            });
        })
    </script>
@endsection
