@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <table class=" ">
                            <tr>
                                <td rowspan="2">Name</td>
                                <td colspan="{{ $currencies->count() }}">INVOICES</td>
                                <td colspan="{{ $currencies->count() }}">Payments</td>
                                <td colspan="{{ $currencies->count() }}">ADVANCES</td>
                                <td colspan="{{ $currencies->count() }}">BALANCES</td>
                            </tr>
                            <tr>
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach

                            </tr>
                            @foreach ($suppliers as $row)
                                <tr>
                                    <td>{{ $row->name }}</td>
                                    @foreach ($currencies as $cur_row)
                                        <td>{{ $purchase->where('supplier_id', $row->id)->where('currency_id', $cur_row->id)->sum('grand_total') }}
                                        </td>
                                    @endforeach
                                    @foreach ($currencies as $cur_row)
                                        <td>{{ $payment->where('supplier_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount') }}
                                        </td>
                                    @endforeach
                                    @foreach ($currencies as $cur_row)
                                        <td>{{ $advances->where('supplier_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount') }}
                                        </td>
                                    @endforeach
                                    @foreach ($currencies as $cur_row)
                                         @php
                                         $balance=$purchase->where('supplier_id',$row->id)->where('currency_id',$cur_row->id)->sum('grand_total')-($advances->where('supplier_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount')+$payment->where('supplier_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount'));    
                                         @endphp
                                         @if($balance!=0)
                                        <td style="background: 	#FFFF00; color:#000">
                                           {{ $balance }}
                                        </td>
                                        @else
                                        <td>
                                            {{ $balance }} 
                                        </td>
                                        @endif
                                    @endforeach
                                </tr>
                            @endforeach
                            <tr>
                                <td rowspan="3">Subtotal</td>
                                <td colspan="{{ $currencies->count() }}">INVOICES</td>
                                <td colspan="{{ $currencies->count() }}">PAYMENTS</td>
                                <td colspan="{{ $currencies->count() }}">ADVANCES</td>
                                <td colspan="{{ $currencies->count() }}">BALANCES</td>
                            </tr>
                            <tr>
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                @endforeach

                            </tr>
                            <tr>
                                @foreach ($currencies as $row)
                                    <td >{{ $purchase->where('currency_id',$row->id)->sum('grand_total') }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td >{{ $payment->where('currency_id',$row->id)->sum('amount') }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td >{{ $advances->where('currency_id',$row->id)->sum('amount') }}</td>
                                @endforeach
                                @foreach ($currencies as $row)
                                    <td >{{ $purchase->where('currency_id',$row->id)->sum('grand_total')-($payment->where('currency_id',$row->id)->sum('amount')+$advances->where('currency_id',$row->id)->sum('amount')) }}</td>
                                @endforeach

                            </tr>
                        </table>
                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
    </script>
   
@endsection
