@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        {{-- <div class="row">
                            <form action="{{ route('reporting.chart_of_account_find') }}" method="GET">
                                @method('GET')
                                @csrf
                                <div class="row">
                                    <div class="col-md-4 ">
                                        @if ($bdate == 1)
                                            <input type="text" required dir="rtl" name="fromDate" value=""
                                                class="form-control sample-date-picker" id="fromDate" />
                                            <label class="form-label" for="fromDate">From Date</label>
                                        @else
                                            <div class="form-outline datepicker">
                                                <input type="date" required name="fromDate" value="{{ date('Y-m-d') }}"
                                                    class="form-control " id="fromDate" />
                                                <label class="form-label" for="fromDate">From Date</label>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="col-md-4 ">
                                        @if ($bdate == 1)
                                            <input type="text" required dir="rtl" name="toDate" value=""
                                                class="form-control sample-date-picker" id="toDate" />
                                            <label class="form-label" for="toDate">To Date</label>
                                        @else
                                            <div class="form-outline datepicker">
                                                <input type="date" required name="toDate" value="{{ date('Y-m-d') }}"
                                                    class="form-control " id="toDate" />
                                                <label class="form-label" for="toDate">To Date</label>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="col-md-4 ">
                                        <button type="submit" class="btn btn-primary btn-rounded btn-sm"
                                            id="btn-find">Find</button>
                                        <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                            onclick="PrintTable();">Print</button>
                                    </div>
                                </div>
                            </form>
                        </div> --}}
                        <div class="row">
                            <table class="">
                                <tr>
                                    <td rowspan="2">Name</td>
                                    <td colspan="{{ $currencies->count() }}">INVOICES</td>
                                    <td colspan="{{ $currencies->count() }}">RECIEVEDS</td>
                                    <td colspan="{{ $currencies->count() }}">ADVANCES</td>
                                    <td colspan="{{ $currencies->count() }}">BALANCES</td>
                                </tr>
                                <tr>
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach

                                </tr>
                                @foreach ($customers as $row)
                                    <tr>
                                        <td>{{ $row->name }}</td>
                                        @foreach ($currencies as $cur_row)
                                            <td>{{ $sale->where('customer_id', $row->id)->where('currency_id', $cur_row->id)->sum('final_amount') }}
                                            </td>
                                        @endforeach
                                        @foreach ($currencies as $cur_row)
                                            <td>{{ $received->where('customer_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount') }}
                                            </td>
                                        @endforeach
                                        @foreach ($currencies as $cur_row)
                                            <td>{{ $advances->where('customer_id', $row->id)->where('currency_id', $cur_row->id)->sum('amount') }}
                                            </td>
                                        @endforeach
                                        @foreach ($currencies as $cur_row)
                                            @php
                                                $balance =
                                                    $sale
                                                        ->where('customer_id', $row->id)
                                                        ->where('currency_id', $cur_row->id)
                                                        ->sum('final_amount') -
                                                    ($advances
                                                        ->where('customer_id', $row->id)
                                                        ->where('currency_id', $cur_row->id)
                                                        ->sum('amount') +
                                                        $received
                                                            ->where('customer_id', $row->id)
                                                            ->where('currency_id', $cur_row->id)
                                                            ->sum('amount'));
                                            @endphp
                                            @if ($balance != 0)
                                                <td style="background: 	#FFFF00; color:#000">
                                                    {{ $balance }}
                                                </td>
                                            @else
                                                <td>
                                                    {{ $balance }}
                                                </td>
                                            @endif
                                        @endforeach
                                    </tr>
                                @endforeach
                                <tr>
                                    <td rowspan="3">Subtotal</td>
                                    <td colspan="{{ $currencies->count() }}">INVOICES</td>
                                    <td colspan="{{ $currencies->count() }}">RECIEVEDS</td>
                                    <td colspan="{{ $currencies->count() }}">ADVANCES</td>
                                    <td colspan="{{ $currencies->count() }}">BALANCES</td>
                                </tr>
                                <tr>
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                    @endforeach

                                </tr>
                                <tr>
                                    @foreach ($currencies as $row)
                                        <td>{{ $sale->where('currency_id', $row->id)->sum('final_amount') }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td>{{ $received->where('currency_id', $row->id)->sum('amount') }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td>{{ $advances->where('currency_id', $row->id)->sum('amount') }}</td>
                                    @endforeach
                                    @foreach ($currencies as $row)
                                        <td>{{ $sale->where('currency_id', $row->id)->sum('final_amount') - ($received->where('currency_id', $row->id)->sum('amount') + $advances->where('currency_id', $row->id)->sum('amount')) }}
                                        </td>
                                    @endforeach

                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('income_statement.find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
