@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('market_outstanding.bank_find') }}" method="GET">
                            @method('GET')
                            @csrf
                            <div class="row">
                                <div class="col-md-3 ">
                                    @if ($bdate == 1)
                                        <input type="text" required dir="rtl" name="fromDate" value=""
                                            class="form-control sample-date-picker" id="fromDate" />
                                        <label class="form-label" for="fromDate">From Date</label>
                                    @else
                                        <div class="form-outline datepicker">
                                            <input type="date" required name="fromDate" value="{{ date('Y-m-d') }}"
                                                class="form-control " id="fromDate" />
                                            <label class="form-label" for="fromDate">From Date</label>
                                        </div>
                                    @endif
                                </div>
                                <div class="col-md-3 ">
                                    @if ($bdate == 1)
                                        <input type="text" required dir="rtl" name="toDate" value=""
                                            class="form-control sample-date-picker" id="toDate" />
                                        <label class="form-label" for="toDate">To Date</label>
                                    @else
                                        <div class="form-outline datepicker">
                                            <input type="date" required name="toDate" value="{{ date('Y-m-d') }}"
                                                class="form-control " id="toDate" />
                                            <label class="form-label" for="toDate">To Date</label>
                                        </div>
                                    @endif
                                </div>
                                <div class="col-md-4 ">
                                    <button class="btn btn-primary btn-rounded btn-sm" id="btn-find">Find</button>
                                    <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                        onclick="PrintTable();">Print</button>
                                </div>


                            </div>
                        </form>
                        @if ($page != 'date')
                            <div class="row mt-4">
                                <div class="col-md-12">
                                    <table class="">
                                        <tr>
                                            <td rowspan="2">Name</td>
                                            <td colspan="{{ $currencies->count() }}">AMOUNT</td>
                                        </tr>
                                        <tr>
                                            @foreach ($currencies as $row)
                                                <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                            @endforeach
                                        </tr>
                                        @foreach ($bankers as $row)
                                            <tr>
                                                <td>
                                                    {{ $row->name }} <br> {{ $row->phone }}
                                                </td>
                                                @foreach ($currencies as $cur_row)
                                                    <td>{{ $journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('income')- $journal->where('banker_id', $row->id)->where('currency_id', $cur_row->id)->sum('outgoing') }}
                                                    </td>
                                                @endforeach
                                            </tr>
                                        @endforeach
                                        <tr>
                                            <td rowspan="3">Subtotal</td>
                                            <td colspan="{{ $currencies->count() }}">Balance</td>
                                        </tr>
                                        <tr>
                                            @foreach ($currencies as $row)
                                                <td style="background: #000; color:#fff;">{{ $row->title_en }}</td>
                                            @endforeach

                                        </tr>
                                        <tr>
                                            @foreach ($currencies as $ct_row)
                                                <td>{{ $journal->where('currency_id', $ct_row->id)->sum('income')-$journal->where('currency_id', $ct_row->id)->sum('income') }}
                                                </td>
                                            @endforeach
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
    </script>

@endsection
