@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="card mask-custom">
                <div class="card-body p-4 ">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Suppliers Balances</strong></h4>
                        </div>
                    </div>
                    <div class="row mt-5">
                        <div class="table-responsive">
                            <table class="table  mb-0  mt-2 text-center">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Supplier</th>
                                        <th scope="col">Payble Amount</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($suppliers as $row)
                                        <tr class="fw-normal">
                                            <th class="border-0">{{ $loop->iteration }}</th>
                                            <th class="border-0">
                                                <div class="ms-3">
                                                    <p class="fw-bold mb-1">{{ $row->name }}</p>
                                                    <p class="text-muted mb-0">{{ $row->email }}</p>
                                                    <p class="text-muted mb-0">{{ $row->phone }}</p>
                                                </div>
                                            </th>

                                            <th class="border-0">
                                                <div class="ms-3">
                                                    @foreach (App\Models\Currency::all() as $currency)
                                                        <p class="fw-bold mb-1">
                                                            @php
                                                                $purchase = App\Models\supplierBill::where(
                                                                    'supplier_id',
                                                                    $row->id,
                                                                )
                                                                    ->where('currency_id', $currency->id)
                                                                    ->sum('grand_total');
                                                                $bill_payment = App\Models\supplierBill::where(
                                                                    'supplier_id',
                                                                    $row->id,
                                                                )
                                                                    ->where('currency_id', $currency->id)
                                                                    ->sum('payment');
                                                                $payment = App\Models\SupplierPayment::where(
                                                                    'supplier_id',
                                                                    $row->id,
                                                                )
                                                                    ->where('currency_id', $currency->id)
                                                                    ->sum('amount');
                                                                $t_payment = $bill_payment + $payment;
                                                            @endphp
                                                            {{ $currency->title_en }} {{ $purchase - $t_payment }}
                                                        </p>
                                                    @endforeach
                                                </div>
                                            </th>
                                            <td class="border-0 align-middle">
                                                <a href="{{ route('supplier_payment.index', $row->id) }}"
                                                    class="btnt btn-sm btn-rounded btn-primary" data-mdb-toggle="tooltip"
                                                    title="Payment">Payment</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            {{ $suppliers->links('pagination::bootstrap-4') }}

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_ap_payment").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_name").show();
                $("#by_email").hide();
                $("#by_phone").hide();
                $("#by_address").hide();

            }
            if (type == 2) {
                $("#by_name").hide();
                $("#by_email").show();
                $("#by_phone").hide();
                $("#by_address").hide();

            }
            if (type == 3) {
                $("#by_name").hide();
                $("#by_email").hide();
                $("#by_phone").show();
                $("#by_address").hide();

            }
            if (type == 4) {
                $("#by_name").hide();
                $("#by_email").hide();
                $("#by_phone").hide();
                $("#by_address").show();

            }
        });
    </script>
@endsection
