@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.2px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 11px;
            padding: 0px;

            height: 15px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom "
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        <h4>Balances</h4>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6 mb-4 ">
                                                <div class="form-group">
                                                    <select id="currency_id" name="currency_id" class="select2 form-control"
                                                        autofocus style="width: 100%;">
                                                        <option value="">Choose Currency</option>
                                                        <option value="all">All</option>
                                                        @foreach ($currencies as $row)
                                                            <option value="{{ $row->id }}">{{ $row->title_en }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6 mb-4">
                                                <select id="supplier_id" type="text"
                                                    class="form-control select2 @error('supplier_id') is-invalid @enderror"
                                                    name="supplier_id" required>
                                                    <option value="">Choose Suppliers</option>
                                                    <option value="all">All</option>
                                                    @foreach ($suppliers as $row)
                                                        <option value="{{ $row->id }}">
                                                            {{ $row->name }}</option>
                                                    @endforeach
                                                </select>
                                                @error('supplier_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <div class="col-md-12 mt-4">
                                                <button class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-find">Find</button>
                                                <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                                    onclick="PrintTable();">Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4 print_div" id="print_div">

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_balance").addClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            var currency_id = $("#currency_id").val();
            var supplier_id = $("#supplier_id").val();
            if (supplier_id == "") {
                alert("choose supplier");
                return false;
            }
            if (currency_id == "") {
                alert("choose currency");
                return false;
            }
            $.ajax({
                url: '{{ route('supplier.balance_report_find') }}',
                type: 'GET',
                data: {
                    'supplier_id': $("#supplier_id").val(),
                    'currency_id': $("#currency_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
