@extends('master.app')
@section('title', 'supplier')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <h3 class="fw-normal text-dark mb-5" style="">Create Bill</h3>
                @include('general.valert')

                <form action="{{ route('msupplier_bill.store') }}" method="post" enctype="multipart/form-data">
                    @csrf
                    @method('post')
                    <div class="row">
                        <div class="col-md-4">
                            <select name="type_id" required class="form-control select2" id="type_id">
                                <option value="">Choose Invoice Type</option>
                                @if($btype==2)
                                <option value="1">Raw materials</option>
                                @endif
                                <option value="2">Finished Goods</option>
                            </select>
                        </div>
                        <div class="col-md-4">
                            <select name="supplier_id" required class="form-control select2" id="supplier_id">
                                <option value="">Choose Supplier</option>
                                @foreach ($suppliers as $row)
                                    <option value="{{ $row->id }}">
                                        {{ $row->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-4 ">
                            <div class="form-outline">
                                <input type="number" required name="invoice_number" value="{{ $number }}" id="invoice_number"
                                    class="form-control " />
                                <label class="form-label" for="invoice_number">Invoice
                                    Number</label>
                            </div>
                        </div>
                       
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-4 ">
                            <div class="form-outline">
                                <input type="text" required name="title" value="" id="title"
                                    class="form-control " />
                                <label class="form-label" for="title">Title</label>
                            </div>
                        </div>
                        <div class="col-md-4 ">
                            @if ($bdate == 1)
                                <input type="text" required dir="rtl" name="date" value=""
                                    class="form-control sample-date-picker" id="date" />
                                <label class="form-label" for="date"> Date</label>
                            @else
                                <div class="form-outline datepicker">
                                    <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="date" />
                                    <label class="form-label" for="date">
                                        Date</label>
                                </div>
                            @endif
                        </div>
                        <div class="col-md-4 ">
                            <input type="file" name="bill_files" id="form3Examplev3" class="" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <select name="currency_id" required class="form-control select2" id="currency_id">
                                <option value="">Choose Currency</option>
                                @foreach ($currencies as $row)
                                    <option value="{{ $row->id }}"
                                        @if ($row->id == 1) {{ 'selected' }} @endif>
                                        {{ $row->title_ps }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-4 " id="ex_rate_text_box" style="display: none;">
                            <div class="form-outline">
                                <input type="text" name="ex_rate" value="" id="ex_rate"
                                    class="form-control form-control" />
                                <label class="form-label" for="ex_rate">Exchange
                                    Rate</label>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-rounded btn-sm btn-primary mt-2">Next</button>
                </form>
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_invoices").addClass("active");
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>

@endsection
