@extends('master.app')
@section('title', 'bill')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-8">
                                <h4>Suppliers Invoices</h4>
                            </div>
                            <div class="col-md-4">
                                <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                    <a href="{{ route('msupplier_bill.report_show') }}"
                                        class="btn btn-primary btn-rounded btn-sm">Report</a>
                                    @include('general.filter-button')
                                    <a href="{{ route('msupplier_bill.create') }}"
                                        class="btn btn-primary btn-rounded btn-sm">Add</a>
                                </div>
                            </div>
                        </div>
                        @include('purchase.bills.filter-form')
                        <div class="row mt-3">
                            <div class="table-responsive">
                                <table class="table text-center table-striped  dt-responsive" style="border-collapse: collapse; border-spacing: 0;"  id="customer_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">Number</th>
                                            <th scope="col">Type</th>
                                            <th scope="col">title</th>
                                            <th scope="col">Supplier</th>
                                            <th scope="col">Total</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($bills as $row)
                                            <tr class="fw-normal">
                                                <th class="border-0">{{ $row->invoice_number }}</th>
                                                <th class="border-0">
                                                    @if($row->type_id==1 || $row->type_id==null)
                                                    {{ "Row Materials" }}
                                                    @else
                                                    {{ "Fineshed Goods" }}
                                                    @endif
                                                </th>
                                                <th class="border-0">{{ $row->title }}</th>
                                                <th class="border-0">{{ $row->supplier->name }}</th>

                                                <td class="border-0 align-middle">{{ $row->grand_total }}</td>

                                                <td class="border-0 align-middle">{{ $row->invoice_date }}</td>

                                                <td class="border-0 align-middle">
                                                    <a href="{{ route('msupplier_bill.edit', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Edit"><i
                                                            class="fas fa-pencil "></i></a>
                                                    <a href="{{ route('msupplier_bill.show', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="View"><i
                                                            class="fas fa-eye "></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    
                                </table>
                            </div>
                        </div>
                        {{-- <div class="row">
                            <div class="card">
                                <div class="card-body">
                                    {{ $bills->links('pagination::bootstrap-4') }}
                                </div>
                            </div>
                        </div> --}}
                    </div>
                </div>
        </section>
    </main>
    @include('purchase.bills.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_invoices").addClass("active");

        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            }  else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
