@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @include('purchase.bills.tread.next-header-form')
                @include('purchase.bills.tread.next-item-table')
                <div class="row">
                    <div class="text-center mb-3 pb-2 mt-3">
                        <h4 style="color: #495057;">Invoice Details</h4>
                    </div>
                    <form class="mb-0" method="post" action="{{ route('msupplier_bill.store_next') }}">
                        @csrf
                        @method('post')
                        <input type="hidden" value="{{ $bill_id }}" name="bill_id">
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill_items->sum('total') }}" id="grand_total"
                                        name="grand_total" class="form-control input-custom" />
                                    <label class="form-label" for="form9Example1">Total</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" id="payment" value="0" onkeyup="final_calculation()"
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        name="payment" class="form-control input-custom" />
                                    <label class="form-label" for="payment">Payment</label>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" readonly
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        id="balance_value" value="{{ $bill_items->sum('total') }}" name="balance_value"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="form9Example4">Balance</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-4">
                                <select type="text" required name="transaction_id" id="transaction_id"
                                    class="form-control input-custom">
                                    <option value="">Define Transaction Type</option>
                                    <option value="1">By Cash</option>
                                    <option value="2">By Bank</option>
                                    <option value="3">By Sarafi</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <select type="text" required name="cash_id" id="cash_id"
                                    class="form-control input-custom">
                                    <option value="">Define Target Type</option>
                                    <option value="1">Target Cash Yes</option>
                                    <option value="2">Target Cash NO</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <div class="form-outline">
                                    <input type="text" name="payment_by" id="payment_by"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="typeEmail">Payment By</label>
                                </div>
                            </div>
                        </div>
                        <div class="float-end ">
                            <!-- Submit button -->
                            <button type="submit" class="btn btn-primary btn-rounded"
                                style="background-color: #0062CC ;">Checkout</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
        
        $(document).on('change', '#cat_id', function() {
            $.ajax({
                url: '{{ route('category.get') }}',
                type: 'GET',
                data: {
                    'p_category': $(this).val(),
                },
                success: function(data) {
                    $("#sub_cat_id").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        function final_calculation() {
            var value = document.getElementById("payment").value;
            var total = document.getElementById("grand_total").value;
            var balance_value = parseFloat(total) - parseFloat(value);
            document.getElementById("balance_value").value = balance_value;
        }
    </script>
@endsection
