@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @include('purchase.suppliers.bills.tread.next-header-form')
                @include('purchase.suppliers.bills.tread.next-item-table')
                <div class="row">
                    <div class="text-center mb-3 pb-2 mt-3">
                        <h4 style="color: #495057 ;">Invoice Details</h4>
                    </div>
                    <form class="mb-0" method="post" action="{{ route('msupplier_bill.update', $bill->id) }}">
                        @csrf
                        @method('PUT')
                        <input type="hidden" value="{{ $bill->id }}" name="bill_id">
                        {{-- <input type="hidden" value="{{ $bill->supplier_id }}" name="supplier_id"> --}}
                        <div class="row">
                            <div class="col-md-4">
                                <select name="supplier_id" required class="form-control select2" id="supplier_id">
                                    <option value="">Choose Supplier</option>
                                    @foreach ($suppliers as $row)
                                        <option value="{{ $row->id }}"
                                            @if ($row->id == $bill->supplier_id) {{ 'selected' }} @endif>
                                            {{ $row->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-md-4 mb-4 pb-2">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill->invoice_number }}" name="invoice_number"
                                        value="" id="invoice_number" class="form-control " />
                                    <label class="form-label" for="invoice_number">Invoice
                                        Number</label>
                                </div>
                            </div>
                            <div class="col-md-4 mb-4 pb-2">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill->title }}" name="title" value=""
                                        id="title" class="form-control " />
                                    <label class="form-label" for="title">Title</label>
                                </div>
                            </div>
                            <div class="col-md-4 mb-4 pb-2">
                                @if ($bdate == 1)
                                    <input type="text" required dir="rtl" name="date"
                                        value="{{ $bill->invoice_date }}" class="form-control sample-date-picker"
                                        id="date" />
                                    <label class="form-label" for="date"> Date</label>
                                @else
                                    <div class="form-outline datepicker">
                                        <input type="date" required name="date" value="{{ $bill->invoice_date }}"
                                            class="form-control " id="date" />
                                        <label class="form-label" for="date">
                                            Date</label>
                                    </div>
                                @endif
                            </div>
                            <div class="col-md-4 mb-4 pb-2">
                                <input type="file" name="bill_files" id="form3Examplev3" class="" />
                            </div>
                            <div class="col-md-4">
                                <select name="currency_id" class="form-control select2" id="currency_id">
                                    <option value="">Choose Currency
                                    </option>
                                    @foreach ($currencies as $row)
                                        <option value="{{ $row->id }}"
                                            @if ($row->id == $bill->currency_id) {{ 'selected' }} @endif>
                                            {{ $row->title_dr }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-md-4 mb-4 pb-2" id="ex_rate_text_box" style="display: none;">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill->ex_rate }}" name="ex_rate" value=""
                                        id="ex_rate" class="form-control form-control" />
                                    <label class="form-label" for="ex_rate">Exchange
                                        Rate</label>
                                </div>
                            </div>

                        </div>
                        <div class="row mb-4">
                            <div class="col">
                                @php
                                    $total = '';
                                    if ($bill_items->sum('total') == 0) {
                                        $total = $bill->grand_total;
                                    } else {
                                        $total = $bill_items->sum('total') - $bill->discount;
                                    }
                                @endphp
                                <div class="form-outline">
                                    <input type="text" value="{{ $total ?? 0 }}" id="grand_total" name="grand_total"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="form9Example1">Total</label>
                                </div>
                            </div>

                        </div>
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" id="payment" value="{{ $bill->payment ?? 0 }}"
                                        onkeyup="final_calculation()"
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        name="payment" class="form-control input-custom" />
                                    <label class="form-label" for="payment">Payment</label>
                                </div>
                            </div>
                            <div class="col">
                                @php
                                    $dr = $bill->payment;
                                    $i_total = $bill->grand_total;
                                    $balance = $i_total - $dr;
                                @endphp
                                <div class="form-outline">
                                    <input type="text" value="{{ $balance ?? 0 }}" readonly
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        id="balance_value" name="balance_value" class="form-control input-custom" />
                                    <label class="form-label" for="form9Example4">Balance</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-4">
                                <select type="text" required name="payment_id" id="payment_id"
                                    class="form-control input-custom">
                                    <option value="">Define Transaction Type</option>
                                    <option value="1" @if ($bill->transaction_id == 1) {{ 'selected' }} @endif>
                                        Cash</option>
                                    <option value="2" @if ($bill->transaction_id == 2) {{ 'selected' }} @endif>
                                        Bank</option>
                                    <option value="3" @if ($bill->transaction_id == 3) {{ 'selected' }} @endif>
                                        Sarafi</option>
                                </select>

                            </div>
                            <div class="col-md-4">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill->payment_by }}" name="payment_by"
                                        id="payment_by" class="form-control input-custom" />
                                    <label class="form-label" for="typeEmail">Payment By</label>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <select type="text" name="cash_id" id="cash_id" class="form-control input-custom">
                                    <option value="">Define Target Type</option>
                                    <option value="1" @if ($bill->c_target == 1) {{ 'selected' }} @endif>
                                        Target Cash Yes</option>
                                    <option value="2" @if ($bill->c_target == 2 || $bill->c_target == null) {{ 'selected' }} @endif>
                                        Target Cash NO</option>
                                </select>

                            </div>
                        </div>
                        <div class="float-end ">
                            <!-- Submit button -->
                            <button type="submit" class="btn btn-primary btn-rounded"
                                style="background-color: #0062CC ;">Edit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
        $(document).on('change', '#cat_id', function() {
            $.ajax({
                url: '{{ route('category.get') }}',
                type: 'GET',
                data: {
                    'p_category': $(this).val(),
                },
                success: function(data) {
                    $("#sub_cat_id").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        function final_calculation() {
            var value = document.getElementById("payment").value;
            var total = document.getElementById("grand_total").value;
            var balance_value = parseFloat(total) - parseFloat(value);
            document.getElementById("balance_value").value = balance_value;
        }
    </script>
@endsection
