@extends('master.app')
@section('title', 'supplier')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-9">
                            <h4>PAYMET RECEIPT</h4>
                        </div>
                        <div class="col-md-3">
                            <a href="{{ route('msupplier_payment.receipt',$data->id) }}" class="btn btn-sm btn-primary btn-rounded">PRINT HERE</a>
                        </div>
                    </div>
                    <div class="row" id="report">
                        <div class="row mt-2 text-center" id="letter_head" style="display: none;">
                            <h4>{{ $bname }}</h4>
                            <h6>Supplier Payment  Slip</h6>
                            <h6>Print Date {{ date('y-M-D') }}</h6>
                            <img src="{{ asset('storage/' . $blogo) }}" class="letter_head mt-5" alt=""
                                style="margin-top: 10px!important;">
                        </div>
                        <div class="row">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>Payment Number</th>
                                        <th>{{ $data->invoice_number }}</th>
                                    </tr>
                                    <tr>
                                        <th>Name</th>
                                        <th>{{ $data->supplier->name }}</th>
                                    </tr>
                                    <tr>
                                        <th>Dev Amount</th>
                                        <th>{{$tbalance+$data->amount." ".$data->currency->title_en }}</th>
                                    </tr>
                                    <tr>
                                        <th>New Payment Amount</th>
                                        <th>{{ $data->amount." ".$data->currency->title_en }}</th>
                                    </tr>
                                    <tr>
                                        <th>Balance</th>
                                        <th>{{ $tbalance." ".$data->currency->title_en }}</th>
                                    </tr>
                                    
                                    
                                </thead>
                            </table>
                            <strong>Note: The Abave Balance is Only Related to {{ $data->currency->title_en }}</strong>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#supplier_add").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
