@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card card-registration card-registration-2" style="border-radius: 15px;">
                <div class="card-body p-0">
                    <div class="p-5">
                        <h3 class="fw-normal text-dark mb-5" style="">Edit advance</h3>
                        @include('general.valert')

                        <form action="{{ route('supplier_advance.update', $data->id) }}" method="post"
                            enctype="multipart/form-data">
                            @csrf
                            @method('post')
                            <div class="row">
                                <input type="hidden" value="{{ $supplier->id }}" name="supplier_id">
                                <div class="col-md-12 mb-2 pb-2">
                                    <div class="form-outline">
                                        <input type="number" name="invoice_number" value="{{ $data->invoice_number }}"
                                            id="invoice_number" class="form-control " />
                                        <label class="form-label" for="invoice_number">invoice Number</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2 pb-2">
                                    <div class="form-outline">
                                        <input type="number" name="amount" value="{{ $data->amount }}" id="form3Examplev2"
                                            class="form-control form-control" />
                                        <label class="form-label" for="form3Examplev2">Amount</label>
                                    </div>
                                </div>

                                <div class="col-md-6 mb-2 pb-1">
                                    <div class="form-group">
                                        <select id="currency_id" name="currency_id" class="select2 form-control" autofocus
                                            style="width: 100%;">
                                            <option value="">Choose Currency</option>
                                            @foreach ($currencies as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($row->id == $data->currency_id) {{ 'selected' }} @endif>
                                                    {{ $row->title_en }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 mb-4 pb-2" id="ex_rate_text_box" style="display: none;">
                                    <div class="form-outline">
                                        <input type="text" name="ex_rate" value="{{ $data->ex_rate }}" id="ex_rate"
                                            class="form-control form-control" />
                                        <label class="form-label" for="ex_rate">Exchange
                                            Rate</label>
                                    </div>
                                </div>

                                <div class="col-md-12 mb-2 pb-2">
                                    <div class="form-outline">
                                        <input type="text" name="title" value="{{ $data->title }}" id="title"
                                            class="form-control " />
                                        <label class="form-label" for="title">Title</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2 pb-2">
                                    <div class="form-outline">
                                        <input type="date" name="date" value="{{ date('Y-m-d') ?? $data->date }}"
                                            id="form3Examplev2" class="form-control form-control" />
                                        <label class="form-label" for="form3Examplev2">Date</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mb-2 pb-2">
                                    <div class="form-outline">
                                        <textarea name="details" id="details" cols="30" rows="4" class="form-control">{{ $data->details }}</textarea>
                                        <label class="form-label" for="form3Examplev2">Details</label>
                                    </div>
                                </div>


                            </div>
                            <button type="submit" class="btn btn-rounded btn-sm btn-primary">Save</button>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        @if ($data->currency_id != 1)
            $("#ex_rate_text_box").show();
        @else
            $("#ex_rate_text_box").hide();
        @endif
        $("#currency_id").change(function() {
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
    </script>
@endsection
