@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h4>advances of</h4>
                            <h5>{{ $supplier->name }} </h5>
                        </div>
                        <div class="col-md-4">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">

                               
                                <a href="{{ route('supplier_advance.report_show', $supplier->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                <a data-mdb-toggle="modal" data-mdb-target="#filterModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Filter</a>
                                <a href="{{ route('supplier_advance.create', $supplier->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Add</a>

                            </div>
                        </div>
                    </div>
                    <div class="row mt-5">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Title</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">advance</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($advances as $row)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $row->title }}</td>
                                                <td>{{ $row->date }}
                                                </td>
                                                <td>{{ $row->amount . ' ' . $row->currency->title_en }}
                                                </td>
                                                <td>
                                                    <a href="{{ route('supplier_advance.edit', $row->id) }}">
                                                        <i class="fa fa-edit text-primary"></i></a>
                                                    <a href="{{ route('supplier_advance.delete', $row->id) }}"
                                                        onclick="return confirm('Are you sure you want to delete this item')">
                                                        <i class="fa fa-trash text-danger"></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                            {{ $advances->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
  
    @include('purchase.suppliers.advances.filter-modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
         $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_title").hide();
                $("#by_number").show();
                
            } 
            if (type == 2) {
                $("#by_title").show();
                $("#by_number").hide();
                
            } 
        });
    </script>
@endsection
