@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom"
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        <h4>Invoice Report of</h4>
                                        <h5>{{ $supplier->name }}</h5>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <input type="hidden" name="supplier_id" id="supplier_id"
                                                value="{{ $supplier->id }}">
                                            <div class="col-md-4 mb-4">
                                                @if ($bdate == 1)
                                                    <input type="text" required dir="rtl" name="fromDate"
                                                        value="" class="form-control sample-date-picker"
                                                        id="fromDate" />
                                                    <label class="form-label" for="fromDate">From Date</label>
                                                @else
                                                    <div class="form-outline datepicker">
                                                        <input type="date" required name="fromDate"
                                                            value="{{ date('Y-m-d') }}" class="form-control "
                                                            id="fromDate" />
                                                        <label class="form-label" for="fromDate">From Date</label>
                                                    </div>
                                                @endif

                                            </div>
                                            <div class="col-md-4 mb-4">
                                                @if ($bdate == 1)
                                                    <input type="text" required dir="rtl" name="toDate"
                                                        value="" class="form-control sample-date-picker"
                                                        id="toDate" />
                                                    <label class="form-label" for="toDate">To Date</label>
                                                @else
                                                    <div class="form-outline datepicker">
                                                        <input type="date" required name="toDate"
                                                            value="{{ date('Y-m-d') }}" class="form-control "
                                                            id="toDate" />
                                                        <label class="form-label" for="toDate">To Date</label>
                                                    </div>
                                                @endif

                                            </div>
                                            <div class="col-md-3 mb-4">
                                                <select id="currency_id"
                                                    class="form-control select2 @error('currency_id') is-invalid @enderror"
                                                    name="currency_id">
                                                    <option value="">Choose Currency</option>
                                                    <option value="all">All</option>
                                                    @foreach ($currencies as $row)
                                                        <option value="{{ $row->id }}">
                                                            {{ $row->title_en }}</option>
                                                    @endforeach
                                                </select>
                                                @error('currency_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <div class="col-md-12 mt-4">
                                                <button class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-find">Find</button>
                                                <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                                    onclick="PrintTable();">Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4 print_div" id="print_div">

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('supplier_bill.report_find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                    'supplier_id': $("#supplier_id").val(),
                    'currency_id': $("#currency_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
