@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 mb-4">
                                <div class="card mb-3">
                                    <div class="card-header py-3">
                                        <h5 class="mb-0">Summary</h5>
                                        
                                        <button data-mdb-toggle="modal" data-mdb-target="#bill_modal"
                                            data-mdb-whatever="@mdo" style="float: right"
                                            class="btn btn-sm btn-primary btn-rounded"><i class="fa fa-book"></i></button>
                                    </div>
                                    <div class="card-body">
                                        <ul class="list-group list-group-flush">
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Supplier
                                                <span>{{ $supplier->name }}</span>

                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Bill Number
                                                <span>{{ $bill->invoice_number }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Invoice Date
                                                <span>{{ $bill->invoice_date }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Payment By
                                                <span>{{ $bill->payment_by }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Payment Type
                                                <span>
                                                    @if ($bill->transaction_id == 1)
                                                        {{ 'By Cash' }}
                                                    @elseif($bill->transaction_id == 2)
                                                        {{ 'By Bank' }}
                                                    @else
                                                        {{ 'Sharafi' }}
                                                    @endif
                                                </span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Total QTY
                                                <span>{{ $bill_items->sum('quantity') }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Total amount</strong>

                                                </div>
                                                <span><strong>{{ $bill->grand_total . ' ' . $bill->currency->title_en }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Payment</strong>

                                                </div>
                                                <span><strong>{{ $bill->payment . ' ' . $bill->currency->title_en }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Belance</strong>
                                                </div>
                                                <span><strong>{{ $bill->balance . ' ' . $bill->currency->title_en }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Exchange Rate</strong>
                                                </div>
                                                <span><strong>{{ $bill->ex_rate }}</strong></span>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4">
                                    <div class="row mt-2">
                                        <div class="col-md-12">
                                            <h4>Items</h4>
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th scope="col">#</th>
                                                        <th scope="col">Category</th>
                                                        <th scope="col">Unit</th>
                                                        <th scope="col">QTY</th>
                                                        <th scope="col">Price</th>
                                                        <th scope="col">Total</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($bill_items as $row)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $row->category->title_en }}</td>
                                                            <td>{{ $row->unit->title_en }}</td>
                                                            <td>{{ $row->qty }}</td>
                                                            <td>{{ $row->spi }}</td>
                                                            <td>{{ $row->total }}</td>
                                                            
                                                        </tr>
                                                    @endforeach
                                                </tbody>

                                            </table>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
    @include('purchase.suppliers.bills.bill-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
    </script>
@endsection
