@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-header">
                <h4>Edit</h4>
            </div>
            <div class="card-body">
                <form action="{{ route('suppliers.update', $supplier->id) }}" method="post">
                    @method('put')
                    @csrf
                    <!-- 2 column grid layout with text inputs for the first and last names -->
                    <div class="row mb-4">
                        <div class="col">
                            <div class="form-outline">
                                <input type="text" id="name" name="name"
                                    value="{{ old('name') ?? $supplier->name }}" class="form-control" />
                                <label class="form-label" for="name"> name</label>
                            </div>
                        </div>
                        <div class="col" style="display: none;">
                            <div class="form-outline">
                                <input type="email" id="email" name="email"
                                    value="{{ old('email') ?? $supplier->email }}" class="form-control" />
                                <label class="form-label" for="email">Email</label>
                            </div>
                        </div>
                    </div>
                    <!-- Text input -->
                    <div class="form-outline mb-4">
                        <input type="text" id="phone" name="phone" value="{{ old('phone') ?? $supplier->phone }}"
                            class="form-control" />
                        <label class="form-label" for="phone">Phone</label>
                    </div>
                    <!-- Text input -->
                    <div class="form-outline mb-4">
                        <input type="text" id="address" name="address"
                            value="{{ old('address') ?? $supplier->address }}" class="form-control" />
                        <label class="form-label" for="address">Address</label>
                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-rounded mb-4">Edit</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
    </script>
@endsection
