@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class=" gradient-custom-2">
            <div class="card mask-custom">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <strong>Suppliers</strong>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                @can('supplier_reporting')
                                <a href="{{ route('supplier.report_show') }}" class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @endcan
                                @include('general.filter-button')
                                <a href="{{ route('suppliers.create') }}" class="btn btn-primary btn-rounded btn-sm">Add</a>
                                
                            </div>
                        </div>
                    </div>
                    @include('purchase.suppliers.filter-form')
                    <div class="row mt-5">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table table-striped  dt-responsive" style="border-collapse: collapse; border-spacing: 0;"  id="customer_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Name</th>
                                            <th scope="col">Phone</th>
                                            <th scope="col">Address</th>
                                            <th scope="col">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($suppliers as $row)
                                            <tr class="fw-normal">
                                                <th class="border-0">{{ $loop->iteration }}</th>
                                                <th class="border-0">
                                                    <span class="ms-2">{{ $row->name }}</span>
                                                </th>
                                                <td class="border-0 align-middle">{{ $row->phone }}</td>
                                                <td class="border-0 align-middle">
                                                    {{ $row->address }}
                                                </td>
                                                <td class="border-0 align-middle">

                                                    <a href="{{ route('suppliers.edit', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Edit"
                                                        class=""><i
                                                            class="fa fa-pencil"></i></a>
                                                    <a href="{{ route('suppliers.show', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Details"
                                                        class=""><i
                                                            class="fa fa-eye"></i></a>

                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                {{ $suppliers->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('purchase.suppliers.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");

        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_name").show();
                $("#by_phone").hide();
                $("#by_address").hide();
            }
            if (type == 2) {
                $("#by_name").hide();
                $("#by_phone").show();
                $("#by_address").hide();
            }
            if(type==3){
                $("#by_name").hide();
                $("#by_phone").hide();
                $("#by_address").show();
            }
            
        });
    </script>
@endsection
