@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h4> Payments of</h4>
                            <h5>{{ $supplier->name }}</h5>

                        </div>
                        <div class="col-md-4">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('supplier_payment.report_show', $supplier->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @include('general.filter-button')
                                <a href="{{ route('supplier_payment.create', $supplier->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Add</a>

                            </div>
                        </div>
                    </div>
                    @include('purchase.suppliers.payments.filter-form')
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table table-striped text-center  dt-responsive"
                                    style="border-collapse: collapse; border-spacing: 0;" id="customer_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Number</th>
                                            <th scope="col">Title</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Payment</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($payments as $row)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $row->invoice_number }}</td>
                                                <td>{{ $row->title }}</td>
                                                <td>{{ $row->date }}
                                                </td>
                                                <td>{{ $row->amount . ' ' . $row->currency->title_en }}
                                                </td>
                                                <td>
                                                    <a href="{{ route('supplier_payment.edit', $row->id) }}">
                                                        <i class="fa fa-pencil text-primary"></i></a>
                                                    <a href="{{ route('supplier_payment.delete', $row->id) }}"
                                                        onclick="return confirm('Are you sure you want to delete this item')">
                                                        <i class="fa fa-trash text-danger"></i></a>
                                                    <a href="{{ route('msupplier_payment.show', $row->id) }}">
                                                        <i class="fa fa-eye text-primary"></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                            {{ $payments->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    @include('purchase.suppliers.payments.filter-modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
