<!DOCTYPE html>
<html>

<head>
    <title>Print Profile</title>
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/invoice/style.css') }}">
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;400;900&display=swap');

        :root {
            --primary: #2a1727;
            --secondary: #3d3d3d;
            --white: #fff;
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Lato', sans-serif;
        }

        body {
            background: var(--secondary);
            padding: 50px;
            color: var(--secondary);
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 14px;
        }

        .bold {
            font-weight: 900;
        }

        .light {
            font-weight: 100;
        }

        .wrapper {
            background: var(--white);
            padding: 30px;
        }

        .invoice_wrapper {
            border: 3px solid var(--primary);
            width: 700px;
            max-width: 100%;
        }

        .invoice_wrapper .header .logo_invoice_wrap,
        .invoice_wrapper .header .bill_total_wrap {
            display: flex;
            justify-content: space-between;
            padding: 30px;
        }

        .invoice_wrapper .header .logo_sec {
            display: flex;
            align-items: center;
        }

        .invoice_wrapper .header .logo_sec .title_wrap {
            margin-left: 5px;
        }

        .invoice_wrapper .header .logo_sec .title_wrap .title {
            text-transform: uppercase;
            font-size: 18px;
            color: var(--primary);
        }

        .invoice_wrapper .header .logo_sec .title_wrap .sub_title {
            font-size: 12px;
        }

        .invoice_wrapper .header .invoice_sec,
        .invoice_wrapper .header .bill_total_wrap .total_wrap {
            text-align: right;
        }

        .invoice_wrapper .header .invoice_sec .invoice {
            font-size: 28px;
            color: var(--primary);
        }

        .invoice_wrapper .header .invoice_sec .invoice_no,
        .invoice_wrapper .header .invoice_sec .date {
            display: flex;
            width: 100%;
        }

        .invoice_wrapper .header .invoice_sec .invoice_no span:first-child,
        .invoice_wrapper .header .invoice_sec .date span:first-child {
            width: 70px;
            text-align: left;
        }

        .invoice_wrapper .header .invoice_sec .invoice_no span:last-child,
        .invoice_wrapper .header .invoice_sec .date span:last-child {
            width: calc(100% - 70px);
        }

        .invoice_wrapper .header .bill_total_wrap .total_wrap .price,
        .invoice_wrapper .header .bill_total_wrap .bill_sec .name {
            color: var(--primary);
            font-size: 20px;
        }

        .invoice_wrapper .body .main_table .table_header {
            background: var(--primary);
        }

        .invoice_wrapper .body .main_table .table_header .row {
            color: var(--white);
            font-size: 18px;
            border-bottom: 0px;
        }

        .invoice_wrapper .body .main_table .row {
            display: flex;
            border-bottom: 1px solid var(--secondary);
        }

        .invoice_wrapper .body .main_table .row .col {
            padding: 10px;
        }

        .invoice_wrapper .body .main_table .row .col_no {
            width: 5%;
        }

        .invoice_wrapper .body .main_table .row .col_des {
            width: 45%;
        }

        .invoice_wrapper .body .main_table .row .col_price {
            width: 20%;
            text-align: center;
        }

        .invoice_wrapper .body .main_table .row .col_qty {
            width: 10%;
            text-align: center;
        }

        .invoice_wrapper .body .main_table .row .col_total {
            width: 20%;
            text-align: right;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap {
            display: flex;
            justify-content: space-between;
            padding: 5px 0 30px;
            align-items: flex-end;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .paymethod_sec {
            padding-left: 30px;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec {
            width: 50%;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec p {
            display: flex;
            width: 100%;
            padding-bottom: 5px;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec p span {
            padding: 0 10px;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec p span:first-child {
            width: 60%;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec p span:last-child {
            width: 40%;
            text-align: right;
        }

        .invoice_wrapper .body .paymethod_grandtotal_wrap .grandtotal_sec p:last-child span {
            background: var(--primary);
            padding: 10px;
            color: #fff;
        }

        .invoice_wrapper .footer {
            padding: 30px;
        }

        .invoice_wrapper .footer>p {
            color: var(--primary);
            text-decoration: underline;
            font-size: 18px;
            padding-bottom: 5px;
        }

        .invoice_wrapper .footer .terms .tc {
            font-size: 16px;
        }
    </style>
</head>

<body>

    <div class="wrapper">
        <div class="invoice_wrapper">
            <div class="header">
                <div class="logo_invoice_wrap">
                    <div class="logo_sec">
                        <img src="{{ asset('storage/' . $blogo) }}" style="height: 50px; widht:60px;" alt="code logo">
                        <div class="title_wrap">
                            <p class="title bold">{{ $bname }}</p>
                            <p class="sub_title">Privite Limited</p>
                        </div>
                    </div>
                    <div class="invoice_sec">
                        <p class="invoice bold">SUPPLIER PROFILE</p>
                        <p class="invoice_no">
                            <span class="bold">NAME</span>
                            <span># {{ $supplier->name }}</span>
                        </p>
                        <p class="date">
                            <span class="bold"> DATE</span>
                            <span>{{ date('Y-M-D') }}</span>
                        </p>
                    </div>
                </div>
                <div class="bill_total_wrap">
                    <div class="bill_sec">
                        <p>DETAILS  To</p>
                        <p class="bold name">{{ $supplier->name }}</p>
                        <span>
                            {{ $supplier->address }}<br />
                            {{ $supplier->phone }}
                        </span>
                    </div>

                </div>
            </div>
            <div class="body">
                <div class="main_table">
                    <div class="table_header">
                        <div class="row">
                            <div class="col col_des">TOTAL PURCHASE INVOICES</div>
                        </div>
                    </div>
                    <div class="table_body">
                        @foreach ($currencies as $row)
                            <div class="row">
                                <div class="col col_no">
                                    <p>{{ $loop->iteration }}</p>
                                </div>
                                <div class="col col_des">
                                    <p class="bold">
                                        {{ $row->title_en . ' ' . $bills->where('currency_id', $row->id)->sum('grand_total') }}
                                    </p>

                                </div>

                            </div>
                        @endforeach

                    </div>
                </div>
                <div class="main_table">
                    <div class="table_header">
                        <div class="row">
                            <div class="col col_des">TOTAL PAYMENT</div>
                        </div>
                    </div>
                    <div class="table_body">
                        @foreach ($currencies as $row)
                            <div class="row">
                                <div class="col col_no">
                                    <p>{{ $loop->iteration }}</p>
                                </div>
                                <div class="col col_des">
                                    <p class="bold">
                                        {{ $row->title_en . ' ' . $payments->where('currency_id', $row->id)->sum('amount') }}
                                    </p>

                                </div>

                            </div>
                        @endforeach

                    </div>
                </div>
                <div class="main_table">
                    <div class="table_header">
                        <div class="row">
                            <div class="col col_des">TOTAL ADVANCE PAYMENTS</div>
                        </div>
                    </div>
                    <div class="table_body">
                        @foreach ($currencies as $row)
                            <div class="row">
                                <div class="col col_no">
                                    <p>{{ $loop->iteration }}</p>
                                </div>
                                <div class="col col_des">
                                    <p class="bold">
                                        {{ $row->title_en . ' ' . $advance->where('currency_id', $row->id)->sum('amount') }}
                                    </p>

                                </div>

                            </div>
                        @endforeach

                    </div>
                </div>
               
                <div class="main_table">
                    <div class="table_header">
                        <div class="row">
                            <div class="col col_des">BALANCE</div>
                        </div>
                    </div>
                    <div class="table_body">
                        @foreach ($currencies as $row)
                            <div class="row">
                                <div class="col col_no">
                                    <p>{{ $loop->iteration }}</p>
                                </div>
                                <div class="col col_des">
                                    <p class="bold">
                                      
                                    <h5> {{ $row->title_en }} {{ $bills->where('currency_id',$row->id)->sum('grand_total') - ($advance->where('currency_id', $row->id)->sum('amount')+$payments->where('currency_id', $row->id)->sum('amount')) }}</h5>
                                    </p>

                                </div>

                            </div>
                        @endforeach

                    </div>
                </div>
            </div>
            <div class="footer">
                <p>Thank you and Best Wishes</p>
                <div class="terms">
                    <p class="tc bold">ADDRESS & CONTACT DETAILS</p>
                    <strong>ADDRESS: {{ $baddress }}</strong><br>
                    <strong>PHONE: {{ $bphone }}</strong><br>
                    <strong>EMAIL: {{ $bemail }}</strong>

                </div>
            </div>
        </div>
    </div>


</body>

</html>
