@extends('master.app')
@section('title', 'Suppliers')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">

                            <div class="col-md-12">
                                <div class="card-body p-4">

                                    <div class="row pt-1">
                                        <h4>Quick Action</h4>
                                        <div class="col-12 mb-3">
                                            <div class="btn-group shadow-0" role="group" aria-label="Basic example">
                                                <a href="{{ route('supplier_bill.index', $supplier->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">
                                                        Invoices</button>
                                                </a>
                                                <a href="{{ route('supplier_payment.index', $supplier->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">Payments</button>
                                                </a>
                                                <a href="{{ route('suppliers.print_profile', $supplier->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">PRINT HERE</button>
                                                </a>    
                                                                                       
                                            </div>
                                           
                                        </div>
                                    </div>
                                    <div id="report">
                                        <div class="row mt-2 text-center" id="letter_head" style="display: none;">
                                            <h4>{{ $bname }}</h4>
                                            <img src="{{ asset('storage/'.$blogo) }}" class="letter_head mt-5"
                                                alt="" style="margin-top: 50px!important;">
                                        </div>
                                        <div class="row mt-2">
                                            <div class="col-md-4 mt-3">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Total Purchase
                                                    </div>
                                                    <div class="card-body">
                                                        @foreach ($currencies as $row)
                                                            <h6>
                                                                {{ $bills->where('supplier_id', $supplier->id)->where('currency_id', $row->id)->sum('grand_total') }}
                                                                {{ $row->title_ps }}
                                                            </h6>
                                                        @endforeach


                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 mt-3">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Total Payment
                                                    </div>
                                                    <div class="card-body">
                                                        @foreach (App\Models\Currency::all() as $row)
                                                            <h6>
                                                                {{ $payments->where('supplier_id', $supplier->id)->where('currency_id', $row->id)->sum('amount') }}
                                                                {{ $row->title_ps }}
                                                            </h6>
                                                        @endforeach
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 mt-3">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Total Advance
                                                    </div>
                                                    <div class="card-body">
                                                        @foreach (App\Models\Currency::all() as $row)
                                                            <h6>
                                                                {{ $advance->where('supplier_id', $supplier->id)->where('currency_id', $row->id)->sum('amount') }}
                                                                {{ $row->title_ps }}

                                                            </h6>
                                                        @endforeach
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12 mt-4">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Balance
                                                    </div>
                                                    <div class="card-body">
                                                        @foreach (App\Models\Currency::all() as $row)
                                                            <h6>
                                                                @php
                                                                    $bill = $bills
                                                                        ->where('supplier_id', $supplier->id)
                                                                        ->where('currency_id', $row->id)
                                                                        ->sum('grand_total');
                                                                    $pay = $payments
                                                                        ->where('supplier_id', $supplier->id)
                                                                        ->where('currency_id', $row->id)
                                                                        ->sum('amount');
                                                                    $ad = $advance
                                                                        ->where('supplier_id', $supplier->id)
                                                                        ->where('currency_id', $row->id)
                                                                        ->sum('amount');
                                                                    $py_ad = $pay + $ad;
                                                                    $balance = $bill - $py_ad;
                                                                @endphp
                                                                {{ $row->title_ps }}
                                                                {{ $balance }}
                                                            </h6>
                                                        @endforeach
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_purchase1").addClass("active");
        $("#purchasei").addClass("is-expanded");
        $("#purchase_accounts").addClass("active");
    </script>
@endsection
