@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card card-registration card-registration-2" style="border-radius: 15px;">
                <div class="card-body p-0">
                    <div class="p-5">
                        <h3 class="fw-normal text-dark mb-5" style="">Add Advance</h3>
                    @include('general.valert')

                        <form action="{{ route('customer_advance.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('post')
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="form-outline">
                                        <input type="number" required name="invoice_number" value="{{ $number }}"
                                            id="invoice_number" class="form-control" />
                                        <label class="form-label" for="invoice_number"> Number</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mt-2">
                                    <div class="form-outline">
                                        <input type="number" required name="amount" value=""
                                            id="form3Examplev2" class="form-control form-control" />
                                        <label class="form-label" for="form3Examplev2">Amount</label>
                                    </div>
                                </div>
                                <div class="col-md-12 mt-2">
                                    <div class="form-group">
                                        <select id="customer_id" required name="customer_id" class="select2 form-control"
                                            autofocus style="width: 100%;">
                                            <option value="">Choose Customers</option>
                                            @foreach ($customers as $row)
                                                <option value="{{ $row->id }}">{{ $row->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-2">
                                    <div class="form-group">
                                        <select id="currency_id" required name="currency_id" class="select2 form-control"
                                            autofocus style="width: 100%;">
                                            <option value="">Choose Currency</option>
                                            @foreach ($currencies as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($row->id == 1) {{ 'selected' }} @endif>
                                                    {{ $row->title_en }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-2" style="display: none;" id="ex_rate_text_box">
                                    <div class="form-outline">
                                        <input type="text" name="ex_rate"  value="" id="ex_rate"
                                            class="form-control" />
                                        <label class="form-label" for="ex_rate">Exchange Rate</label>
                                    </div>
                                </div>

                                <div class="col-md-6 mt-2">
                                    <div class="form-outline">
                                        <input type="text" required name="title" value="" id="title"
                                            class="form-control " />
                                        <label class="form-label" for="title">Title</label>
                                    </div>
                                </div>
                                <div class="col-md-6 mt-2">
                                    <select type="text" required name="cash_id" id="cash_id"
                                        class="form-control input-custom">
                                        <option value="">Define Cash Target</option>
                                        <option value="1">Target Cash Yes</option>
                                        <option value="2">Target Cash NO</option>
                                    </select>
                                </div>
                                <div class="col-md-12 mt-2">
                                    @if ($bdate == 1)
                                        <input type="text" required dir="rtl" name="date" value=""
                                            class="form-control sample-date-picker" id="form3Examplev2" />
                                    @else
                                        <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                            class="form-control " id="form3Examplev2" />
                                        <label class="form-label" for="form3Examplev2">Date</label>
                                    @endif
                                </div>
                                <div class="col-md-12 mt-2">
                                    <div class="form-outline">
                                        <textarea name="details" id="details" cols="30" rows="4" class="form-control"></textarea>
                                        <label class="form-label" for="form3Examplev2">Details</label>
                                    </div>
                                </div>


                            </div>
                            <button type="submit" class="btn btn-rounded btn-sm btn-primary mt-2">Save</button>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script>
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_advance").addClass("active");
    </script>
@endsection
