@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom "
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        <h4>Customer Sale, Receiveds, Advance, Return Ledger </h4>
                                    </div>
                                    <div class="card-body">
                                        <form action="{{ route('customer_ledger.find') }}">
                                            <div class="row">
                                                <div class="col-md-3 mb-4">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="fromDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="fromDate" />
                                                        <label class="form-label" for="fromDate">From Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="fromDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="fromDate" />
                                                            <label class="form-label" for="fromDate">From Date</label>
                                                        </div>
                                                    @endif

                                                </div>
                                                <div class="col-md-3 mb-4">
                                                    @if ($bdate == 1)
                                                        <input type="text" required dir="rtl" name="toDate"
                                                            value="" class="form-control sample-date-picker"
                                                            id="toDate" />
                                                        <label class="form-label" for="toDate">To Date</label>
                                                    @else
                                                        <div class="form-outline datepicker">
                                                            <input type="date" required name="toDate"
                                                                value="{{ date('Y-m-d') }}" class="form-control "
                                                                id="toDate" />
                                                            <label class="form-label" for="toDate">To Date</label>
                                                        </div>
                                                    @endif
                                                </div>
                                                <div class="col-md-3 mb-4">
                                                    <div class="form-group">
                                                        <select id="customer_id" name="customer_id"
                                                            class="select2 form-control" autofocus style="width: 100%;">
                                                            <option value="">Choose Customers</option>
                                                            <option value="all">All</option>
                                                            @foreach ($customers as $row)
                                                                <option value="{{ $row->id }}">{{ $row->name }}
                                                                </option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-3 mb-4" id="">
                                                    <div class="form-group">
                                                        <select id="currency_id" name="currency_id"
                                                            class="select2 form-control" autofocus style="width: 100%;">
                                                            <option value="">Choose Currency</option>
                                                            <option value="all">All</option>
                                                            @foreach ($currencies as $row)
                                                                <option value="{{ $row->id }}">{{ $row->title_en }}
                                                                </option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 ">
                                                    <button class="btn btn-primary btn-rounded btn-sm" id="btn-find"
                                                        style="float: left;">Find</button>
                                                    <button style="float: left;" class="btn btn-primary btn-rounded btn-sm"
                                                        id="btn-print" onclick="PrintTable();">Print</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                @if ($page == 'data')
                                    <div class="card print_div" id="print_div">
                                        <div class="card-body">
                                            <div class="row">
                                                <h5 style="text-align: center">{{ $bname }}</h5>
                                                <h6 style="text-align: center">Customer Transaction Ledger</h6>
                                                <h6 style="text-align: center">From {{ $from }} To {{ $to }}</h6>
                                            </div>
                                            <div class="row mt-2">
                                                <div class="col-md-12">
                                                    <table class="">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Name</th>
                                                                <th>Phone</th>
                                                                <th>Address</th>
                                                                <th>Transaction (Track Number)</th>
                                                                <th>Amount</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($ledger as $row)
                                                                <tr>
                                                                    <td>{{ $row->id }}</td>
                                                                    <td>{{ $row->customer->name }}</td>
                                                                    <td>{{ $row->customer->phone }}</td>
                                                                    <td>{{ $row->customer->address }}</td>
                                                                    <td>
                                                                        @if ($row->transaction_id == 1)
                                                                            <a
                                                                                href="{{ route('customer_bill.show', $row->module_rid) }}">{{ 'Invoice' }}
                                                                                {{ $row->module_rid }}</a>
                                                                        @elseif($row->transaction_id == 2)
                                                                            <a
                                                                                href="{{ route('customer_single_received.show', $row->module_rid) }}">{{ 'Recieved' }}
                                                                                {{ $row->module_rid }}</a>
                                                                        @elseif($row->transaction_id == 3)
                                                                            {{ 'Return' }}
                                                                        @else
                                                                            {{ 'Advance' }}
                                                                        @endif
                                                                    </td>
                                                                    <td>
                                                                        {{ $row->amount . ' ' . $row->currency->title_en }}
                                                                    </td>
                                                                </tr>
                                                            @endforeach

                                                        </tbody>

                                                    </table>
                                                    <table>
                                                        <tr>
                                                            <th rowspan="2">SubTotal</th>
                                                            <th colspan="{{ $currencies->count() }}">Invoices</th>
                                                            <th colspan="{{ $currencies->count() }}">Recieveds</th>
                                                            <th colspan="{{ $currencies->count() }}">Balances</th>
                                                        </tr>
                                                        <tr>
                                                            @foreach ($currencies as $row)
                                                                <td>{{ $ledger->where('currency_id', $row->id)->where('transaction_id', 1)->sum('amount') .' ' .$row->title_en }}
                                                                </td>
                                                            @endforeach
                                                            @foreach ($currencies as $row)
                                                                <td>{{ $ledger->where('currency_id', $row->id)->where('transaction_id', 2)->sum('amount') .' ' .$row->title_en }}
                                                                </td>
                                                            @endforeach

                                                            @foreach ($currencies as $row)
                                                                <td>{{ $ledger->where('currency_id', $row->id)->where('transaction_id', 1)->sum('amount') -$ledger->where('currency_id', $row->id)->where('transaction_id', 2)->sum('amount') .' ' .$row->title_en }}
                                                                </td>
                                                            @endforeach
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_sale_overview").addClass("active");
    </script>
    <script>
        // $("#btn-find").click(function() {
        //     $.ajax({
        //         url: '{{ route('customer.tracking_find') }}',
        //         type: 'GET',
        //         data: {
        //             'type_id': $("#type_id").val(),
        //             'fromDate': $("#fromDate").val(),
        //             'toDate': $("#toDate").val(),
        //             'customer_id': $("#customer_id").val(),

        //         },
        //         success: function(data) {
        //             $(".print_div").html(data);
        //         },
        //         error: function() {
        //             swal("Warrning", "Error occured!", "error");
        //         },
        //     });
        // });


        function PrintTable() {
            var printWindow = window.open('', '', 'height=1000,width=1000');
            var table_style = document.getElementById("table_style").innerHTML;
            printWindow.document.write('<style type = "text/css">');
            printWindow.document.write(table_style);
            printWindow.document.write('</style>');
            var divContents = document.getElementById("print_div").innerHTML;
            printWindow.document.write(divContents);
            setTimeout(() => {
                printWindow.print();
                printWindow.close();

            }, 1000);
        }
    </script>
@endsection
