@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @if ($bill->type_id == 1)
                    @include('sale.bills.next-header-from')
                    @include('sale.bills.next-item-table')
                @endif
                @if ($bill->type_id == 2)
                    @include('sale.bills.row-bills.next-header-form')
                    @include('sale.bills.row-bills.next-item-table')
                @endif
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="text-center mb-3 pb-2 mt-3">
                                <h4 style="color: #495057 ;">Invoice Statement</h4>
                                @include('general.valert')

                            </div>
                            <form class="mb-0" method="post" action="{{ route('customer_bill.update', $bill->id) }}">
                                @method('put')
                                @csrf
                                <div class="row">
                                    <div class="col-md-4 mb-3 pb-1">
                                        <div class="form-group">
                                            <select id="type_id" name="type_id" required class="select2 form-control"
                                                autofocus style="width: 100%;">
                                                <option value="">Choose Type</option>
                                                <option value="1"
                                                    @if ($bill->type_id == 1) {{ 'selected' }} @endif>Finished
                                                    goods
                                                </option>
                                                @if ($btype == 2)
                                                    <option value="2"
                                                        @if ($bill->type_id == 2) {{ 'selected' }} @endif>Row
                                                    </option>
                                                    <option value="3"
                                                        @if ($bill->type_id == 3) {{ 'selected' }} @endif>
                                                        Printing
                                                    </option>
                                                    <option value="4"
                                                        @if ($bill->type_id == 4) {{ 'selected' }} @endif>
                                                        Pressing
                                                    </option>
                                                @endif

                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-3 pb-1">
                                        <div class="form-group">
                                            <select id="customer_id" name="customer_id" required
                                                class="select2 form-control" autofocus style="width: 100%;">
                                                <option value="">Choose Customers</option>
                                                @foreach ($customers as $customer)
                                                    <option value="{{ $customer->id }}"
                                                        @if ($bill->customer_id == $customer->id) {{ 'selected' }} @endif>
                                                        {{ $customer->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-4 pb-2">
                                        <div class="form-outline">
                                            <input type="number" name="invoice_number" required
                                                value="{{ $bill->invoice_number }}" id="invoice_number"
                                                class="form-control form-control" />
                                            <label class="form-label" for="invoice_number">Invoice
                                                Number</label>
                                        </div>
                                    </div>
                                    <div class="col-md-4 mb-4 pb-2">
                                        <div class="form-outline">
                                            <input type="text" name="title" required value="{{ $bill->title }}"
                                                id="title" class="form-control form-control" />
                                            <label class="form-label" for="title">Title</label>
                                        </div>
                                    </div>

                                    <div class="col-md-4 mb-4 pb-2">
                                        @if ($bdate == 1)
                                            <input type="text" required dir="rtl" name="date"
                                                value="{{ $bill->invoice_date }}" class="form-control sample-date-picker"
                                                id="date" />
                                            <label class="form-label" for="date"> Date</label>
                                        @else
                                            <div class="form-outline datepicker">
                                                <input type="date" required name="date"
                                                    value="{{ $bill->invoice_date }}" class="form-control "
                                                    id="date" />
                                                <label class="form-label" for="date"> Date</label>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="col-md-4 mb-4 pb-2">
                                        <input type="file" class="form-control" name="invoice_file" id="invoice_file"
                                            class="" />

                                    </div>
                                    <div class="col-md-3 mb-3 pb-1">
                                        <div class="form-group">
                                            <select id="currency_id" required name="currency_id"
                                                class="select2 form-control" autofocus style="width: 100%;">
                                                <option value="">Choose Currency</option>
                                                @foreach ($currencies as $row)
                                                    <option value="{{ $row->id }}"
                                                        @if ($row->id == $bill->currency_id) {{ 'selected' }} @endif>
                                                        {{ $row->title_en }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3 mb-4 pb-2" id="ex_rate_text_box" style="display: none;">
                                        <div class="form-outline">
                                            <input type="text" name="ex_rate" value="{{ $bill->ex_rate }}"
                                                id="ex_rate" class="form-control form-control" />
                                            <label class="form-label" for="ex_rate">Exchange Rate</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            @php
                                                if ($bill_items->sum('total') == 0) {
                                                    $total = $bill->grand_total;
                                                } else {
                                                    $total = $bill_items->sum('total');
                                                }
                                            @endphp
                                            <input type="text" value="{{ $total }}" id="grand_total"
                                                name="grand_total" class="form-control input-custom" />
                                            <label class="form-label" for="form9Example1">Total</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="bill_discount" onkeyup="final_calculation()"
                                                value="{{ $bill->discount ?? 0 }}"  name="bill_discount"
                                                class="form-control input-custom" />
                                            <label class="form-label" for="form9Example2">Discount</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="received" value="{{ $bill->received ?? 0 }}"
                                                onkeyup="final_calculation()"
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                                name="received" class="form-control input-custom" />
                                            <label class="form-label" for="recieved">Recieved</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        @php

                                            $t_amount = $bill_items->sum('total');
                                            if ($t_amount == 0) {
                                                $t_amount = $bill->grand_total;
                                            } else {
                                                $t_amount = $bill_items->sum('total');
                                            }
                                            $r_amount = $bill->received;
                                            $d_amount = $bill->discount;
                                            $rd_amount = $r_amount + $d_amount;
                                            $b_amount = $t_amount - $rd_amount;
                                        @endphp
                                        <div class="form-outline">
                                            <input type="text" value="{{ $b_amount ?? 0 }}" readonly
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                                id="balance_value" name="balance_value"
                                                class="form-control input-custom" />
                                            <label class="form-label" for="form9Example4">Balance</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col-md-4">
                                        <select type="text" name="transaction_id" id="transaction_id"
                                            class="form-control input-custom">
                                            <option value="">Define Transaction</option>
                                            <option value="1"
                                                @if ($bill->transaction_id == 1) {{ 'selected' }} @endif>
                                                Cash</option>
                                            <option value="2"
                                                @if ($bill->transaction_id == 2) {{ 'selected' }} @endif>
                                                Bank</option>
                                            <option value="3"
                                                @if ($bill->transaction_id == 3) {{ 'selected' }} @endif>
                                                Sharafi</option>
                                            <option value="3"
                                                @if ($bill->transaction_id == 4) {{ 'selected' }} @endif>
                                                Other</option>
                                        </select>

                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-outline">
                                            <input type="text" name="received_by" value="{{ $bill->received_by }}"
                                                id="received_by" class="form-control input-custom" />
                                            <label class="form-label" for="typeEmail">Recieved
                                                By</label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <select type="text" name="cash_id" id="cash_id"
                                            class="form-control input-custom">
                                            <option value="1">Target Cash Yes</option>
                                            <option value="2">Target Cash NO</option>
                                        </select>
                                        <label class="form-label" for="form9Example6">Payment
                                            Type</label>
                                    </div>

                                </div>
                                <div class="float-end ">
                                    <!-- Submit button -->
                                    <button type="submit" class="btn btn-primary btn-rounded"
                                        style="background-color: #0062CC ;">Checkout</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_bill").addClass("active");
        @if ($bill->currency_id != 1)
            $("#ex_rate_text_box").show();
        @else
            $("#ex_rate_text_box").hide();
        @endif
        $("#currency_id").change(function() {
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    @include('sale.bills.script')
@endsection
