@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Invoices</h4>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('customer_bill.report_show') }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @include('general.filter-button')
                                <a href="{{ route('customer_bill.create') }}"
                                    class="btn btn-primary btn-rounded btn-sm">Add</a>
                            </div>

                        </div>
                    </div>
                    @include('sale.bills.filter-form')

                    <div class="row mt-3">
                        <div class="col-md-12">
                            <table class="table table-striped  dt-responsive"
                                style="border-collapse: collapse; border-spacing: 0;" id="customer_return">
                                <thead>
                                    <tr>
                                        <th>Invoice</th>
                                        <th>Title</th>
                                        <th>customer</th>
                                        <th>Total</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($bills as $row)
                                        <tr class="fw-normal">
                                            <th>{{ $row->invoice_number }}</th>
                                            <th>
                                                <span class="ms-2">{{ $row->title }}</span>
                                            </th>
                                            <th>
                                                <span class="ms-2">{{ $row->customer->name }}</span>
                                            </th>

                                            <td>{{ $row->grand_total . ' ' . $row->currency->title_en }}</td>

                                            <td>{{ $row->invoice_date }}</td>
                                            <td>


                                                <a href="{{ route('customer_bill.show', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Show"><i
                                                        class="fas fa-eye fa-lg "></i></a>
                                                <a href="{{ route('customer_bill.edit', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Edit"><i
                                                        class="fas fa-pencil fa-lg "></i></a>
                                                <a href="{{ route('customer_bill.print', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Print"><i
                                                        class="fas fa-print fa-lg "></i></a>
                                                <a href="{{ route('customer_single.bill_delete', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="delete"
                                                    onclick="return confirm('Are you sure you want to delete this Invoice It Will be Impact on (Stock, Invoices, Recieved)?');"><i
                                                        class="fas fa-trash "></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>

                    </div>
                    {{-- <div class="row">
                        <div class="card">
                            <div class="card-body">
                                {{ $bills->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div> --}}
                </div>
            </div>
        </section>
    </main>
    @include('sale.bills.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_bill").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
