@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card card-registration card-registration-2" style="border-radius: 15px;">
            <div class="card-body">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-5 ">
                                <h3 class="fw-normal text-dark mb-5" style="">Create Invoice Items
                                </h3>
                            </div>
                            <div class="col-md-7">
                                <p class="lead" id="stock_value" style="font-style: italic">

                                </p>
                            </div>
                            <div class="col-md-12">
                                @if ($errors->any())
                                    @foreach ($errors->all() as $error)
                                        <div class="alert alert-danger">{{ $error }}</div>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12" id="edit_item" >
                                <form method="get" action="{{ route('customer_bill.item_update',$item->id) }}"
                                    onsubmit="return validation();">
                                    @method('get')
        
                                    <input type="hidden" name="qty" id="stock_qty">
                                    <input type="hidden" name="spi" id="stock_spi">
                                    <input type="hidden" name="cpi" id="stock_cpi">
                                    <input type="hidden" name="cat_id" id="stock_cat_id">
                                    <input type="hidden" name="scat_id" id="stock_scat_id">
                                    <input type="hidden" name="weight_id" id="stock_weight_id">
                                    <input type="hidden" name="unit_id" id="stock_unit_id">
                                    <table>
                                        <tr>
                                            <td style="width: 400px; padding:0px;">
                                                <label for="exampleInputEmail1">@lang('Cats')</label>
                                                <select name="cat_id" id="cat_id" class="form-control select2" required>
                                                    <option value="">Choose</option>
                                                    @foreach ($categories as $row)
                                                        <option value="{{ $row->id }}" @if($item->cat_id==$row->id) {{ "selected" }} @endif>
                                                            {{ $row->title_en }}</option>
                                                    @endforeach
                                                </select>
                                            </td>

                                            <td style="width: 300px; padding:0px;">
                                                <label for="exampleInputEmail1">@lang('Weight')</label>
                                                <select id="weight_id" required type="text" class="form-control select2"
                                                    name="weight_id">
                                                    <option value="">Choose</option>
                                                    @foreach ($weights as $row)
                                                        <option value="{{ $row->id }}" @if($row->id==$item->weight_id) {{ "selected" }} @endif>
                                                            {{ $row->title_en }}</option>
                                                    @endforeach
                                                </select>
                                            </td>
                                            <td style="width: 400px; padding:0px;">
                                                <label for="exampleInputEmail1">@lang('Stocks')</label>
                                                <select id="stock_id" class="form-control select2" required
                                                    name="stock_id">
                                                    <option value="">Choose</option>
                                                    <option value="{{ $stock->id }}" @if($stock->id==$item->stock_id) {{ "selected" }} @endif>{{ $stock->quantity . " " . $stock->sub_category->title_en  }}</option>

                                                </select>
                                            </td>
                                            <td style="width: 300px;">
                                                <label for="exampleInputEmail1">@lang('sale Price')</label>
                                                <input type="number" required name="sale_price" value="{{ $item->sale_price }}" id="sale_price"
                                                    class="form-control">

                                            </td>
                                            <td style="width: 300px; ">
                                                <label for="exampleInputEmail1">@lang('Qunatity')</label>
                                                <input type="number" required name="qty" value="{{ $item->qty }}" id="qty"
                                                    class="form-control">
                                            </td>
                                            <td style="width: 100px;">
                                                <button type="submit" class="btn btn-primary btn-rounded"
                                                    style="margin-top: 30px">
                                                    <i class="fa fa-edit"></i>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </form>
                            </div>
                           
                        </div>
                     
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_bill").addClass("active");
        $(document).on('change', '#weight_id', function() {
            var cat_id = $("#cat_id").val();
            if (cat_id == "") {
                alert("Choose Category First");
                return false;
            }
            $.ajax({
                url: '{{ route('stock.get') }}',
                type: 'GET',
                data: {
                    'cat_id': $("#cat_id").val(),
                    'weight_id': $("#weight_id").val(),
                },
                success: function(data) {
                    $("#stock_id").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        $(document).on('change', '#cat_id', function() {
            $.ajax({
                url: '{{ route('stock.get') }}',
                type: 'GET',
                data: {
                    'cat_id': $("#cat_id").val(),
                    'weight_id': $("#weight_id").val(),
                },
                success: function(data) {
                    $("#stock_id").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        $(document).on('change', '#stock_id', function() {
            $.ajax({
                url: '{{ route('stock_attribute.get') }}',
                type: 'GET',
                data: {
                    'stock_id': $("#stock_id").val(),
                },
                success: function(data) {
                    $("#sale_price").val(data['spi']);
                    $("#stock_qty").val(data['qty']);
                    $("#stock_spi").val(data['spi']);
                    $("#stock_cpi").val(data['cpi']);
                    $("#stock_cat_id").val(data['cat_id'])
                    $("#stock_scat_id").val(data['scat_id'])
                    $("#stock_weight_id").val(data['weight_id'])
                    $("#stock_unit_id").val(data['unit_id'])
                    document.getElementById("stock_value").innerHTML = data['qty'] +
                        "Truck Quantity";
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        function final_calculation() {
            var value = document.getElementById("received").value;
            var total = document.getElementById("grand_total").value;
            var discount = document.getElementById("bill_discount").value;
            var balance_value = parseFloat(total) - parseFloat(discount) - parseFloat(value);
            document.getElementById("balance_value").value = balance_value;
        }
    </script>
@endsection
