@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-3 gradient-custom text-center text-white"
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-chat/ava1-bg.webp"
                                    alt="Avatar" class="img-fluid my-5" style="width: 80px;" />
                                <h5 class="text-dark">{{ $customer->name }}</h5>
                                <h5 class="text-dark">{{ $customer->email }}</h5>
                                <h5 class="text-dark">{{ $customer->phone }}</h5>
                                <h5 class="text-dark">{{ $customer->address }}</h5>
                                <p class="text-dark"></p>
                                <a href="{{ route('customers.edit', $customer->id) }}"> <i
                                        class="fa fa-edit mb-5 text-primary"></i></a>
                            </div>
                            <div class="col-md-9">
                                <div class="card-body p-4">

                                    <div class="row pt-1">
                                        <h4>Quick Action</h4>
                                        <div class="col-12 mb-3">
                                            <div class="btn-group shadow-0" role="group" aria-label="Basic example">
                                                <a href="{{ route('customers.show', $customer->id) }}">
                                                    <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                        data-mdb-color="dark">
                                                        &nbsp; "Go-Back"</button>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row mt-2">
                                        <div class="col-md-12">
                                            <div class="row">
                                                <div class="col-md-10">

                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <h4>"{{ $customer->name }}" Balance Sheet</h4>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>TS From Bill </h6>
                                                        <span>د دی مشتری ټول خریداری</span>
                                                    </div>
                                                    <div class="card-body">
                                                        {{ $sale_total_in_bill }}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>TR From Bill </h6>
                                                        <span> دټولو بیلونو اصولی </span>
                                                    </div>
                                                    <div class="card-body">
                                                        {{ $sale_received_in_bill }}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>TR From Recepts</h6>
                                                        <span>د رسیدونو اصول</span>
                                                    </div>
                                                    <div class="card-body">
                                                        {{ $total_received_from_received_list }}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>Total From Advance</h6>
                                                        <span>پیشکی پسی</span>
                                                    </div>
                                                    <div class="card-body">
                                                        {{ $total_advance_from_liger }}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>TR From Return</h6>
                                                        <span>د واپس شوی مال پسی</span>
                                                    </div>
                                                    <div class="card-body">
                                                        {{ $total_return_from_liger }}
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card-header">
                                                        <h6>Balance Sheet</h6>
                                                    </div>
                                                    <div class="card-body">
                                                        @php
                                                            $credits=$sale_total_in_bill;
                                                            $debits=$sale_received_in_bill+$total_received_from_received_list+$total_return_from_liger+$total_advance_from_liger;
                                                        @endphp
                                                        {{ $credits-$debits }}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection


@section('pageJs')
<script type="text/javascript">
    $(".app-menu").removeClass("active");
    $("#nav_salei").addClass("active");
    $("#salei").addClass("is-expanded");
    $("#customer_add").addClass("active");
</script>
@endsection
