@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @if ($bill->type_id == 1)
                    @include('sale.customers.bills.next-header-from')
                    @include('sale.customers.bills.next-item-table')
                @endif
                @if ($bill->type_id == 2)
                    @include('sale.customers.bills.row-bills.next-header-form')
                    @include('sale.customers.bills.row-bills.next-item-table')
                @endif
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="text-center mb-3 pb-2 mt-3">
                                <h4 style="color: #495057 ;">Invoice Statement</h4>
                                @include('general.valert')

                            </div>
                            <form class="mb-0" method="post" action="{{ route('customer_single.bill_next_store') }}">
                                @csrf
                                @method('post')
                                <input type="hidden" value="{{ $bill_id }}" name="bill_id">
                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" value="{{ $bill_items->sum('total') }}" id="grand_total"
                                                name="grand_total" class="form-control " />
                                            <label class="form-label" for="form9Example1">Total</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="bill_discount" onkeyup="final_calculation()"
                                                value="0" name="bill_discount"  class="form-control " />
                                            <label class="form-label" for="form9Example2">Discount</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="received" value="0"
                                                onkeyup="final_calculation()"
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                                name="received" class="form-control " />
                                            <label class="form-label" for="recieved">Recieved</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" readonly
                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                                id="balance_value" value="{{ $bill_items->sum('total') }}"
                                                name="balance_value" class="form-control " />
                                            <label class="form-label" for="form9Example4">Balance</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-4">
                                    <div class="col-md-4">
                                        <select type="text" name="transaction_id" required id="transaction_id"
                                            class="form-control input-custom">
                                            <option value="">Define Transaction</option>
                                            <option value="1">By Cash</option>
                                            <option value="2">By Bank</option>
                                            <option value="3">By Sarafi</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4">
                                        <select type="text" name="cash_id" required id="cash_id"
                                            class="form-control input-custom">
                                            <option value="">Define Cash Target</option>
                                            <option value="1">Target Cash Yes</option>
                                            <option value="2">Target Cash NO</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-outline">
                                            <input type="text" name="received_by" id="received_by"
                                                class="form-control input-custom" />
                                            <label class="form-label" for="typeEmail">Recieved
                                                By</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="float-end ">
                                    <button type="submit" class="btn btn-primary btn-rounded"
                                        style="background-color: #0062CC ;">Checkout</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
    </script>
    @include('sale.customers.bills.script')
@endsection
