@extends('master.app')
@section('title', 'Invoice ')
@section('pageCSS')

@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card card-registration card-registration-2" style="border-radius: 15px;">
                <div class="card-body p-0">
                    <div class="p-5">
                        <h3 class="fw-normal text-dark mb-5" style="">Create Invoice</h3>
                        @include('general.valert')

                        <form action="{{ route('customer_single.bill_store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('post')
                            <div class="row">
                                <input type="hidden" name="customer_id" value="{{ $customer->id }}">
                                <div class="col-md-4 mb-3 pb-1">
                                    <div class="form-group">
                                        <select id="type_id" name="type_id" required class="select2 form-control"
                                            autofocus style="width: 100%;">
                                            <option value="">Choose Type</option>
                                            <option value="1" selected>Finished goods</option>
                                            @if ($btype == 2)
                                                <option value="2">Row Material</option>
                                                <option value="3">Printing</option>
                                                <option value="4">Pressing</option>
                                            @endif
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4 mb-4 pb-2">
                                    <div class="form-outline">
                                        <input type="number" name="invoice_number" required value="{{ $number }}"
                                            id="invoice_number" class="form-control form-control" />
                                        <label class="form-label" for="invoice_number">Invoice Number</label>
                                    </div>
                                </div>
                                <div class="col-md-4 mb-4 pb-2">
                                    <div class="form-outline">
                                        <input type="text" name="title" required value="" id="title"
                                            class="form-control form-control" />
                                        <label class="form-label" for="title">Title</label>
                                    </div>
                                </div>


                                <div class="col-md-3 mb-4 pb-2">
                                    <input type="file" class="form-control" name="invoice_file" id="invoice_file"
                                        class="" />

                                </div>
                                <div class="col-md-3 mb-3 pb-1">
                                    <div class="form-group">
                                        <select id="currency_id" required name="currency_id" class="select2 form-control"
                                            autofocus style="width: 100%;">
                                            <option value="">Choose Currency</option>
                                            @foreach ($currencies as $row)
                                                <option value="{{ $row->id }}"
                                                    @if ($row->id == 1) {{ 'selected' }} @endif>
                                                    {{ $row->title_en }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3 mb-4 pb-2" id="ex_rate_text_box" style="display: none;">
                                    <div class="form-outline">
                                        <input type="text" name="ex_rate" value="" id="ex_rate"
                                            class="form-control form-control" />
                                        <label class="form-label" for="ex_rate">Exchange Rate</label>
                                    </div>
                                </div>
                                <div class="col-md-3 mb-4 pb-2">
                                    <div class="form-outline">
                                        @if ($bdate == 1)
                                            <input type="text" required dir="rtl" name="date" value=""
                                                class="form-control sample-date-picker" id="form3Examplev2" />
                                        @else
                                            <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                                class="form-control " id="form3Examplev2" />
                                            <label class="form-label" for="form3Examplev2">Date</label>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-rounded btn-sm btn-primary">Next</button>
                        </form>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection


@section('pageJs')

    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
@endsection
