@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <p>Invoices of {{ $customer->name }}</p>
                        </div>
                        <div class="col-md-9">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('customers.index') }}" class="btn btn-rounded btn-sm btn-primary"
                                    title="Back"><i class="fa fa-undo" aria-hidden="true"></i></a>
                                <a href="{{ route('customer_single.bill_report_show', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm" title="Report Invoice">Report</a>
                                @include('general.filter-button')
                                <a href="{{ route('customer_single.bill_create', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm" title="Create Invoice">Add</a>
                            </div>
                        </div>
                    </div>
                    @include('sale.customers.bills.filter-form')
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table text-center table-striped  dt-responsive"
                                    style="border-collapse: collapse; border-spacing: 0;" id="customer_bill_single_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">Number</th>
                                            <th scope="col">Type</th>
                                            <th scope="col">Title</th>
                                            <th scope="col">Total</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($bills as $row)
                                            <tr class="fw-normal">
                                                <th class="border-0">{{ $row->invoice_number }}</th>
                                                <th class="border-0">
                                                    @if ($row->type_id == 1 || $row->type_id == null)
                                                        {{ 'Finished Goods' }}
                                                    @elseif($row->type_id == 2)
                                                        {{ 'Row Materials' }}
                                                    @elseif($row->type_id == 3)
                                                        {{ 'Printing' }}
                                                    @else
                                                        {{ 'Pressing' }}
                                                    @endif
                                                </th>
                                                <th class="border-0">

                                                    <span class="ms-2">{{ $row->title }}</span>
                                                </th>
                                                <td class="border-0 align-middle">
                                                    {{ $row->grand_total . ' ' . $row->currency->title_en }}</td>

                                                <td class="border-0 align-middle">{{ $row->invoice_date }}</td>
                                                <td class="border-0 align-middle">
                                                    <a href="{{ route('customer_single.bill_show', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Show"><i
                                                            class="fas fa-eye "></i></a>
                                                    <a href="{{ route('customer_single.bill_edit', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Edit"><i
                                                            class="fas fa-pencil "></i></a>
                                                    <a href="{{ route('customer_single.bill_print', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="Print"><i
                                                            class="fas fa-print "></i></a>
                                                    <a href="{{ route('customer_single.bill_delete', $row->id) }}"
                                                        data-mdb-toggle="tooltip" title="delete"
                                                        onclick="return confirm('Are you sure you want to delete this Invoice It Will be Impact on (Stock, Invoices, Recieved)?');"><i
                                                            class="fas fa-trash "></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                {{-- <div class="card">
                                    <div class="card-body">
                                        {{ $bills->links('pagination::bootstrap-4') }}
                                    </div>
                                </div> --}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('sale.customers.bills.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else if (type == 3) {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            } 
        });
    </script>
@endsection
