@extends('master.app')
@section('title', 'customer')
@section('pageCSS')
   
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 mb-4">
                                <div class="card mb-3">
                                    <div class="card-header py-3">
                                        <h5 class="mb-0">Summary</h5>
                                      
                                        <button data-mdb-toggle="modal" data-mdb-target="#bill_modal"
                                            data-mdb-whatever="@mdo" style="float: right"
                                            class="btn btn-sm btn-primary btn-rounded"><i class="fa fa-paperclip"></i>
                                            Invoice Attachment</button>
                                        <a href="{{ route('customer_bill.print', $bill->id) }}"
                                            class="btn btn-sm btn-primary btn-rounded" style="float: right;">Print
                                            Invoice</a>
                                        <a href="{{ route('invoice.print',$bill->id) }}"  class="btn btn-sm btn-primary btn-rounded"
                                            style="float: right;">Print Here</a>


                                    </div>
                                    <div class="card-body" id="report">
                                        <div class="row mt-2 text-center" id="letter_head" style="display: none;">
                                            <h4>{{ $bname }}</h4>
                                            <img src="{{ asset('storage/'.$blogo) }}" class="letter_head" alt="" style="margin-top: 30px!important;">
                                        </div>
                                        <div class="row">
                                            <ul class="list-group list-group-flush">
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                    Customer Name
                                                    <span>{{ $bill->customer->name }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                    Customer Phone
                                                    <span>{{ $bill->customer->phone }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                    Customer Address
                                                    <span>{{ $bill->customer->address }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                    Invoice Number
                                                    <span>{{ $bill->invoice_number }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                    Recived By
                                                    <span>{{ $bill->received_by }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                    Date
                                                    <span>{{ $bill->invoice_date }}</span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                    Payment Type
                                                    <span>
                                                        @if ($bill->transaction_id == 1)
                                                            {{ 'By Bank' }}
                                                        @elseif($bill->transaction_id == 2)
                                                            {{ 'By Cash' }}
                                                        @else
                                                            {{ 'Sharafi' }}
                                                        @endif
                                                    </span>
                                                </li>

                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                    <div>
                                                        <strong>Garand Total</strong>

                                                    </div>
                                                    <span><strong>{{ $bill->currency->title_en . ' ' . $bill->grand_total }}</strong></span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                    <div>
                                                        <strong>Discount</strong>

                                                    </div>
                                                    <span><strong>{{ $bill->currency->title_en . ' ' . $bill->discount }}</strong></span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                    <div>
                                                        <strong>Total</strong>

                                                    </div>
                                                    <span><strong>{{ $bill->currency->title_en . ' ' . $bill->final_amount }}</strong></span>
                                                </li>
                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                    <div>
                                                        <strong>Recieved</strong>
                                                    </div>
                                                    <span><strong>{{ $bill->currency->title_en . ' ' . $bill->received }}</strong></span>
                                                </li>

                                                <li
                                                    class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                    <div>
                                                        <strong>Balance</strong>

                                                    </div>
                                                    <span><strong>{{ $bill->currency->title_en }}{{ $bill->final_amount - $bill->received }}</strong></span>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="row mt-3">
                                            <strong class="text-center">Items</strong>
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th scope="col">#</th>
                                                        <th scope="col">Cat</th>
                                                        @if ($bill->type_id == 1)
                                                            <th scope="col">Sub/Cat</th>
                                                            <th scope="col">Weight</th>
                                                        @endif
                                                        <th scope="col">Unit</th>
                                                        <th scope="col">QTY</th>
                                                        <th scope="col">Price</th>
                                                        <th scope="col">Total</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($bill_items as $row)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $row->category->title_en }}
                                                            </td>
                                                            @if ($bill->type_id == 1)
                                                                <td>{{ $row->sub_category->title_en }}
                                                                </td>
                                                                <td>{{ $row->weight->title_en }}
                                                            @endif
                                                            <td>{{ $row->unit->title_en }}
                                                            </td>
                                                            <td>{{ $row->qty }}</td>
                                                            @if ($bill->type_id == 1)
                                                                <td>{{ $row->sale_price }}</td>
                                                            @else
                                                                <td>{{ $row->spi }}</td>
                                                            @endif

                                                            <td>{{ $row->total }}</td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
        </section>
    </main>
    @include('sale.bills.bill-modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_bill").addClass("active");
    </script>
@endsection
