@extends('master.app')
@section('title', 'customer')
@section('pageCSS')

@endsection
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body ">
                <div class="row">
                    <div class="col-md-4">
                        <h4>Customers</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            @can('customer_reporting')
                            <a href="{{ route('customer.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm" title="Print Customer Report">Report</a>
                                @endcan
                                @include('general.filter-button')
                            <a href="{{ route('customers.create') }}" class="btn btn-primary btn-rounded btn-sm" title="Create Customer">Add</a>
                        </div>
                    </div>
                </div>
                @include('sale.customers.filter-form')
                <div class="row mt-3" >
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <table class="table table-striped  dt-responsive" style="border-collapse: collapse; border-spacing: 0;"  id="customer_table" >
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Name</th>
                                        <th scope="col">Phone</th>
                                        <th scope="col">Address</th>
                                        <th scope="col">Type</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($customers as $row)
                                        <tr class="fw-normal">
                                            <th class="border-0">{{ $loop->iteration }}</th>
                                            <th class="border-0">

                                                <span class="ms-2">{{ $row->name }}</span>
                                            </th>
                                            <td class="border-0 align-middle">{{ $row->phone }}</td>
                                            <td class="border-0 align-middle">
                                                {{ $row->address }}
                                                
                                            </td>
                                            <td>
                                                @if ($row->type_id == 1)
                                                    {{ 'C' }}
                                                @else
                                                    {{ 'S' }}
                                                @endif
                                            </td>
                                            <td class="border-0 align-middle">
                                                <a href="{{ route('customers.edit', $row->id) }}" data-mdb-toggle="tooltip"
                                                    class="" title="Edit">
                                                    <i class="fa fa-pencil"></i>
                                                </a>
                                                <a href="{{ route('customers.show', $row->id) }}" data-mdb-toggle="tooltip"
                                                    class="" title="View">
                                                    <i class="fa fa-eye"></i>
                                                </a>

                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="card">
                        <div class="card-body">
                            {{ $customers->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
    @include('sale.customers.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        function printReport() {
            var printContents = document.getElementById("report").innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        }
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_name").show();
                $("#by_phone").hide();
                $("#by_address").hide();

            }
            if (type == 2) {
                $("#by_name").hide();
                $("#by_phone").show();
                $("#by_address").hide();

            }
            if (type == 3) {
                $("#by_name").hide();
                $("#by_phone").hide();
                $("#by_address").show();

            }
            
        });
    </script>
@endsection
