@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Advances of</h4>
                            <h5>{{ $customer->name }}</h5>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('customer_advance_single.report_show', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                {{-- <a data-mdb-toggle="modal" data-mdb-target="#filterModal" data-mdb-whatever="@mdo"
                                    class="btn btn-primary btn-rounded btn-sm text-light">Filter</a> --}}
                                <a href="{{ route('customer_advance_single.create', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm text-light">add</a>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table data_table">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Number</th>
                                            <th scope="col">Title</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Advance</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($data as $row)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $row->invoice_number }}</td>
                                                <td>{{ $row->title }}</td>
                                                <td>{{ $row->date }}
                                                </td>
                                                <td>{{ $row->amount . ' ' . $row->currency->title_en }}
                                                </td>
                                                <td>
                                                    <a href="{{ route('customer_advance_single.edit', $row->id) }}">
                                                        <i class="fa fa-pencil text-primary"></i></a>
                                                    <a href="{{ route('customer_advance_single.delete', $row->id) }}"
                                                        onclick="return confirm('Are you sure you want to delete this item')">
                                                        <i class="fa fa-trash text-danger"></i></a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="card">
                            <div class="card-body">
                                {{ $data->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('sale.customers.advances.filter-modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_number").show();
                $("#by_payment").hide();
                $("#by_title").hide();

            } else if (type == 2) {
                $("#by_number").hide();
                $("#by_payment").hide();
                $("#by_title").show();

            } else {
                $("#by_number").hide();
                $("#by_payment").show();
                $("#by_title").hide();
            }
        });
    </script>
@endsection
