@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body ">
                        <div class="row ">
                            <div class="col-md-12">
                                <h3>Create</h3>
                            </div>
                            <div class="col-lg-12">
                                <form action="{{ route('scustomer_rbill.store') }}" method="post"
                                    enctype="multipart/form-data">
                                    @csrf
                                    @method('post')
                                    <input type="hidden" name="customer_id" id="customer_id" value="{{ $customer->id }}">
                                    <div class="row">
                                        <div class="col-md-4 mt-4">
                                            <div class="form-outline">
                                                <input type="text" name="invoice_number" value=""
                                                    id="invoice_number" class="form-control  " />
                                                <label class="form-label" for="invoice_number">Invoice
                                                    Number</label>
                                            </div>
                                        </div>
                                        <div class="col-md-4 mt-4">
                                            <div class="form-outline">
                                                <input type="text" name="title" required value="" id="title"
                                                    class="form-control " />
                                                <label class="form-label" for="title">Title</label>
                                            </div>
                                        </div>
                                        <div class="col-md-4 mt-4">
                                            <div class="form-outline">
                                                <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                                    id="form3Examplev2" class="form-control " />
                                                <label class="form-label" for="form3Examplev2">Date</label>
                                            </div>
                                        </div>
                                        <div class="col-md-3 mt-4">
                                            <input type="file" name="bill_files" id="form3Examplev3" class="" />

                                        </div>
                                        <div class="col-md-4 mt-4 ">
                                            <div class="form-group">
                                                <select id="currency_id" required name="currency_id"
                                                    class="select2 form-control" autofocus style="width: 100%;">
                                                    <option value="">Choose Currency</option>
                                                    @foreach ($currencies as $row)
                                                        <option value="{{ $row->id }}"
                                                            @if ($row->id == 1) {{ 'selected' }} @endif>
                                                            {{ $row->title_en }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4 mt-4" id="ex_rate_text_box" style="display: none;">
                                            <div class="form-outline">
                                                <input type="text" name="ex_rate" value="1" id="ex_rate"
                                                    class="form-control form-control" />
                                                <label class="form-label" for="ex_rate">Exchange Rate</label>
                                            </div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-rounded btn-sm btn-primary mt-2">Next</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
      $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");

        $("#currency_id").change(function() {
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
@endsection
