@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom  "
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        Customer Return Report
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <input type="hidden" value="{{ $customer->id }}" id="customer_id">
                                            <div class="col-md-4 mb-4">
                                                <div class="form-outline datepicker">
                                                    <input type="date" class="form-control" id="fromDate"
                                                        value="{{ date('Y-m-d') }}" id="fromDate" name="fromDate" />
                                                    <label for="exampleDatepicker1" class="form-label">From</label>
                                                </div>
                                            </div>
                                            <div class="col-md-4 mb-4">
                                                <div class="form-outline datepicker">
                                                    <input type="date" class="form-control" id="toDate"
                                                        value="{{ date('Y-m-d') }}" id="toDate" name="toDate" />
                                                    <label for="exampleDatepicker1" class="form-label">To</label>
                                                </div>
                                            </div>

                                            <div class="col-md-4 mb-4">
                                                <select id="currency_id"
                                                    class="form-control select2 @error('currency_id') is-invalid @enderror"
                                                    name="currency_id">
                                                    <option value="">Choose Currency</option>
                                                    <option value="all">All</option>
                                                    @foreach ($currencies as $row)
                                                        <option value="{{ $row->id }}">
                                                            {{ $row->title_en }}</option>
                                                    @endforeach
                                                </select>
                                                @error('currency_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-12 mt-4">
                                                <button class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-find">Find</button>
                                                <button class="btn btn-primary btn-rounded btn-sm" id="btn-print"
                                                    onclick="PrintTable('#print_div');">Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4 print_div" id="print_div">

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
    </script>
    <script>
        $("#btn-find").click(function() {
            var currency_id = $('currency_id').val();
            if (currency_id == "") {
                alert("Please Select Currency");
                return false;
            }

            $.ajax({
                url: '{{ route('scustomer_rbill.report_find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                    'currency_id': $("#currency_id").val(),
                    'customer_id': $("#customer_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });

        function PrintTable() {
            var printWindow = window.open('', '', 'height=1000,width=1000');
            var table_style = document.getElementById("table_style").innerHTML;
            printWindow.document.write('<style type = "text/css">');
            printWindow.document.write(table_style);
            printWindow.document.write('</style>');
            var divContents = document.getElementById("print_div").innerHTML;
            printWindow.document.write(divContents);
            // printWindow.document.close();
            setTimeout(() => {
                printWindow.print();
                printWindow.close();

            }, 1000);
        }
    </script>

@endsection
