@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 mb-4">
                                <div class="card mb-3">
                                    <div class="card-header py-3">
                                        <h5 class="mb-0">Summary</h5>
                                       
                                        <button data-mdb-toggle="modal" data-mdb-target="#bill_modal"
                                            data-mdb-whatever="@mdo" style="float: right"
                                            class="btn btn-sm btn-primary btn-rounded"><i class="fa fa-book"></i></button>

                                    </div>
                                    <div class="card-body">
                                        <ul class="list-group list-group-flush">
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Customer Name
                                                <span>{{ $bill->customer->name }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Customer Phone
                                                <span>{{ $bill->customer->phone }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Customer Address
                                                <span>{{ $bill->customer->address }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Invoice Number
                                                <span>{{ $bill->invoice_number }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Return By
                                                <span>{{ $bill->return_by }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Payment Type
                                                <span>
                                                    @if ($bill->transaction_id == 1)
                                                        {{ 'By Bank' }}
                                                    @elseif($bill->transaction_id == 2)
                                                        {{ 'By Cash' }}
                                                    @else
                                                        {{ 'Sharafi' }}
                                                    @endif
                                                </span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Total Items
                                                <span>{{ $bill_items->sum('quantity') }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Garand Total</strong>

                                                </div>
                                                <span><strong>{{ $bill->amount }}</strong></span>
                                            </li>
                                           
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4">
                                    <h4> Items</h4>
                                    <table class="table  mb-0 data_table">
                                        <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Cat</th>
                                                <th scope="col">Sub/Cat</th>
                                                <th scope="col">Weight</th>
                                                <th scope="col">Unit</th>
                                                <th scope="col">QTY</th>
                                                <th scope="col">Price</th>
                                                <th scope="col">Total</th>
                                                <th scope="col">Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($bill_items as $row)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $row->category->title_en }}
                                                    </td>
                                                    <td>{{ $row->sub_category->title_en }}
                                                    </td>
                                                    <td>{{ $row->weight->title_en }}
                                                    <td>{{ $row->unit->title_en }}
                                                    </td>
                                                    <td>{{ $row->quantity }}</td>
                                                    <td>{{ $row->price }}</td>
                                                    <td>{{ $row->total }}</td>
                                                    <td>
                                                        <a href="{{ route('customer_bill.item_delete', $row->id) }}"
                                                            onclick="return confirm('Are you sure you want to delete this item?');">
                                                            <i class="fa fa-trash text-danger"></i></a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
    @include('sale.customers.bills.bill-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
    </script>
@endsection
