@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">

                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <h4>Recieveds of </h4>
                            <h5>{{ $customer->name }}</h5>
                        </div>
                        <div class="col-md-8">
                            <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                                <a href="{{ route('customers.index') }}" class="btn btn-rounded btn-sm btn-primary"><i
                                        class="fa fa-undo" aria-hidden="true"></i></a>
                                <a href="{{ route('customer_single_received.report_show', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Report</a>
                                @include('general.filter-button')
                                <a href="{{ route('customer_single_received.create', $customer->id) }}"
                                    class="btn btn-primary btn-rounded btn-sm">Add</a>
                            </div>

                        </div>
                    </div>
                    @include('sale.customers.receiveds.filter-form')
                    <div class="row my-3">
                        <div class="col-md-12">
                            <table class="table table-striped  dt-responsive"
                                style="border-collapse: collapse; border-spacing: 0;" id="customer_recievd">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Number</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Amount</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($data as $row)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $row->recieved_number }}</td>
                                            <td>{{ $row->title }}</td>
                                            <td>{{ $row->amount }} </td>
                                            <td>{{ $row->date }}</td>
                                            <td>

                                                <a href="{{ route('customer_single_received.edit', $row->id) }}">
                                                    <i class="fa fa-pencil text-primary"></i></a>
                                                <a href="{{ route('customer_single_received.delete', $row->id) }}"
                                                    onclick="return confirm('Are you sure you want to delete this item')">
                                                    <i class="fa fa-trash text-danger"></i></a>
                                                <a href="{{ route('customer_single_received.show', $row->id) }}">
                                                    <i class="fa fa-eye text-primary"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="card">
                            <div class="card-body">
                                {{ $data->links('pagination::bootstrap-4') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    @include('sale.customers.receiveds.filter-modal')
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
