@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom"
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        Report
                                    </div>
                                    <div class="card-body">

                                        <div class="row">
                                            <div class="col-md-3 mb-4">
                                                <select id="type_id" type="text"
                                                    class="form-control select2 @error('type_id') is-invalid @enderror"
                                                    name="type_id" required>
                                                    <option value="">Choose Types</option>
                                                    <option value="1">Invoices Report</option>
                                                    <option value="2">Recieveds Report</option>
                                                    <option value="3">Advances Report</option>
                                                    <option value="6">Retrun Report</option>
                                                    <option value="7">Customer List</option>
                                                    {{-- <option value="4">Balacne Report</option> --}}
                                                    <option value="5">Full Report</option>
                                                    
                                                </select>
                                                @error('type_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-3 mb-4" id="cus_box">
                                                <select id="customer_id" type="text"
                                                    class="form-control select2 @error('customer_id') is-invalid @enderror"
                                                    name="customer_id" required>
                                                    <option value="">Choose Customers</option>
                                                    <option value="all">All</option>
                                                    @foreach ($customers as $row)
                                                        <option value="{{ $row->id }}">
                                                            {{ $row->name }}</option>
                                                    @endforeach
                                                </select>
                                                @error('customer_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-3 mb-4" id="">
                                                @if ($bdate == 1)
                                                    <input type="text" required dir="rtl" name="fromDate"
                                                        value="" class="form-control sample-date-picker"
                                                        id="fromDate" />
                                                    <label class="form-label" for="fromDate">From Date</label>
                                                @else
                                                    <div class="form-outline datepicker">
                                                        <input type="date" required name="fromDate"
                                                            value="{{ date('Y-m-d') }}" class="form-control "
                                                            id="fromDate" />
                                                        <label class="form-label" for="fromDate">From Date</label>
                                                    </div>
                                                @endif

                                            </div>
                                            <div class="col-md-3 mb-4">
                                                @if ($bdate == 1)
                                                    <input type="text" required dir="rtl" name="toDate"
                                                        value="" class="form-control sample-date-picker"
                                                        id="toDate" />
                                                    <label class="form-label" for="toDate">To Date</label>
                                                @else
                                                    <div class="form-outline datepicker">
                                                        <input type="date" required name="toDate"
                                                            value="{{ date('Y-m-d') }}" class="form-control "
                                                            id="toDate" />
                                                        <label class="form-label" for="toDate">To Date</label>
                                                    </div>
                                                @endif

                                            </div>


                                            <div class="col-md-12 mb-4">
                                                <button class="btn btn-primary btn-rounded btn-sm" id="btn-find"
                                                    style="float: left;">Find</button>
                                                <button style="float: left;" class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-print" onclick="PrintTable();">Print</button>
                                            </div>
                                        </div>
                                        <div class="row mt-3">
                                            <div class="col-md-12">
                                                <div class="card-body p-4 print_div" id="print_div">

                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_reporting").addClass("active");
    </script>
    <script>
        $("#type_id").change(function(){
            var type_id=$(this).val();
            if(type_id==7){
                $("#from_box").hide();
                $("#to_box").hide();
                $("#cus_box").hide();
            }else{
                $("#from_box").show();
                $("#to_box").show();
                $("#cus_box").show(); 
            }
        });
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('customer.report_find') }}',
                type: 'GET',
                data: {
                    'fromDate': $("#fromDate").val(),
                    'toDate': $("#toDate").val(),
                    'type_id': $("#type_id").val(),
                    'customer_id': $("#customer_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
