@extends('master.app')
@section('title', 'customer')
@section('pageCSS')
   
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">

                            <div class="col-md-12">
                                <div class="row pt-1">
                                    <h4>Quick Action</h4>
                                    <div class="col-12 mb-3">
                                        <div class="btn-group shadow-0" role="group" aria-label="Basic example">
                                            <a href="{{ route('customer_single.bill_index', $customer->id) }}">
                                                <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                    data-mdb-color="dark">
                                                    Invoices</button>
                                            </a>
                                            <a href="{{ route('customer_single_received.index', $customer->id) }}">
                                                <button type="button" class="btn btn-sm btn-rounded btn-primary"
                                                    data-mdb-color="dark">Receiveds</button>
                                            </a>

                                            <a href="{{ route('customers.profile_print',$customer->id) }}" >
                                                <button type="button" class="btn btn-primary btn-sm btn-rounded">PRINT HERE</button>
                                            </a>

                                        </div>
                                        

                                    </div>
                                </div>

                                <div id="report">
                                    <div class="row mt-2 " id="letter_head" style="display: none;">
                                        <h4>{{ $bname }}</h4>
                                        <img src="{{ asset('storage/'.$blogo) }}" class="letter_head mt-5"
                                            alt="" style="margin-top: 50px!important;">
                                    </div>
                                    <div class="row mt-2 " id="">
                                        <div class="col-md-6 mt-3">
                                            <div class="card">
                                                <div class="card-header">
                                                    Total Sale
                                                </div>
                                                <div class="card-body">
                                                    @foreach ($currencies as $row)
                                                        <h5>{{ $row->title_en . ' ' . $customer_sale->where('currency_id', $row->id)->sum('final_amount') }}
                                                        </h5>
                                                    @endforeach

                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div class="card">
                                                <div class="card-header">
                                                    Total Received
                                                </div>
                                                <div class="card-body">
                                                    @foreach ($currencies as $row)
                                                        <h5>{{ $row->title_en . ' ' . $customer_recieved->where('currency_id', $row->id)->sum('amount') }}
                                                        </h5>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div class="card">
                                                <div class="card-header">
                                                    Total Advance
                                                </div>
                                                <div class="card-body">
                                                    @foreach ($currencies as $row)
                                                        <h5>{{ $row->title_en . ' ' . $customer_advance->where('currency_id', $row->id)->sum('amount') }}
                                                        </h5>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div class="card" id="report">
                                                <div class="card-header">
                                                    Return
                                                </div>
                                                <div class="card-body">
                                                    @foreach ($currencies as $row)
                                                        <h5>{{ $row->title_en . ' ' . $customer_return->where('currency_id', $row->id)->sum('amount') }}
                                                        </h5>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <div class="card">

                                                <div class="card-header">
                                                    Balance
                                                </div>
                                                <div class="card-body">
                                                    @foreach ($currencies as $row)
                                                        @php
                                                            $bills = $customer_sale
                                                                ->where('currency_id', $row->id)
                                                                ->sum('final_amount');
                                                            $ad = $customer_advance
                                                                ->where('currency_id', $row->id)
                                                                ->sum('amount');
                                                            $re = $customer_recieved
                                                                ->where('currency_id', $row->id)
                                                                ->sum('amount');
                                                            $ad_re = $ad + $re;
                                                        @endphp
                                                        <h5> {{ $row->title_en }} {{ $bills - $ad_re }}</h5>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
    </script>
@endsection
