@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <h4>Recieveds</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            <a href="{{ route('customer_recieved.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                            @include('general.filter-button')
                            <a href="{{ route('customer_recieved.create') }}"
                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                        </div>

                    </div>
                </div>
                @include('sale.receiveds.filter-form')
                <div class="row my-3">
                    <div class="col-md-12">
                        <table class="table table-striped  dt-responsive"
                            style="border-collapse: collapse; border-spacing: 0;" id="customer_return">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Title</th>
                                    <th scope="col">Customer</th>
                                    <th scope="col">R-Number</th>
                                    <th scope="col">Date</th>
                                    <th scope="col">Recieved</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($data as $row)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $row->title }}</td>
                                        <td>{{ $row->customer->name }}</td>
                                        <td>{{ $row->recieved_number }}</td>
                                        <td>{{ $row->date }}</td>
                                        <td>{{ $row->amount . ' ' . $row->currency->title_en }} </td>
                                        <td>
                                            <a href="{{ route('customer_recieved.edit', $row->id) }}">
                                                <i class="fa fa-pencil text-primary"></i></a>
                                            <a href="{{ route('customer_recieved.delete', $row->id) }}"
                                                onclick="return confirm('Are you sure you want to delete this item')">
                                                <i class="fa fa-trash text-danger"></i></a>
                                            <a href="{{ route('customer_single_received.show', $row->id) }}">
                                                <i class="fa fa-eye text-primary"></i></a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{ $data->links('pagination::bootstrap-4') }}
                    </div>
                </div>

            </div>
        </div>
    </main>
    @include('sale.receiveds.filter-modal')
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_recieved").addClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
