@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @if($bill->type_id==1)
                @include('sale.retail_bills.next-header-form')
                @include('sale.retail_bills.next-item-table')
                @else
                @include('sale.retail_bills.no_stock.next-header-form')
                @include('sale.retail_bills.no_stock.next-item-table')
                @endif
                <div class="row mt-3">
                    <div class="text-center mb-3 pb-2 mt-3">
                        <h4 style="color: #495057 ;">Invoice Statement</h4>
                    </div>
                    <form class="mb-0" method="get" action="{{ route('customer_retail_bill.next_store') }}">
                        @method('get')
                        <input type="hidden" value="{{ $bill_id }}" name="bill_id">
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill_items->sum('total') }}" id="grand_total"
                                        name="grand_total" class="form-control input-custom" />
                                    <label class="form-label" for="form9Example1">Total</label>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" id="bill_discount" readonly onkeyup="final_calculation()" value="0"
                                        name="bill_discount" class="form-control input-custom" />
                                    <label class="form-label" for="form9Example2">Discount</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" id="received" value="0" onkeyup="final_calculation()"
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        name="received" class="form-control input-custom" />
                                    <label class="form-label" for="recieved">Recieved</label>
                                </div>
                            </div>
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" readonly
                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                        id="balance_value" value="{{ $bill_items->sum('total') }}" name="balance_value"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="form9Example4">Balance</label>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-4">
                            <div class="col-md-6 mt-2">
                                <select type="text" required name="cash_id" id="cash_id"
                                    class="form-control input-custom">
                                    <option value="">Define Cash Target</option>
                                    <option value="1">Target Cash Yes</option>
                                    <option value="2">Target Cash NO</option>
                                </select>
                            </div>
                            <div class="col-md-6 mt-2">
                                <div class="form-outline">
                                    <input type="text" name="received_by" id="received_by"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="typeEmail">Recieved
                                        By</label>
                                </div>
                            </div>
                        </div>
                        <div class="float-end ">
                            <!-- Submit button -->
                            <button type="submit" class="btn btn-primary btn-rounded"
                                style="background-color: #0062CC ;">Checkout</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_retail_bill").addClass("active");

       
    </script>
    @include('sale.retail_bills.script')

@endsection
