@extends('master.app')
@section('title', 'Invoice ')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <h3 class="fw-normal text-dark mb-5" style="">Create Invoice</h3>
                @include('general.valert')

                <form action="{{ route('customer_retail_bill.store') }}" method="post" enctype="multipart/form-data">
                    @csrf
                    @method('post')
                    <div class="row">
                        <div class="col-md-4 mb-3 ">
                            <div class="form-group">
                                <select id="type_id" name="type_id" required class="select2 form-control" autofocus
                                    style="width: 100%;">
                                    <option value="">Choose Type</option>
                                    <option value="1" selected>From Stock</option>
                                    <option value="2">With Out Stock</option>

                                </select>
                            </div>
                        </div>
                        <div class="col-md-4 mt-2 ">
                            <div class="form-outline">
                                <input type="number" name="invoice_number" required value="{{ $number }}" id="invoice_number"
                                    class="form-control form-control" />
                                <label class="form-label" for="invoice_number">Invoice Number</label>
                            </div>
                        </div>
                        <div class="col-md-4 mt-2 ">
                            <div class="form-outline">
                                <input type="text" name="customer_name" required value="" id="customer_name"
                                    class="form-control form-control" />
                                <label class="form-label" for="customer_name">Customer Name</label>
                            </div>
                        </div>
                        <div class="col-md-4 mt-2 ">
                            <div class="form-outline">
                                <input type="number" name="customer_phone" required value="" id="customer_phone"
                                    class="form-control form-control" />
                                <label class="form-label" for="customer_phone">Customer Phone</label>
                            </div>
                        </div>
                        <div class="col-md-4 mt-2 ">
                            <div class="form-outline">
                                <input type="text" name="title" required value="" id="title"
                                    class="form-control form-control" />
                                <label class="form-label" for="title">Title</label>
                            </div>
                        </div>

                        <div class="col-md-4 mt-2 ">
                            @if ($bdate == 1)
                                <input type="text" required dir="rtl" name="date" value=""
                                    class="form-control sample-date-picker" id="date" />
                                <label class="form-label" for="date"> Date</label>
                            @else
                                <div class="form-outline datepicker">
                                    <input type="date" required name="date" value="{{ date('Y-m-d') }}"
                                        class="form-control " id="date" />
                                    <label class="form-label" for="date"> Date</label>
                                </div>
                            @endif
                        </div>

                        <div class="col-md-4 mt-3 ">
                            <div class="form-group ">
                                <select id="currency_id" required name="currency_id" class="select2 form-control" autofocus
                                    style="width: 100%;">
                                    <option value="">Choose Currency</option>
                                    @foreach ($currencies as $row)
                                        <option value="{{ $row->id }}"
                                            @if ($row->id == 1) {{ 'selected' }} @endif>
                                            {{ $row->title_en }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 mt-2 " id="ex_rate_text_box" style="display: none;">
                            <div class="form-outline">
                                <input type="text" name="ex_rate" value="" id="ex_rate"
                                    class="form-control form-control" />
                                <label class="form-label" for="ex_rate">Exchange Rate</label>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-rounded btn-sm btn-primary">Next</button>
                </form>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_retail_bill").addClass("active");
        $("#currency_id").change(function() {
            $.ajax({
                url: '{{ route('get.ex_rate') }}',
                type: 'GET',
                data: {
                    'currency_id': $("#currency_id").val(),
                },
                success: function(value) {
                    $("#ex_rate").val(value);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
@endsection
