@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <h4>Retail Invoices</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            <a href="{{ route('customer_retail_bill.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                            @include('general.filter-button')
                            <a href="{{ route('customer_retail_bill.create') }}"
                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                        </div>

                    </div>
                </div>
                @include('sale.retail_bills.filter-form')
                <div class="row mt-3">
                    <div class="col-md-12">
                        <table class="table table-striped  dt-responsive"
                            style="border-collapse: collapse; border-spacing: 0;" id="customer_retail">
                            <thead>
                                <tr>
                                    <th scope="col">Invoice</th>
                                    <th scope="col">Title</th>
                                    <th scope="col">Cus Name</th>
                                    <th scope="col">Cus Phone</th>
                                    <th scope="col">Total</th>
                                    <th scope="col">Date</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($bills as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $row->invoice_number }}</th>
                                        <th class="border-0">
                                            <span class="ms-2">{{ $row->title }}</span>
                                        </th>
                                        <th class="border-0">
                                            <span class="ms-2">{{ $row->customer_name }}</span>
                                        </th>
                                        <th class="border-0">
                                            <span class="ms-2">{{ $row->customer_phone }}</span>
                                        </th>

                                        <td class="border-0 align-middle">{{ $row->grand_total }}</td>

                                        <td class="border-0 align-middle">{{ $row->invoice_date }}</td>
                                        <td class="border-0 align-middle">
                                            <a href="{{ route('customer_retail_bill.show', $row->id) }}"
                                                data-mdb-toggle="tooltip" title="Show"><i
                                                    class="fas fa-eye fa-lg  me-3"></i></a>
                                            <a href="{{ route('customer_retail_bill.edit', $row->id) }}"
                                                data-mdb-toggle="tooltip" title="Edit"><i
                                                    class="fas fa-pencil fa-lg  me-3"></i></a>
                                            <a href="{{ route('customer_retail_bill.print', $row->id) }}"
                                                data-mdb-toggle="tooltip" title="Print"><i
                                                    class="fas fa-print fa-lg  me-3"></i></a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                {{-- <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            {{ $bills->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div> --}}
            </div>
        </div>
    </section>
</main>
@include('sale.retail_bills.filter-modal')
@endsection


@section('pageJs')
<script type="text/javascript">
    $(".app-menu").removeClass("active");
    $("#nav_salei").addClass("active");
    $("#salei").addClass("is-expanded");
    $("#retail_invoices").addClass("active");
    $("#type_id").change(function() {
        var type = $("#type_id").val();
        if (type == 1) {
            $("#by_invoice_number").show();
            $("#by_title").hide();
            $("#by_customer_name").hide();
            $("#by_customer_phone").hide();
            $("#by_date").hide();

        } else if (type == 2) {
            $("#by_invoice_number").hide();
            $("#by_title").show();
            $("#by_customer_name").hide();
            $("#by_customer_phone").hide();
            $("#by_date").hide();
        } else if (type == 3) {
            $("#by_invoice_number").hide();
            $("#by_title").hide();
            $("#by_customer_name").show();
            $("#by_customer_phone").hide();
            $("#by_date").hide();
        } else if (type == 4) {
            $("#by_invoice_number").hide();
            $("#by_title").hide();
            $("#by_customer_name").hide();
            $("#by_customer_phone").show();
            $("#by_date").hide();
        } else {
            $("#by_invoice_number").hide();
            $("#by_title").hide();
            $("#by_customer_name").hide();
            $("#by_customer_phone").hide();
            $("#by_date").show();
        }
    });
</script>
@endsection
