@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 mb-4">
                                <div class="card mb-3">
                                    <div class="card-header py-3">
                                        <h5 class="mb-0">Summary</h5>
                                        <a href="{{ route('customer_retail_bill.print', $bill->id) }}"
                                            class="btn btn-sm btn-primary btn-rounded" style="float: right;">Print</a>
                                    </div>
                                    <div class="card-body">
                                        <ul class="list-group list-group-flush">
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Customer Name
                                                <span>{{ $bill->customer_name }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                                Customer Phone
                                                <span>{{ $bill->customer_phone }}</span>
                                            </li>

                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Invoice Number
                                                <span>{{ $bill->invoice_number }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Invoice Date
                                                <span>{{ $bill->invoice_date }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Recived By
                                                <span>{{ $bill->received_by }}</span>
                                            </li>

                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center px-0">
                                                Total Items
                                                <span>{{ $bill_items->sum('qty') }}</span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Garand Total</strong>

                                                </div>
                                                <span><strong>{{ $bill->currency->title_en . ' ' . $bill->grand_total }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Discount</strong>

                                                </div>
                                                <span><strong>{{ $bill->currency->title_en . ' ' . $bill->discount }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Total</strong>

                                                </div>
                                                <span><strong>{{ $bill->currency->title_en . ' ' . $bill->final_amount }}</strong></span>
                                            </li>
                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Recieved</strong>
                                                </div>
                                                <span><strong>{{ $bill->currency->title_en . ' ' . $bill->received }}</strong></span>
                                            </li>

                                            <li
                                                class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 ">
                                                <div>
                                                    <strong>Balance</strong>

                                                </div>
                                                <span><strong>{{ $bill->currency->title_en }}
                                                        {{ $bill->final_amount - $bill->received }}</strong></span>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                @if($bill->type_id==1)
                                <div class="card-body p-4">
                                    <strong>Items</strong>
                                    <table class="table  ">
                                        <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Cat</th>
                                                <th scope="col">Sub/Cat</th>
                                                <th scope="col">Weight</th>
                                                <th scope="col">Unit</th>
                                                <th scope="col">QTY</th>
                                                <th scope="col">Price</th>
                                                <th scope="col">Total</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($bill_items as $row)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $row->category->title_en }}
                                                    </td>
                                                    <td>{{ $row->sub_category->title_en }}
                                                    </td>
                                                    <td>{{ $row->weight->title_en }}
                                                    <td>{{ $row->unit->title_en }}
                                                    </td>
                                                    <td>{{ $row->qty }}</td>
                                                    <td>{{ $row->sale_price }}</td>
                                                    <td>{{ $row->total }}</td>

                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                                @else
                                <div class="card-body p-4">
                                    <strong>Items</strong>
                                    <table class="table  ">
                                        <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Item</th>
                                                <th scope="col">Price</th>
                                                <th scope="col">Qty</th>
                                                <th scope="col">Total</th>
                                               
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($bill_items as $row)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $row->name }}
                                                    </td>
                                                    <td>{{ $row->price }}
                                                    </td>
                                                    <td>{{ $row->qty }}
                                                    <td>{{ $row->total }}
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                                @endif
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>

@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_retail_bill").addClass("active");
    </script>
@endsection
