@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @include('sale.return_bills.next-header-form')
                <div class="row mt-3">
                    @include('sale.return_bills.next-item-table')
                </div>
                <div class="row mt-3">
                    <div class="text-center mb-3 pb-2 mt-3">
                        <h4 style="color: #495057 ;"> Invoice Details
                        </h4>
                    </div>
                    <form class="mb-0" method="post" action="{{ route('customer_return_bill.next_store') }}">
                        @csrf
                        @method('post')
                        <input type="hidden" value="{{ $bill->id }}" name="bill_id">
                        <div class="row mb-4">
                            <div class="col">
                                <div class="form-outline">
                                    <input type="text" value="{{ $bill_items->sum('total') }}" id="grand_total"
                                        name="grand_total" class="form-control input-custom" />
                                    <label class="form-label" for="form9Example1">Total</label>
                                </div>
                            </div>
                        </div>

                        <div class="row mb-4">
                            <div class="col-md-4">
                                <select name="transaction_id" required id="transaction_id" class="form-control input-custom">
                                    <option value="">Define Transaction Type</option>
                                    <option value="1">Into Recieved</option>
                                    <option value="2">Cash</option>
                                    <option value="3">Bank</option>
                                    <option value="4">Sharafi</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <select type="text" required name="cash_id" id="cash_id"
                                    class="form-control input-custom">
                                    <option value="">Define Cash Target</option>
                                    <option value="1">Target Cash Yes</option>
                                    <option value="2">Target Cash NO</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <div class="form-outline">
                                    <input type="text" name="return_by" id="return_by"
                                        class="form-control input-custom" />
                                    <label class="form-label" for="return_by">Return By</label>
                                </div>
                            </div>
                        </div>

                        <div class="float-end ">
                            <!-- Submit button -->
                            <button type="submit" class="btn btn-primary btn-rounded"
                                style="background-color: #0062CC ;">Checkout</button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
    </script>
    @include('sale.return_bills.script')

@endsection
