@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                @include('sale.return_bills.next-header-form')
                <div class="row mt-3">
                    @include('sale.return_bills.next-item-table')
                </div>
                <div class="row mt-3">
                    <div class="text-center mb-3 pb-2 mt-3">
                        <h4 style="color: #495057 ;"> Invoice Details
                        </h4>
                        @include('general.valert')

                    </div>
                    <form class="mb-0" method="post" action="{{ route('customer_return_bill.update', $bill->id) }}">
                        @csrf
                        @method('post')
                        <input type="hidden" value="{{ $bill->id }}" name="bill_id">

                        <div class="row">
                            ' <div class="col-md-4 mt-4">
                                <div class="form-group">
                                    <select id="customer_id" name="customer_id" required class="select2 form-control"
                                        autofocus style="width: 100%;">
                                        <option value="">Choose Customers</option>
                                        @foreach ($customers as $customer)
                                            <option value="{{ $customer->id }}"
                                                @if ($customer->id == $bill->customer_id) {{ 'selected' }} @endif>
                                                {{ $customer->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 mt-4">
                                <div class="form-outline">
                                    <input type="number" name="invoice_number" value="{{ $bill->invoice_number }}"
                                        id="invoice_number" class="form-control  " />
                                    <label class="form-label" for="invoice_number">Invoice
                                        Number</label>
                                </div>
                            </div>
                            <div class="col-md-4 mt-4">
                                <div class="form-outline">
                                    <input type="text" name="title" required value="{{ $bill->title }}" id="title"
                                        class="form-control " />
                                    <label class="form-label" for="title">Title</label>
                                </div>
                            </div>
                            <div class="col-md-4 mt-4">
                                @if ($bdate == 1)
                                    <input type="text" required dir="rtl" name="date"
                                        value="{{ $bill->invoice_date }}" class="form-control sample-date-picker"
                                        id="date" />
                                    <label class="form-label" for="date"> Date</label>
                                @else
                                    <div class="form-outline datepicker">
                                        <input type="date" required name="date" value="{{ $bill->invoice_date }}"
                                            class="form-control " id="date" />
                                        <label class="form-label" for="date"> Date</label>
                                    </div>
                                @endif
                            </div>
                            <div class="col-md-3 mt-4">
                                <input type="file" name="bill_files" id="form3Examplev3" class="form-control" />

                            </div>
                            <div class="col-md-4 mt-4 ">
                                <div class="form-group">
                                    <select id="currency_id" required name="currency_id" class="select2 form-control"
                                        autofocus style="width: 100%;">
                                        <option value="">Choose Currency
                                        </option>
                                        @foreach ($currencies as $row)
                                            <option value="{{ $row->id }}"
                                                @if ($row->id == $bill->currency_id) {{ 'selected' }} @endif>
                                                {{ $row->title_en }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4 mt-4" id="ex_rate_text_box" style="display: none;">
                                <div class="form-outline">
                                    <input type="text" name="ex_rate" value="{{ $bill->ex_rate }}" id="ex_rate"
                                        class="form-control form-control" />
                                    <label class="form-label" for="ex_rate">Exchange Rate</label>
                                </div>
                            </div>
                            <div class="row mb-4">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" value="{{ $bill_items->sum('total') }}" id="grand_total"
                                            name="grand_total" class="form-control input-custom" />
                                        <label class="form-label" for="form9Example1">Total</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row mb-4">
                                <div class="col-md-4">
                                    <select name="transaction_id" required id="transaction_id"
                                        class="form-control input-custom">
                                        <option value="">Define Transaction Type</option>
                                        <option value="1"
                                            @if ($bill->transaction_id == 1) {{ 'selected' }} @endif>Into Recieved
                                        </option>
                                        <option value="2"
                                            @if ($bill->transaction_id == 2) {{ 'selected' }} @endif>Cash</option>
                                        <option value="3"
                                            @if ($bill->transaction_id == 3) {{ 'selected' }} @endif>Bank</option>
                                        <option value="4"
                                            @if ($bill->transaction_id == 4) {{ 'selected' }} @endif>Sarafi</option>
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <select type="text" required name="cash_id" id="cash_id"
                                        class="form-control input-custom">
                                        <option value="">Define Cash Target</option>
                                        <option value="1"
                                            @if ($bill->c_target == 1) {{ 'selected' }} @endif>Target Cash Yes
                                        </option>
                                        <option value="2"
                                            @if ($bill->c_target == 2 || $bill->c_target == null) {{ 'selected' }} @endif>Target Cash NO
                                        </option>
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-outline">
                                        <input type="text" name="return_by" value="{{ $bill->return_by }}"
                                            id="return_by" class="form-control input-custom" />
                                        <label class="form-label" for="return_by">Return By</label>
                                    </div>
                                </div>
                            </div>
                            <div class="float-end ">
                                <!-- Submit button -->
                                <button type="submit" class="btn btn-primary btn-rounded"
                                    style="background-color: #0062CC ;">Checkout</button>
                            </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_salei").addClass("active");
        $("#salei").addClass("is-expanded");
        $("#customer_add").addClass("active");
        @if ($bill->currency_id != 1)
            $("#ex_rate_text_box").show();
        @else
            $("#ex_rate_text_box").hide();
        @endif
        $("#currency_id").change(function() {
            if ($(this).val() != 1) {
                $("#ex_rate_text_box").show();
            } else {
                $("#ex_rate_text_box").hide();

            }
        });
    </script>
    @include('sale.return_bills.script')

@endsection
