@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <h4>Returns Invoices </h4>
                    </div>
                    <div class="col-md-8">
                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            <a href="{{ route('customer_return_bill.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                                 @include('general.filter-button')
                            <a href="{{ route('customer_return_bill.create') }}"
                                class="btn btn-primary btn-rounded btn-sm">Add</a>
                        </div>
                    </div>
                </div>
                @include('sale.return_bills.filter-form')
                <div class="row mt-3">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <table class="table table-striped  dt-responsive"
                                style="border-collapse: collapse; border-spacing: 0;" id="customer_return">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Number</th>
                                        <th scope="col">Customer</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Amount</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($bills as $row)
                                        <tr class="fw-normal">
                                            <th class="border-0">{{ $loop->iteration }}</th>
                                            <th class="border-0">{{ $row->invoice_number }}</th>
                                            <th class="border-0">{{ $row->customer->name }}</th>
                                            <th class="border-0">
                                                <span class="ms-2">{{ $row->title }}</span>
                                            </th>
                                            <td class="border-0 align-middle">{{ $row->amount }}</td>
                                            <td class="border-0 align-middle">{{ $row->invoice_date }}</td>
                                            <td class="border-0 align-middle">
                                                <a href="{{ route('customer_return_bill.show', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Bill Details"><i
                                                        class="fas fa-eye fa-lg text-success me-3"></i></a>
                                                <a href="{{ route('customer_return_bill.edit', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Edit"><i
                                                        class="fas fa-pencil fa-lg text-success me-3"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            {{ $bills->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_invoice_number").show();
                $("#by_title").hide();
                $("#by_date").hide();
            } else if (type == 2) {
                $("#by_invoice_number").hide();
                $("#by_title").show();
                $("#by_date").hide();
            } else {
                $("#by_invoice_number").hide();
                $("#by_title").hide();
                $("#by_date").show();
            }
        });
    </script>
@endsection
