@extends('master.app')
@section('title', 'Report')
@section('pageCSS')
    <style id="table_style">
        table {
            width: 100%;
            border-collapse: collapse;
            margin: auto;
            border: 0.5px solid black;
        }

        td,
        th {
            border: 0.5px solid black;
            text-align: center;
        }

        td {
            font-size: 12px;
            padding: 0px;

            height: 20px;
            text-align: center;
        }

        .report-logo {
            margin-left: 480px;
            height: 100px;
            width: 100px;
            padding-top: 0px;
            margin-bottom: 0px;
        }

        h6 {
            padding: 0px;
            margin: 0px;
        }

        p {
            padding: 0px;
            margin: 0px;
        }
    </style>
@endsection
@section('body')
    <main class="app-content">
        <section class="">
            <div class="">
                <div class="card">
                    <div class="card-body">
                        <div class="row g-0">
                            <div class="col-md-12 gradient-custom text-center "
                                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem;">
                                <div class="card">
                                    <div class="card-header text-dark">
                                        <h4>By Defferent Attribute Find Your Stock</h4>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">

                                            <div class="col-md-6">
                                                <select id="type_id" type="text"
                                                    class="form-control @error('type_id') is-invalid @enderror" required
                                                    name="type_id">
                                                    <option value="">Choose Report Type</option>
                                                    <option value="1">By Category</option>
                                                    <option value="2">By Units</option>
                                                    <option value="3">By Wieght</option>
                                                    <option value="4">By Location</option>
                                                    <option value="5">All Stock</option>
                                                </select>
                                                @error('type_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-6 " id="category" style="display: none;">
                                                <select id="category_id" type="text"
                                                    class="form-control @error('category_id') is-invalid @enderror" required
                                                    name="category_id">
                                                    <option value="">Choose Category</option>
                                                    <option value="all">All</option>
                                                    @foreach ($categories as $row)
                                                        <option value="{{ $row->id }}">{{ $row->title_ps }}</option>
                                                    @endforeach
                                                </select>
                                                @error('category_id ')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-6 " id="units" style="display: none;">
                                                <select id="unit_id" type="text"
                                                    class="form-control @error('unit_id') is-invalid @enderror" required
                                                    name="unit_id">
                                                    <option value="">Choose Units</option>
                                                    <option value="all">All</option>
                                                    @foreach ($units as $row)
                                                        <option value="{{ $row->id }}">{{ $row->title_ps }}</option>
                                                    @endforeach
                                                </select>
                                                @error('unit_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-6 " id="wieght" style="display: none;">

                                                <select id="weight_id" type="text"
                                                    class="form-control @error('wieght') is-invalid @enderror" required
                                                    name="weight_id">
                                                    <option value="">Choose Wieghts</option>
                                                    <option value="all">All</option>
                                                    @foreach ($weights as $row)
                                                        <option value="{{ $row->id }}">{{ $row->title_ps }}</option>
                                                    @endforeach
                                                </select>
                                                @error('weight_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-md-6 " id="location" style="display: none;">

                                                <select id="location_id" type="text"
                                                    class="form-control @error('location_id') is-invalid @enderror" required
                                                    name="location_id">
                                                    <option value="">Choose Location</option>
                                                    <option value="all">All</option>
                                                    @foreach ($location as $row)
                                                        <option value="{{ $row->id }}">{{ $row->title_ps }}</option>
                                                    @endforeach
                                                </select>
                                                @error('weight_id')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>

                                            <div class="col-md-12 mt-3">
                                                <button style="float: left" class="btn btn-primary btn-rounded btn-sm"
                                                    id="btn-find">Find</button>
                                                <button style="float: left" class="btn-primary btn-rounded btn-sm"
                                                    id="btn-print" onclick="PrintTable();">Print</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-body p-4 print_div" id="print_div">

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
        </section>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_stocki").addClass("active");
        $("#stocki").addClass("is-expanded");
        $("#main_stock").addClass("active");
        $(document).ready(function() {
            $("#type_id").change(function() {
                var type = $("#type_id").val();
                if (type == "") {
                    alert("Choose Report Option");
                } else if (type == 1) {
                    $("#category").show();
                    $("#units").hide();
                    $("#wieght").hide();
                    $("location").hide();

                } else if (type == 2) {
                    $("#category").hide();
                    $("#units").show();
                    $("#wieght").hide();
                    $("location").hide();

                } else if(type==3) {
                    $("#category").hide();
                    $("#units").hide();
                    $("#wieght").show();
                    $("location").hide();

                }else if(type==4){
                    $("#category").hide();
                    $("#units").hide();
                    $("#wieght").hide();
                    $("#location").show();
                }else{
                    $("#category").hide();
                    $("#units").hide();
                    $("#wieght").hide();
                    $("#location").hide();

                }
            });
        });
    </script>
    <script>
        $("#btn-find").click(function() {
            $.ajax({
                url: '{{ route('stock.report_find') }}',
                type: 'GET',
                data: {
                    'category_id': $("#category_id").val(),
                    'unit_id': $("#unit_id").val(),
                    'weight_id': $("#weight_id").val(),
                    'type_id': $("#type_id").val(),
                    'location_id': $("#location_id").val(),
                },
                success: function(data) {
                    $(".print_div").html(data);
                },
                error: function() {
                    swal("Warrning", "Error occured!", "error");
                },
            });
        });
    </script>
@endsection
