@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-8">
                        <h4>Row Materials Process</h4>
                    </div>
                    <div class="col-md-4">

                        <div class="btn-group" role="group" aria-label="Basic example" style="float: right">
                            <a href="{{ route('rstockprocess.report_show') }}"
                                class="btn btn-primary btn-rounded btn-sm">Report</a>
                            {{-- @include('general.filter-button') --}}
                            <a href="{{ route('rstockprocess.create') }}"
                                class="btn btn-primary btn-rounded btn-sm text-light">Add</a>
                        </div>
                    </div>
                </div>
                {{-- @include('stock.rowStock.filter-form') --}}
                <div class="row mt-3">
                    <div class="col-md-12">
                        <table class="table table-striped  dt-responsive text-center"
                            style="border-collapse: collapse; border-spacing: 0;">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Cat</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Before Used</th>
                                    <th scope="col">Used Qty</th>
                                    <th scope="col">Current Availible</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($stock as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $loop->iteration }}</th>
                                        <td class="border-0 align-middle">{{ $row->category->title_ps }}
                                        </td>
                                        <td class="border-0 align-middle">
                                            {{ $row->unit->title_ps }}</td>
                                        <td class="border-0 align-middle">{{ $row->befor_used_qty }}</td>
                                        <td class="border-0 align-middle">{{ $row->qty }}</td>
                                        <td class="border-0 align-middle">{{ $row->befor_used_qty-$row->qty }}</td>

                                        <td class="border-0 align-middle">

                                            <a href="{{ route('rstockprocess.edit', $row->id) }}" data-mdb-toggle="tooltip"
                                                title="Edit"><i class="fas fa-pencil fa-lg text-success me-3"></i></a>


                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>

                        </table>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            {{ $stock->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection
@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_stocki").addClass("active");
        $("#stocki").addClass("is-expanded");
        $("#stock_history").addClass("active");

        $("#type_id").change(function() {
            var type = $("#type_id").val();
            if (type == 1) {
                $("#by_category").show();
                $("#by_unit").hide();
                $("#by_qty").hide();
                $("#by_spi").hide();
                $("#by_cpi").hide();
            }
            if (type == 2) {
                $("#by_category").hide();
                $("#by_unit").show();
                $("#by_qty").hide();
                $("#by_spi").hide();
                $("#by_cpi").hide();
            }
            if (type == 3) {
                $("#by_category").hide();
                $("#by_unit").hide();
                $("#by_qty").show();
                $("#by_spi").hide();
                $("#by_cpi").hide();
            }
            if (type == 4) {
                $("#by_category").hide();
                $("#by_unit").hide();
                $("#by_qty").hide();
                $("#by_spi").hide();
                $("#by_cpi").show();
            }
            if (type == 5) {
                $("#by_category").hide();
                $("#by_unit").hide();
                $("#by_qty").hide();
                $("#by_cpi").hide();
                $("#by_spi").show();
            }

        });
    </script>
@endsection
