@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-8">
                        <h4>In Today</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table class="table  mb-0 data_table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Cat</th>
                                    <th scope="col">Sub/Cat</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Weight</th>
                                    <th scope="col">Price</th>
                                    <th scope="col" class="text-danger">QTY</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($stock as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $loop->iteration }}</th>
                                        <td class="border-0 align-middle">{{ $row->category->title_ps }}
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->sub_category->title_ps }}
                                        </td>
                                        <td class="border-0 align-middle">
                                            {{ $row->unit->title_ps }}</td>
                                        <td class="border-0 align-middle">
                                            <h6 class="mb-0"><span
                                                    class="badge bg-success">{{ $row->weight->title_ps }}</span>
                                            </h6>
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->cpi }}
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->qty }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_stocki").addClass("active");
        $("#stocki").addClass("is-expanded");
        $("#in_stock_today").addClass("active");
        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('stocks.destroy', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });
    </script>
@endsection
