@extends('master.app')
@section('title', 'customer')
@section('body')
    <main class="app-content">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-8">
                        <h4>Just Entry</h4>
                    </div>
                    <div class="col-md-4">
                        <div class="" style="float: right">
                            <a href="{{ route('stock_history.create') }}"
                                class="btn btn-primary btn-sm btn-rounded mt-5" style="float: right">Add
                            </a>

                        

                        </div>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-md-12">
                        <table class="table  mb-0 data_table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Cat</th>
                                    <th scope="col">Sub/Cat</th>
                                    <th scope="col">Unit</th>
                                    <th scope="col">Weight</th>
                                    <th scope="col">SPI</th>
                                    <th scope="col">QTY</th>
                                    <th scope="col">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($stock as $row)
                                    <tr class="fw-normal">
                                        <th class="border-0">{{ $loop->iteration }}</th>
                                        <td class="border-0 align-middle">{{ $row->category->title_ps }}
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->sub_category->title_ps }}
                                        </td>
                                        <td class="border-0 align-middle">
                                            {{ $row->unit->title_ps }}</td>
                                        <td class="border-0 align-middle">
                                            <h6 class="mb-0"><span
                                                    class="badge bg-success">{{ $row->weight->title_ps }}</span>
                                            </h6>
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->spi }}
                                        </td>
                                        <td class="border-0 align-middle">{{ $row->qty }}</td>

                                        <td class="border-0 align-middle">
                                            @if ($row->status == 0)
                                                <a href="{{ route('stock_history.edit', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Edit"><i
                                                        class="fas fa-pencil fa-lg text-success me-3"></i></a>
                                                <a href="{{ route('stock_history.add_to_stock', $row->id) }}"
                                                    data-mdb-toggle="tooltip" title="Add to Stock"  onclick="return confirm('Are you sure you want to Delete this item?');"><i
                                                        class="fas fa-plus fa-lg text-success me-3"></i></a>
                                                <a href="#" data-mdb-toggle="tooltip"
                                                    class="btn-delete" data-id='{{ $row->id }}'
                                                    title="Remove"><i
                                                        class="fas fa-trash-alt fa-lg text-warning "></i></a>
                                            @else
                                                {{ 'Added' }}
                                            @endif

                                        </td>
                                    </tr>
                                @endforeach
                                <form id="delete-form" action="" method="POST" style="display: none;">
                                    {{ csrf_field() }}
                                    {{ method_field('DELETE') }}
                                </form>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="card">
                        <div class="card-body">
                            {{ $stock->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
@endsection


@section('pageJs')
    <script type="text/javascript">
        $(".app-menu").removeClass("active");
        $("#nav_stocki").addClass("active");
        $("#stocki").addClass("is-expanded");
        $("#stock_history").addClass("active");
        $(document).on("click", ".btn-delete", function() {
            var id = $(this).attr("data-id");
            swal({
                title: "Are you sure want to delete?",
                text: "...",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes!",
                cancelButtonText: "No!",
                closeOnConfirm: false,
                closeOnCancel: false
            }, function(isConfirm) {
                if (isConfirm) {
                    var url = "{{ route('stock_history.delete', '') }}" + "/" + id;
                    $('#delete-form').attr('action', url);
                    $("#delete-form").submit();
                } else {
                    swal("Cancelled", "Record not deleted", "error");
                    return false;
                }
            });
        });
    </script>
@endsection
